<?php
include('../config/config.php');
include("../classes/classUserRegistration.php");
include("../classes/classDoctor.php");
include("../classes/classStaff.php");

if(isset  ($_GET['sid'])&&$_GET['sid']!='')
{
	$staffID = base64_decode($_GET['sid']); 
	try
	{
		$retrieveStaffOb = new classStaff;
		$retrieveStaffOb->setStaffID($staffID);
		$staff_array = $retrieveStaffOb->retrieveStaffByStaffID();
	}
	catch (MyException $e)
	{
		echo $error_message = $e->getUserMsg();
	}

}

if(isset($_POST['cancel'])&&$_POST['cancel']=='Cancel')
{
	header("Location:mgmtstaff.php");
	exit;
}

try
{
	$userRoleOb = new classUserRegistration;
	$userRoleArray = $userRoleOb->retrieveDefaultUserRoles();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

?>	
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="#"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
       <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="db.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="dbstaff.php"><img src="../images/iconstaff.png"></a></td>
      <td width="12%" align="center"><a href="mgmtstaff.php"><img src="../images/iconmanage.png"></a></td>
      <td width="12%" align="center"><a href="addstaff.php"><img src="../images/iconnurse.png"></a></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="db.php">Dashboard</a></td>
      <td align="center"><a href="dbstaff.php">Staff Management</a></td>
      <td align="center"><a href="mgmtstaff.php">Employee Register</a></td>
      <td align="center"><a href="addstaff.php">Add New Employee</a></td>
       <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>

<br>
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
            <header class="panel-heading">
              <h2>EMPLOYEE DETAILS</h2>
            </header>
             <?php
			if(isset($error_message)&&$error_message!='')
			{
				?>
				<span class="message_red"><?php echo $error_message;?></span>
				<?php
			}
			?>
            
            <div id="result_insert_staff_form"></div>
            
            <form method="post" id="insert_staff_form" class="cmxform form-horizontal" enctype="multipart/form-data">
            
            <table width="100%" border="0" cellspacing="5" cellpadding="5">
              <tr>
              	<td width="88%" align="right">
				
                 <?php
							if(isset($staffID)&&$staffID!='')
							{
								?>
                                <input type="hidden" name="staff_id" value="<?php echo $staffID;?>">
								<input name="ajax_submit" type="submit" class="ajax_submit btn btn-success btn-sm" value="Update"/>
                                  <input type="hidden" name="update_staff" value="update_staff">
								<?php
                        
                        }
                        else
                        {
                            ?>
                            <input name="ajax_submit" type="submit" class="ajax_submit btn btn-success btn-sm" value="Save"/>
                            <input type="hidden" name="save_staff" value="save_staff">
                            <?php
                        }
                        ?>
                        <input type="submit" name="cancel" value="Cancel" class="btn btn-success btn-sm"></td>
                </td>
             
              </tr>
            </table>

            <div class="panel-body">
              <div class="adv-table">
              <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                    <tr>
                    
                      <th>
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
                       
                           <?php
										if(isset($error_message)&&$error_message!='')
										{
											?>
											<tr>
												<td><span class="message_red"><?php echo $error_message;?></span></td>
											</tr>
											<?php
										}
							?>
                        
                        <tr>
                            <td><h4>EMPLOYEE INFORMATION</h4></td>
                        </tr>  
                        <tr>
                        <td>
										<?php
                                                $StaffOb = new classStaff();
                                        ?>
                            
                        <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Joining Date:</label>
                                <div class="col-lg-6">
                              		  <?php 
										if(isset($staff_array[0]['staff_id']))
										{
											echo date('d M Y',$staff_array[0]['jdate']);
											?>
                                        	<input type="hidden" name="jdate" value=" <?php if(isset($staff_array[0]['jdate'])){echo date('d M Y',$staff_aray[0]['jdate']);}else{echo date('d M Y',time());}?>" style="width:90%; display:inline;" readonly>
                                        	<?php
										}
										else
										{
											?>
                                        	<input type="text" name="jdate" id="datepicker" class=" form-control" value=" <?php if(isset($staff_array[0]['jdate'])){echo date('d M Y',$staff_array[0]['jdate']);}else{echo date('d M Y',time());}?>" style="width:90%; display:inline;" readonly>
                                        	<?php
										}
										?>
                                </div>
                            </div>
                        </td>

                        <td>
                        <div class="form-group">
                        <label class="control-label col-lg-3" for="firstname">Title:</label>
                        <div class="col-lg-6">
                                     <select name="title" class="form-control input-sm m-bot15">
                                      <option value="Dr." <?php if(isset($staff_array[0]['title'])&&$staff_array[0]['title']=='Dr.'){echo'selected';}?>>Dr.</option>
                                            <option value="Mr." <?php if(isset($staff_array[0]['title'])&&$staff_array[0]['title']=='Mr.'){echo'selected';}?>>Mr.</option>
                                     <option value="Mrs." <?php if(isset($staff_array[0]['title'])&&$staff_array[0]['title']=='Mrs.'){echo'selected';}?>>Mrs.</option>
                                      
                                    </select>
                                </div>
                        </div>
                        </td>
                        
                        </tr>  
                        <tr>
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">First Name:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="fname" value="<?php if (isset($staff_array[0]['fname'])){echo $staff_array[0]['fname'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        
                            <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Last Name:</label>
                                <div class="col-lg-6">
                                    <input type="text"  value="<?php if (isset($staff_array[0]['lname'])){echo $staff_array[0]['lname'];}?>" name="lname" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        </tr>      
                        
                        <tr>
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Birth Date:</label>
                                <div class="col-lg-6">
                                       <input type="text" name="dob" value="<?php  if(isset($staff_array[0]['dob'])){echo $staff_array[0]['dob'];}?>" class="form-control" id="datepicker1" style="display:inline; width:90%;" readonly >
                                </div>
                            </div>
                            </td>
                        
                            <td>
                            <div class="form-group">
                        <label class="control-label col-lg-3" for="firstname" required >Gender:</label>
                        <div class="col-lg-6">
                           <select name="gender" class="form-control input-sm m-bot15">
                          
                              <option value="Male" <?php if(isset($staff_array[0]['gender'])&&$staff_array[0]['gender']=='Male'){echo'selected';}?>>Male</option>
                               <option value="Female" <?php if(isset($staff_array[0]['gender'])&&$staff_array[0]['gender']=='Female'){echo'selected';}?>>Female</option>
                             <option value="Not Specified" <?php if(isset($staff_array[0]['gender'])&&$staff_array[0]['gender']=='Not Specified'){echo'selected';}?>>Not Specified</option>
                        </select>
                                </div>
                        </div>
                            </td>
                        </tr>   
                        
                        <tr>
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">CNIC No:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="cnic"  value="<?php  if(isset($staff_array[0]['cnic'])){echo $staff_array[0]['cnic'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        
                            <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Address:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="address"  value="<?php  if(isset($staff_array[0]['address'])){echo $staff_array[0]['address'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                       
                            
                        </tr>      
                        
                        <tr>
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">City:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="city"  value="<?php  if(isset($staff_array[0]['city'])){echo $staff_array[0]['city'];}?>" id="lastname" class=" form-control" required>
                                </div>
                            </div>
                            </td>
                        
                            <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Phone No:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="phone"  value="<?php  if(isset($staff_array[0]['phone'])){echo $staff_array[0]['phone'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        </tr>
                        
                        <tr>
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Email Address:</label>
                                <div class="col-lg-6">
                                    <input type="email" name="email"  value="<?php  if(isset($staff_array[0]['email'])){echo $staff_array[0]['email'];}?>" id="lastname" class=" form-control"  required >
                                </div>
                            </div>
                            </td>
                          <td>
                            <div class="form-group">
                        <label class="control-label col-lg-3" for="firstname">Staff Type:</label>
                        <div class="col-lg-6">
                                    
                                    <?php
									
									if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==4)
									{
										echo "Doctor";
										?>
                                        <input  type="hidden" name="userrole_id" value="4">
                                        <?php
									}
									else
									{
										?>
                                        <select name="role" class="form-control input-sm m-bot15" id="userrole_id">
                                    	<option value="">Select Staff Role</option>
                                        <?php
										for($u=0;$u<count($userRoleArray);$u++)
										{
											if($_SESSION['security']['userrole_id']==1&& $userRoleArray[$u]['userrole_id']!=1)
											{
												
												?>
												<option value="<?php echo $userRoleArray[$u]['userrole_id']?>" <?php if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==$userRoleArray[$u]['userrole_id']){echo 'selected';}?>><?php echo $userRoleArray[$u]['userrole']?></option>
												<?php
											}
											if($_SESSION['security']['userrole_id']!=1&& $userRoleArray[$u]['userrole_id']!=1&& $userRoleArray[$u]['userrole_id']!=2)
											{
												
												?>
												<option value="<?php echo $userRoleArray[$u]['userrole_id']?>" <?php if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==$userRoleArray[$u]['userrole_id']){echo 'selected';}?>><?php echo $userRoleArray[$u]['userrole']?></option>
												<?php
											}
										}
										?>
                                        </select>
                                        <?php
									}
									?>
                                </div>
                        </div>
                            </td>
                            
                        </tr>    
                          <tr>
                        	
                          <td>
                            <div class="form-group">
                        <label class="control-label col-lg-3" for="firstname">Other Information:</label>
                       <div class="col-lg-6">
                                    <input type="text" name="other_info"  value="<?php  if(isset($staff_array[0]['other_info'])){echo $staff_array[0]['other_info'];}?>" id="lastname" class=" form-control"  required >
                                </div>
                            </div>
                        </div>
                            </td>
                            
                        </tr>    
                        
                                                     
                        <tr>
                            <td><h4>PROFESSIONAL HISTORY</h4></td>
                        </tr>
                        <tr>
                            <td>
                            <div class="form-group">
                        <label class="control-label col-lg-3" for="firstname" required >Qualification:</label>
                        <div class="col-lg-6">
                        
                                      <select name="qualification" class="form-control input-sm m-bot15">
                                      <option value="Matric" <?php if(isset($staff_array[0]['qualification'])&&$staff_array[0]['qualification']=='Matric'){echo'selected';}?>>Matric</option>
                               <option value="Intermediate" <?php if(isset($staff_array[0]['qualification'])&&$staff_array[0]['qualification']=='Intermediate'){echo'selected';}?>>Intermediate</option>
                             <option value="Graduation" <?php if(isset($staff_array[0]['qualification'])&&$staff_array[0]['qualification']=='Graduation'){echo'selected';}?>>Graduation</option>
                             <option value="Masters" <?php if(isset($staff_array[0]['qualification'])&&$staff_array[0]['qualification']=='Masters'){echo'selected';}?>>Masters</option>
                               <option value="MBBS" <?php if(isset($staff_array[0]['qualification'])&&$staff_array[0]['qualification']=='MBBS'){echo'selected';}?>>MBBS</option>
                             <option value="Others" <?php if(isset($staff_array[0]['qualification'])&&$staff_array[0]['qualification']=='Other'){echo'selected';}?>>Other</option>
                                      
                                      
                                    </select>
                                </div>
                        </div>
                            </td>
                        
                        <td>
                        <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Specialization:</label>
                                <div class="col-lg-6">
                                	<input type="text" name="specialization"  value="<?php  if(isset($staff_array[0]['specialization'])){echo $staff_array[0]['specialization'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                        </td>
                        
                        </tr>
                        
                        <tr>
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Degree:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="degree" value="<?php  if(isset($staff_array[0]['degree'])){echo $staff_array[0]['degree'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        
                            <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Graduation Year:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="grad_year" value="<?php  if(isset($staff_array[0]['grad_year'])){echo $staff_array[0]['grad_year'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        </tr>
                        
                        <tr>
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">License No:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="license_no" value="<?php  if(isset($staff_array[0]['license_no'])){echo $staff_array[0]['license_no'];}?>" id="lastname" class=" form-control">
                                </div>
                            </div>
                            </td>
                        </tr>
                        <tr>
                            <td><h4>CONTRACT DETAILS</h4></td>
                        </tr>
                        <tr>
                        
                            <td>
                            <div class="form-group">
                        <label class="control-label col-lg-3" for="firstname" required >Job Title:</label>
                        <div class="col-lg-6">
                                    <select name="job_title" class="form-control input-sm m-bot15" >
                                    
                                            <option value="Manager" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Manager'){echo'selected';}?>>Manager</option>
                                            <option value="Doctor" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Doctor'){echo'selected';}?>>Doctor</option>
                                            <option value="Doctor Assistant" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Doctor Assistant'){echo'selected';}?>>Doctor Assistant</option>
                                            <option value="Pharmacy Incharge" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Pharmacy Incharge'){echo'selected';}?>>Pharmacy Incharge</option>
                                            <option value="Pharmacy Salesperson" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Pharmacy Salesperson'){echo'selected';}?>>Pharmacy Salesperson</option>
                                            <option value="Pharmacy Cashier" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Pharmacy Cashier'){echo'selected';}?>>Pharmacy Cashier</option>
                                            <option value="Director" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Director'){echo'selected';}?>>Director</option>
                                            <option value="Registration Desk" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Registration Desk'){echo'selected';}?>>Registration Desk</option>
                                            <option value="Radiology Incharge" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Radiology Incharge'){echo'selected';}?>>Radiology Incharge</option>
                                            <option value="Radiology Cashier" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Radiology Cashier'){echo'selected';}?>>Radiology Cashier</option>
                                            <option value="House Keeping Incharge" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='House Keeping Incharge'){echo'selected';}?>>House Keeping Incharge</option>
                                            <option value="Lab Incharge" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='Lab Incharge'){echo'selected';}?>>Lab Incharge</option>
                                            <option value="OT Incharge" <?php if(isset($staff_array[0]['job_title'])&&$staff_array[0]['job_title']=='OT Incharge'){echo'selected';}?>>OT Incharge</option>
                             
                                    
                                        
                                    </select>
                                </div>
                        </div>
                            </td>
                        
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Timings:</label>
                                <div class="col-lg-6">
                             
                                    <input type="text" name="timing" value="<?php  if(isset($staff_array[0]['timing'])){echo $staff_array[0]['timing'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        </tr>
                        <tr>
                        <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Fee:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="fee" value=" <?php  if(isset($staff_array[0]['fee'])){echo $staff_array[0]['fee'];}?> "id="lastname" class=" form-control" >
                                </div>
                            </div>
                            </td>
                            
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Hospital Share %:</label>
                                <div class="col-lg-6">
                                    <input type="text"  name="hospital_share" value="<?php  if(isset($staff_array[0]['hospital_share'])){echo $staff_array[0]['hospital_share'];}?>"  id="lastname" class=" form-control">
                                </div>
                            </div>
                            </td>     
                        </tr>
                        
                        <tr>
                        <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname"> Salary:</label>
                                <div class="col-lg-6">
                                    <input type="number" name="salary" value="<?php  if(isset($staff_array[0]['salary'])){echo $staff_array[0]['salary'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                            
                              <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname"> Notes:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="notes"  value="<?php  if(isset($staff_array[0]['notes'])){echo $staff_array[0]['notes'];}?>" id="lastname" class=" form-control"  >
                                </div>
                            </div>
                            </td>
                        
                        </tr>   
                        <tr>       
                              <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname"> Account ID:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="account_id" value=" <?php  if(isset($staff_array[0]['account_id'])){echo $staff_array[0]['account_id'];}?>" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        
                        </tr>           
                        <tr>
                            <td><h4>ALLOWANCES DETAILS</h4></td>
                        </tr>
                        <tr>
                        
                            <td>
                          			<div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Law:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                        
                        	<td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Disability:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                        
                            
                        </tr>

                         <tr>
                         
                             <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">End Month:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            
                        	<td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Temporary:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>         
                        </tr>
                        
                        <tr>
                        <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname"> Over-Time:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                            </div>
                            </td>
                            
                              <td>
                            <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">On-Call:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                        </tr>                       
                      <tr>  
                       <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Student:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            
                              <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Accommodation:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            </tr>
                            
                            
                            <tr>
                              <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Meal:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            
                              <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Loundry:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            </tr>
                            <tr>
                                   <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Milage:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            
                              <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Reimbursing:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            </tr>
                            <tr>
                               <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">Traveling:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                            
                           <td>
                             <div class="form-group ">
                            <label class="control-label col-lg-3" for="firstname">GST:</label>
                                <div class="col-lg-6">
                                    <input type="checkbox" name="fname" id="lastname" class=" form-control" required >
                                </div>
                               </div>
                            </td>
                         </tr>

                           <tr>
                        	<td>&nbsp;</td>
                        	<td align="right"></td>
                        </tr>
                        
                     
                        </form>
                      </table>
                      </th>
                     
                      
                    </tr>
                  </thead>
                </table>

              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>
<script>
$(function() {
		$("#datepicker").datepicker({
		showOn: "button",
		changeMonth: true,
		changeYear: true,
		buttonImage: "../images/calendar.gif",
		buttonImageOnly: true,
		dateFormat: "dd M yy",
		yearRange: '1910:<?php echo date('Y',time());?>',
	});
	$("#datepicker1").datepicker({
		showOn: "button",
		changeMonth: true,
		changeYear: true,
		buttonImage: "../images/calendar.gif",
		buttonImageOnly: true,
		dateFormat: "dd M yy",
		yearRange: '1910:<?php echo date('Y',time());?>',
	});
	});
</script>