<?php
include('../config/config.php');
include('../classes/classProduct.php');
include('../classes/classReceiveInvoice.php');
include('../classes/classSaleInvoice.php');
include('../classes/classProductClosingReconcilation.php');

/*echo '<pre>';
print_r($_POST);
echo '</pre>';
exit;*/

if(isset($_POST['search'])&&$_POST['search']!='')
{
	$search = $_POST['search'];
}
else
{
	$search = '';
}

if(isset($_GET['sortby'])&&$_GET['sortby']!='')
{
	$sortby = $_GET['sortby'];
}
else
{
	$sortby = '';
}

try
{
	$retrieveProdOb = new classProduct;
	$product_array = $retrieveProdOb->retrieveActiveProductsThroughFilter($search,$sortby,$_SESSION['security']['org_id']);
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	
?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="javascript:Popup('printpharminventory.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
        <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbipd.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="mgmtwards.php"><img src="../images/thermometer.png"></a></td>
      <td width="12%" align="center"><a href="mgmtwards.php"><img src="../images/iconwards.png"></a></td>
      <td width="12%" align="center"><a href="mgmtinpatients.php"><img src="../images/iconpatients.png"></a></td>
      <td width="12%" align="center"><a href="ipdpresc.php"><img src="../images/iconpresc.png"></a></td>
      <td width="12%" align="center"><a href="ipdtransact.php"><img src="../images/iconpayment.png"></a></td>
      <td width="12%" align="center"><a href="ipdbalance.php"><img src="../images/iconbalance.png"></a></td>
      <td width="12%" align="center"><a href="repipd.php"><img src="../images/iconreport.png"></a></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbipd.php">In Patient</a></td>
      <td align="center"><a href="temperature_chart.php">Manage Temprature Chart</a></td>
      <td align="center"><a href="mgmtwards.php">Manage Wards</a></td>
      <td align="center"><a href="mgmtinpatients.php">In Patients</a></td>
      <td align="center"><a href="ipdpresc.php">e-Prescriptions</a></td>
      <td align="center"><a href="ipdtransact.php">Payments & Billings</a></td>
      <td align="center"><a href="ipdbalance.php">Balance Payments</a></td>
      <td align="center"><a href="repipd.php">Reports</a></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>

<br> 
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
          
            <header class="panel-heading">
              <h2>MANAGE B.P / CHART (DAY)</h2>
              <p>&nbsp;</p>
              <table width="100%" border="0">
                <tr>
                  <td width="12%"><strong>Patient's Name:</strong></td>
                  <td width="21%"><strong>Khawar javaid</strong></td>
                  <td width="7%"><strong>Ward No:</strong></td>
                  <td width="34%"><strong>13</strong></td>
                  <td width="12%"><strong>Date:</strong></td>
                  <td width="14%"><strong>26-Nov-2014</strong></td>
                  
                </tr>
              </table>
              <p>&nbsp;</p>
            </header>
            
            <form action="" method="post">
            <table width="100%" border="0" cellpadding="1" cellspacing="0">
              <tr>
              
                <td width="9%" align="right">Search Name: </td>
                <td width="16%">
                	<input type="text" name="by_name" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td width="4%" align="right">ID: </td>
                <td width="16%">
                	<input type="text" name="by_id" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td width="4%" align="right">Phone: </td>
                <td width="16%">
                	<input type="text" name="by_phone" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td width="6%"><input name="search" type="submit" class="btn btn-success btn-sm" value="Search"/></td>
                
                <td width="7%" align="right"><a href="mgmtpatients.php">View All</a></td>
                
                <td width="14%" align="right"><!--<div class="row-fluid">
                    <div class="span6">
                        <div id="dynamic-table_length" class="dataTables_length">
                        <label>
                        <select name="dynamic-table_length" size="1" class="form-control" aria-controls="dynamic-table">
                            <option value="10" selected="selected">10</option>
                            <option value="25">25</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                        </label>
                        </div>
                    </div>
                </div>-->
                </td>
                
                <td width="8%"><!--records per page--></td>
                
              </tr>
            </table>
            </form>
            <br>
            
            <div class="panel-body" style="padding-top: 0px;">
              <div class="adv-table">
              
                <table class="display table table-bordered table-striped" id="dynamic-table">
                
                    <thead>
                        <tr>
                            <th width="8%" rowspan="2" align="center">Date</th>
                            <th width="8%" rowspan="2" align="center">Time</th>
                            <th width="7%" rowspan="2" align="center">B.P</th>
                            <th colspan="3" align="center">Intake</th>
                            <th colspan="5" align="center"> Output</th>
                            <th width="16%" rowspan="2" align="center">Remarks</th>
                           <!-- <th width="8%" rowspan="2" align="center">Unit TradePrice</th>
                            <th width="10%" rowspan="2" align="center">Stock Value</th>-->
                        </tr>
                        <tr>
                            <th width="5%" align="center">I/V</th>
                            <th width="8%" align="center">Oral</th>
                            <th width="8%" align="center">Total</th>
                            <th width="8%" align="center">Urine</th>
                            <th width="8%" align="center">Asp</th>
                            <th width="8%" align="center">D-1</th>
                            <th width="8%" align="center">D-2</th>
                            <th width="8%" align="center">Total</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">07 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">08 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">09 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">10 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">11 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">12 Noon</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">01 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">02 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">03 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">04 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">05 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">06 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">07 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th colspan="2" align="center">Total</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                    </thead>
                    
                    <tbody>
                    <?php
					if(isset($product_array[0]['product_id'])&&$product_array[0]['product_id']!='')
					{
						$location_id = $_SESSION['security']['location_id'];
						
						for($p=0;$p<count($product_array);$p++)
						{
							$product_id = $product_array[$p]['product_id'];
							$product_name = $product_array[$p]['product_name'];
							$medicine_type = $product_array[$p]['medicine_type'];
							
							
							$productUnitQtyOb = new classProduct;
							$product_detail_array = $productUnitQtyOb->retrieveProductLocationRelationship($product_id,$_SESSION['security']['location_id']);
							$unit_qtyinstock = $product_detail_array[0]['unit_qtyinstock'];
							
							$lastClosingQtyOb = new classProductClosingReconcilation;
							$lastClosingQtyOb->setProductID($product_id);
							$last_closing_array = $lastClosingQtyOb->retrieveLastClosingQtyOfProduct();
							
							if(isset($last_closing_array[0]['closing_date'])&&$last_closing_array[0]['closing_date']!='')
							{
								$start_time = $last_closing_array[0]['closing_date'];
								$end_time = time();
								
								$lastClosingQty = $last_closing_array[0]['unit_phy_qtyinstock'];
							}
							else
							{
								$start_time = '';
								$end_time = '';
								$lastClosingQty = 0;
							}
							
							$recInvOb = new classReceiveInvoice;
							$receive_items_array = $recInvOb->retrieveSumOfInvoiceItemsByProductID($product_id,$location_id,$start_time,$end_time);
							$rec_unitqty_recieved = $receive_items_array[0]['SUM(unitqty_recieved)'];
							$rec_net_total = $receive_items_array[0]['SUM(net_total)'];
							
							
							$saleInvOb = new classSaleInvoice;
							$sale_items_array = $saleInvOb->retrieveSumOfInvoiceItemsByProductID($product_id,$location_id,$start_time,$end_time);
							$sale_unitsaleqty = $sale_items_array[0]['SUM(unitsaleqty)'];
							$sale_net_total = $sale_items_array[0]['SUM(net_total)'];
							
							?>
							<?php
						}
					}
					?>
                    </tbody>
                    
                  	<tfoot>
                  </tfoot>
                  
                </table>
                
                
                <header class="panel-heading">
              <h2>MANAGE B.P / CHART (Night)</h2>
              <p>&nbsp;</p>
              <table width="100%" border="0">
                <tr>
                  <td width="12%"><strong>Patient's Name:</strong></td>
                  <td width="21%"><strong>Khawar javaid</strong></td>
                  <td width="11%"><strong>Ward No:</strong></td>
                  <td width="30%"><strong>13</strong></td>
                  <td width="12%"><strong>Date:</strong></td>
                  <td width="14%"><strong>26-Nov-2014</strong></td>
                  
                </tr>
              </table>
              <p>&nbsp;</p>
            </header>
                
                <table class="display table table-bordered table-striped" id="dynamic-table">
                
                    <thead>
                        <tr>
                            <th width="8%" rowspan="2" align="center">Date</th>
                            <th width="8%" rowspan="2" align="center">Time</th>
                            <th width="7%" rowspan="2" align="center">B.P</th>
                            <th colspan="3" align="center">Intake</th>
                            <th colspan="5" align="center"> Output</th>
                            <th width="16%" rowspan="2" align="center">Remarks</th>
                           <!-- <th width="8%" rowspan="2" align="center">Unit TradePrice</th>
                            <th width="10%" rowspan="2" align="center">Stock Value</th>-->
                        </tr>
                        <tr>
                            <th width="5%" align="center">I/V</th>
                            <th width="8%" align="center">Oral</th>
                            <th width="8%" align="center">Total</th>
                            <th width="8%" align="center">Urine</th>
                            <th width="8%" align="center">Asp</th>
                            <th width="8%" align="center">D-1</th>
                            <th width="8%" align="center">D-2</th>
                            <th width="8%" align="center">Total</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">07 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">08 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">09 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">10 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">11 PM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">12 MN</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">01 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">02 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">03 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">04 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">05 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">06 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th align="center">&nbsp;</th>
                          <th align="left">07 AM</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                        <tr>
                          <th colspan="2" align="center">Total</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                          <th align="center">&nbsp;</th>
                        </tr>
                    </thead>
                    
                    <tbody>
                    <?php
					if(isset($product_array[0]['product_id'])&&$product_array[0]['product_id']!='')
					{
						$location_id = $_SESSION['security']['location_id'];
						
						for($p=0;$p<count($product_array);$p++)
						{
							$product_id = $product_array[$p]['product_id'];
							$product_name = $product_array[$p]['product_name'];
							$medicine_type = $product_array[$p]['medicine_type'];
							
							
							$productUnitQtyOb = new classProduct;
							$product_detail_array = $productUnitQtyOb->retrieveProductLocationRelationship($product_id,$_SESSION['security']['location_id']);
							$unit_qtyinstock = $product_detail_array[0]['unit_qtyinstock'];
							
							$lastClosingQtyOb = new classProductClosingReconcilation;
							$lastClosingQtyOb->setProductID($product_id);
							$last_closing_array = $lastClosingQtyOb->retrieveLastClosingQtyOfProduct();
							
							if(isset($last_closing_array[0]['closing_date'])&&$last_closing_array[0]['closing_date']!='')
							{
								$start_time = $last_closing_array[0]['closing_date'];
								$end_time = time();
								
								$lastClosingQty = $last_closing_array[0]['unit_phy_qtyinstock'];
							}
							else
							{
								$start_time = '';
								$end_time = '';
								$lastClosingQty = 0;
							}
							
							$recInvOb = new classReceiveInvoice;
							$receive_items_array = $recInvOb->retrieveSumOfInvoiceItemsByProductID($product_id,$location_id,$start_time,$end_time);
							$rec_unitqty_recieved = $receive_items_array[0]['SUM(unitqty_recieved)'];
							$rec_net_total = $receive_items_array[0]['SUM(net_total)'];
							
							
							$saleInvOb = new classSaleInvoice;
							$sale_items_array = $saleInvOb->retrieveSumOfInvoiceItemsByProductID($product_id,$location_id,$start_time,$end_time);
							$sale_unitsaleqty = $sale_items_array[0]['SUM(unitsaleqty)'];
							$sale_net_total = $sale_items_array[0]['SUM(net_total)'];
							
							?>
							<?php
						}
					}
					?>
                    </tbody>
                    
                  	<tfoot>
                  </tfoot>
                  
                </table>
                
                <!--<div class="row-fluid">
                  <div class="span6">
                    <div class="dataTables_info" id="hidden-table-info_info">Showing 1 to 10 of 57 entries</div>
                  </div>
                  <div class="span6">
                    <div class="dataTables_paginate paging_bootstrap pagination">
                      <ul>
                        <li class="prev disabled"><a href="#">? Previous</a></li>
                        <li class="active"><a href="#">1</a></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">5</a></li>
                        <li class="next"><a href="#">Next ? </a></li>
                      </ul>
                    </div>
                  </div>
                </div>-->
                
              </div>
            </div>
            
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>