<?php
include('../config/config.php');
include('../classes/classDiagnostic.php');
include('../classes/classDiagnosticLiquids.php');

try
{
	$labtestOb = new classDiagnostic;
	$labtestOb->setOrganizationID($_SESSION['security']['org_id']);
	$labtest_dropdown = $labtestOb->retrieveLabTests();
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

try
{
	$retrieveliquidsOb = new classDiagnosticLiquids;
	$retrieveliquidsOb->setLocationID($_SESSION['security']['location_id']);
	$liquid_array = $retrieveliquidsOb->retrieveLiquidAllDetail();
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

/*echo '<pre>';
print_r($liquid_array);
echo '</pre>';
exit;
*/
?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="javascript:Popup('printmgmtlabliquids.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
 	<table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbdiagnostics.php"><img src="../images/icondb.png"></a></td>  
      <td width="12%" align="center"><a href="mgmtlabliquids.php"><img src="../images/iconliquids.png"></a></td>
      <td width="12%" align="center"><a href="#add_labtest-box" class="add_labtest-window" id="add_labtest"><img src="../images/iconbottle.png"></a></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbdiagnostics.php">Diagnostics</a></td>
      <td align="center"><a href="mgmtlabliquids.php">Liquids Usage</a></td></td>
      <td align="center"><a href="#add_labtestliquid-box" class="add_labtestliquid-window" id="add_labtestliquid">Add New Liquid</a></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>
	<br>
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
            <header class="panel-heading">
              <h2>MANAGE TESTING LIQUIDS</h2>
            </header>
            
			<?php
            if(isset($error_message)&&$error_message!='')
            {
                ?>
                <tr>
                    <td><span class="message_red"><?php echo $error_message;?></span></td>
                </tr>
                <?php
            }
            ?>
            <!--<table width="100%" border="0" cellpadding="1" cellspacing="0">
              <tr>
                <td width="65%" align="right"> </td>
                  <td width="25%" align="right"><div class="row-fluid">
                    <div class="span6">
                      <div id="dynamic-table_length" class="dataTables_length">
                        <label>
                          <select name="dynamic-table_length" size="1" class="form-control" aria-controls="dynamic-table">
                            <option value="10" selected="selected">10</option>
                            <option value="25">25</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                          </select>
                          </label>
                      </div>
                    </div>
                  </div></td>
                  <td width="10%">records per page</td>
                  
              </tr>
            </table>-->
            <br>
<br>
            <div class="panel-body" style="padding-top: 0px; margin-top: -34px;">
              <div class="adv-table">
              
                <table  class="display table table-bordered table-striped" id="dynamic-table">
                
                  <thead>
                  
                    <tr>
						<?php
                        if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9)
                        {
                        	?><th width="5%" align="center">&nbsp;</th><?php	
                        }
                        ?>
                      
                        <th width="5%" align="center">ID</th>
                        <th width="15%">Testing Liquid</th>
                        <th width="10%">Liquid per Test</th>
                        <th width="15%">Report From</th>
                        <th width="10%">No. of Bottles Received</th>
                        <th width="10%">No. of Tests Done</th>
                        <th width="10%">Price</th>
                        <th width="10%">Current Stock (ml)</th>
                        <th width="10%">Current Stock (Bottles)</th>
                        <th width="5%" align="center" class="hidden-phone"></th>
                      	<?php
						if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9)
						{
							?><th width="5%" align="center" class="hidden-phone"></th><?php	
						}
						?>
                    </tr>
                    
                  </thead>
                  
                  <tbody>
                   <?php
					if(isset($liquid_array[0]['liquid_id'])&&$liquid_array[0]['liquid_id']!='')
					{
						$total_price = 0;
						for($l=0;$l<count($liquid_array);$l++)
						{
							
								if($l%2==0){$class='gradeX';}else{$class='gradeC';}
								
								$total_price += @$liquid_array[$l]['total_price'];
								
								?>
								<tr class="<?php echo $class;?>">
                                <?php
									if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9)
									{
										?>
										<td align="center"><a href="#update_labtestliquid-box" class="update_labtestliquid-window update_labtestliquid" id="<?php echo $l;?>">Edit</a></td>
										<?php	
									}
									?>
                                    
                                    <td align="center"><?php echo $liquid_array[$l]['liquid_id'];?></td>
                                    <td align="left"><?php echo strtoupper($liquid_array[$l]['liquid_name']);?> (<?php echo $liquid_array[$l]['amount_per_bottle'].' ml';?>)<br>
                                    <span style="font-size:10px; color:grey;">used in:</span><br>
                                    <?php echo @$liquid_array[$l]['labtest_names'];?>
                                    </td>
                                    <td align="right"><?php echo @number_format($liquid_array[$l]['liq_req_per_test'],2).' ml';?></td>
                                    <td align="left"><?php if(isset($liquid_array[$l]['reset_date'])){echo date('d M Y h:i:s A',$liquid_array[$l]['reset_date']);}?></td>
                                    <td align="right"><?php echo @$liquid_array[$l]['no_of_bottle_rec'];?></td>
                                    <td align="right"><?php echo @$liquid_array[$l]['no_of_test_performed'];?></td>
                                    
                                    <td align="right"><?php echo @number_format($liquid_array[$l]['total_price'],2);?></td>
                                    
                                    <td align="right"><?php echo @number_format($liquid_array[$l]['remaining_stock_liquid'],2).' ml';?></td>
                                    <td align="right"><?php echo @number_format($liquid_array[$l]['remaining_stock_bottle'],2);?></td>
                                    
                                     <td align="center"><a href="#receive_labtestliquid-box" class="receive_labtestliquid-window receive_labtestliquid" id="<?php echo $l;?>">Receive</a></td>
                                  
                                     <?php
									 if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9)
									 {
										  ?><td align="center"><a href="#reset_labtestliquid-box" class="reset_labtestliquid-window reset_labtestliquid" id="<?php echo $l;?>">Reset</a></td><?php	
									 }
			  						?>
                                    
								</tr>
                                
                                 <input type="hidden" name="liquid_id" class="set_to_pop" id="liquid_id_<?php echo $l;?>" value="<?php echo $liquid_array[$l]['liquid_id'];?>">
                                <input type="hidden" name="liquid_name" class="set_to_pop" id="liquid_name_<?php echo $l;?>" value="<?php echo strtoupper($liquid_array[$l]['liquid_name']);?>">
                                <input type="hidden" name="qty_used_per_test" class="set_to_pop" id="qty_used_per_test_<?php echo $l;?>" value="<?php echo $liquid_array[$l]['qty_used_per_test'];?>">
                                 <input type="hidden" name="amount_per_bottle" class="set_to_pop" id="amount_per_bottle_<?php echo $l;?>" value="<?php echo $liquid_array[$l]['amount_per_bottle'];?>">
                                 <input type="hidden" name="price_per_bottle" class="set_to_pop" id="price_per_bottle_<?php echo $l;?>" value="<?php echo $liquid_array[$l]['price_per_bottle'];?>">
                                 
                                  <input type="hidden" name="labtest_id" class="set_to_pop" id="labtest_id_<?php echo $l;?>" value="<?php echo $liquid_array[$l]['labtest_id'];?>">
                                
                                <input type="hidden" name="actual_qty" class="set_to_pop" id="actual_qty_<?php echo $l;?>" value="<?php echo @$liquid_array[$l]['remaining_stock_liquid'];?>">
                                <input type="hidden" name="no_of_test_performed" class="set_to_pop" id="no_of_test_performed_<?php echo $l;?>" value="<?php echo @$liquid_array[$l]['no_of_test_performed'];?>">
                                 <input type="hidden" name="no_of_bottle_rec" class="set_to_pop" id="no_of_bottle_rec_<?php echo $l;?>" value="<?php echo @$liquid_array[$l]['no_of_bottle_rec'];?>">
                                <?php
						}
						?>
						
						<tr>
                           
                             
                            <td colspan="12" align="right"><strong>Total: <?php echo 'Rs. '.number_format($total_price,2);?></strong></td>
                            
                            
                        </tr>
                        <?php
					}
					else
					{
						?>
                        <tr>
                            <table>
                                <tr><td>No Entries Found!</td></tr>
                            </table>
                        </tr>
                        <?php
					}
					?>

                  </tbody>
                  
                </table>
                
              
                
              </div>
            </div>
          </section>
        </div>
      </div>
      
     
      <!-- page end-->
     
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>

<div id="add_labtestliquid-box" class="add_labtestliquid-popup">
    
    <div class="pop_header">
        <span>Add Testing Liquid</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_labtestliquid_form"></div>
          
          <form action="" method="post" id="insert_labtestliquid_form" class="cmxform form-horizontal" onSubmit="return false;">
          
          	<br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Testing Liquid:</label>
            	<div class="col-lg-6">
                     <input type="text" name="liquid_name" value="" class="form-control">
                </div>
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Price per Bottle:</label>
            	<div class="col-lg-6">
                     <input type="text" name="price_per_bottle" value="" class="form-control">
                </div>
            </div>
            
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Amount per Bottle:</label>
            	<div class="col-lg-6">
                     <input type="text" name="amount_per_bottle" value="" class="form-control">
                </div> ml
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Test(s) performed by this Liquid:</label>
            	<div class="col-lg-6">
                <select name="labtest_id[]" class="form-control" multiple>
                <?php
				for($l=0;$l<count($labtest_dropdown);$l++)
				{
					?>
                	<option value="<?php echo $labtest_dropdown[$l]['labtest_id']?>"><?php echo ucwords($labtest_dropdown[$l]['labtest_name']);?></option>
                	<?php
				}
				?>
                </select>
                </div>
            </div>
            
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">No. of Tests per Bottle:</label>
            	<div class="col-lg-6">
                     <input type="text" name="test_per_bottle" value="" class="form-control">
                </div>
            </div>
           
            <p align="right">
                <input type="hidden" name="add_labtest_liquids" value="Add_labtest_liquids">
               	<input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>

<div id="update_labtestliquid-box" class="update_labtestliquid-popup">
    
    <div class="pop_header">
        <span>Update Testing Liquid</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_labtestliquid_form"></div>
          
          <form action="" method="post" id="update_labtestliquid_form" class="cmxform form-horizontal" onSubmit="return false;">
          
          	<br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Testing Liquid:</label>
            	<div class="col-lg-6">
                     <input type="text" name="liquid_name" id="update_liquid_name" value="" class="form-control">
                </div>
            </div>
            
             <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Price per Bottle:</label>
            	<div class="col-lg-6">
                     <input type="text" name="price_per_bottle" id="update_price_per_bottle" value="" class="form-control">
                </div>
            </div>
            
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Amount per Bottle:</label>
            	<div class="col-lg-6">
                     <input type="text" name="amount_per_bottle" id="update_amount_per_bottle" value="" class="form-control">
                </div> ml
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Test(s) performed by this Liquid:</label>
            	<div class="col-lg-6">
                <select name="labtest_id[]"  id="update_labtest_id" class="form-control" multiple>
                <?php
				for($l=0;$l<count($labtest_dropdown);$l++)
				{
					?>
                	<option value="<?php echo $labtest_dropdown[$l]['labtest_id']?>"><?php echo ucwords($labtest_dropdown[$l]['labtest_name']);?></option>
                	<?php
				}
				?>
                </select>
                </div>
            </div>
            
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">No. of Tests per Bottle:</label>
            	<div class="col-lg-6">
                     <input type="text" name="test_per_bottle" id="update_test_per_bottle" value="" class="form-control">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="liquid_id" id="update_liquid_id" value="">
                <input type="hidden" name="update_labtest_liquids" value="Update_labtest_liquids">
               	<input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>

<div id="receive_labtestliquid-box" class="receive_labtestliquid-popup">
    
    <div class="pop_header">
        <span>Receive Testing Liquid</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_receive_labtestliquids_form"></div>
          
          <form action="" method="post" id="receive_labtestliquids_form" class="cmxform form-horizontal" onSubmit="return false;">
          
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Liquid Name:</label>
            	<div class="col-lg-6" id="liquid_name" style="margin-top:5px;"></div>
            </div>
            
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Date Received:</label>
            	<div class="col-lg-6">
                	<?php echo date('Y-m-d',time());?>
                   	<input type="hidden" name="received_date" id="received_date" value="<?php echo date('Y-m-d',time());?>" class="form-control">
                </div>
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">No of Bottles Received:</label>
            	<div class="col-lg-6">
                     <input type="text" name="no_of_bottles" id="no_of_bottles" value="" class="form-control">
                </div>
            </div>
            
            <p align="right">
            	<input type="hidden" name="liquid_id" id="liquid_id" value="">
                <input type="hidden" name="receive_labtest_liquids" value="Receive_labtest_liquids">
               	<input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>

<div id="reset_labtestliquid-box" class="reset_labtestliquid-popup">
    
    <div class="pop_header">
        <span>Reset Liquid Quantities</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
        
      <tr>
        <td>
        
          <div id="result_reset_labtestliquids_form"></div>
        	  
          <form action="" method="post" id="reset_labtestliquids_form" class="cmxform form-horizontal" onSubmit="return false;">
          
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Testing Liquid:</label>
            	<div class="col-lg-6" id="reset_liquid_name" style="margin-top:5px;"></div>
            </div>
            
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Reset Date:</label>
            	<div class="col-lg-6">
                	<?php echo date('Y-m-d',time());?>
                </div>
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Current Liquid Qty (ml):</label>
            	<div class="col-lg-6" id="actual_qty">
                	
                </div>
                <input type="hidden" name="actual_qty" id="reset_actual_qty" value="">
            </div>
            
            <p align="right">
            <span style="font-size:14px; align:center;">All quantities will be set to 0, when you reset. </span>
           	</p>
            
           <!-- <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Actual/Physical Qty (ml):</label>
            	<div class="col-lg-6">
                     <input type="text" name="expected_qty" id="expected_qty" value="" class="form-control">
                </div>
            </div>-->
             
            <p align="right">
            	 <input type="hidden" name="expected_qty" id="expected_qty" value="0" class="form-control">
            	<input type="hidden" name="no_of_test_performed" id="no_of_test_performed" value="">
               
                <input type="hidden" name="no_of_bottle_rec" id="no_of_bottle_rec" value="">
                <input type="hidden" name="liquid_id" id="reset_liquid_id" value="">
                <input type="hidden" name="reset_labtest_liquids" value="Reset_labtest_liquids">
               	<input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Reset" style="margin-right:10px;"/>
                <a href="#" class="pop_close btn btn-info" style="float:right;">Cancel</a>
            </p>
            
          </form>
          </td>
          
      </tr>
      <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td></td>
        </tr>
    </table>
</div>





<script>

$(".update_labtestliquid").click(function() {
	
	var id = this.id;
	//alert(id);
	liquid_id = $("#liquid_id_"+id).val();
	liquid_name = $("#liquid_name_"+id).val();
	qty_used_per_test = $("#qty_used_per_test_"+id).val();
	amount_per_bottle = $("#amount_per_bottle_"+id).val();
	price_per_bottle = $("#price_per_bottle_"+id).val();
	
	labtest_id = $("#labtest_id_"+id).val();
	
	
	$("#update_liquid_id").val(liquid_id);
	$("#update_liquid_name").val(liquid_name);
	$("#update_test_per_bottle").val(qty_used_per_test);
	$("#update_amount_per_bottle").val(amount_per_bottle);
	$("#update_price_per_bottle").val(price_per_bottle);
	$("#update_labtest_id").val(labtest_id.split(","));
	
	
});

$(".receive_labtestliquid").click(function() {
	
	var id = this.id;
	//alert(id);
	liquid_id = $("#liquid_id_"+id).val();
	liquid_name = $("#liquid_name_"+id).val();
	
	$("#liquid_id").val(liquid_id);
	$("#liquid_name").html(liquid_name);
	
});

$(".reset_labtestliquid").click(function() {
	
	var id = this.id;
	//alert(id);
	liquid_id = $("#liquid_id_"+id).val();
	liquid_name = $("#liquid_name_"+id).val();
	actual_qty = $("#actual_qty_"+id).val();
	no_of_test_performed = $("#no_of_test_performed_"+id).val();
	no_of_bottle_rec = $("#no_of_bottle_rec_"+id).val();
	
	$("#reset_liquid_id").val(liquid_id);
	$("#reset_liquid_name").html(liquid_name);
	$("#actual_qty").html(actual_qty+' ml');
	$("#reset_actual_qty").val(actual_qty);
	$("#no_of_test_performed").val(no_of_test_performed);
	$("#no_of_bottle_rec").val(no_of_bottle_rec);
	
});
</script>