<?php
include('../config/config.php');

if(isset($_GET['delid'])&&$_GET['delid']!='')
{
	$del_user_id = base64_decode($_GET['delid']);
	try
	{
		$delUserOb = new classUser;
		$delUserOb->setUserID($del_user_id);
		$delUserOb->deleteUser();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}

try
{
	$userOb = new classUser;
	if(isset($_POST['search'])&&$_POST['search']=='Search')
	{
		$users_array = $userOb->searchUser($_POST['by_id'],$_POST['by_name'],$_POST['by_phone']);
	}
	else
	{
		
		$users_array = $userOb->retrieveUsersByOrgID($_SESSION['security']['org_id']);
	}
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="#"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
    <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="db.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="dbstaff.php"><img src="../images/iconstaff.png"></a></td>
      <td width="12%" align="center"><a href="mgmtpayroll.php"><img src="../images/iconpayroll.png"></a></td>
      <td width="12%" align="center"><a href="#staff_allowances-box" class="staff_allowances-window"><img src="../images/salaryhistory.png" height="42px" width="42"></a></td>
       <td width="12%" align="center"><a  href="#staff_msalary-box" class="staff_msalary-window"><img src="../images/1434546781_Business.png" height="42px" width="42"></a></td>
     <td width="12%" align="center"><a href="#staff_sliphistory-box" class="staff_sliphistory-window"><img src="../images/1434546806_banker.png" height="42px" width="42"></a></td>
     <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="db.php">Dashboard</a></td>
      <td align="center"><a href="dbstaff.php">Staff Management</a></td>
      <td align="center"><a href="mgmtpayroll.php">Payroll</a></td>
      <td align="center"><a href="#staff_allowances-box" class="staff_allowances-window">Allowances</a></td>
      <td align="center"><a href="#staff_msalary-box" class="staff_msalary-window">Monthly Salary</a></td>
      <td align="center"><a href="#staff_sliphistory-box" class="staff_sliphistory-window">Pay History</a></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>
<br>
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
            <header class="panel-heading">
              <h2>MANAGE PAYROLL</h2>
            </header>
            <form action="" method="post">
            <table width="100%" border="0" cellpadding="1" cellspacing="0">
              <tr>
              
                <td width="10%" align="right">Month: </td>
                <td width="15%">
                <select class="form-control" align="center" name="users" onchange="showUser(this.value)" >
                  <option value="">Select Month:</option>
                  <option value="1">January 2015</option>
                  <option value="2">February</option>
                  <option value="3">March</option>
                  <option value="4">April</option>
                  <option value="5">May</option>
                  <option value="6">June</option>
                  <option value="7">July</option>
                  <option value="8">August </option>
                  <option value="9">September</option>
                  <option value="10">October</option>
                  <option value="11">November</option>
                  <option value="12">December</option>
                  </select>
                	
                </td>
                
                <td width="5%" align="right"></td>
                <td width="15%">
                </td>
                
                <td width="5%" align="right"></td>
                <td width="15%">
                </td>
                
                <td></td>
                
                <td width="5%" align="right"></td>
                
                <td width="20%" align="right"><!--<div class="row-fluid">
                    <div class="span6">
                        <div id="dynamic-table_length" class="dataTables_length">
                        <label>
                        <select name="dynamic-table_length" size="1" class="form-control" aria-controls="dynamic-table">
                            <option value="10" selected="selected">10</option>
                            <option value="25">25</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                        </label>
                        </div>
                    </div>
                </div>-->
                </td>
                
                <td width="10%"><!--records per page--></td>
                
              </tr>
            </table>
            </form>
            <br>
			<br>

            <div class="panel-body" style="padding-top: 0px; margin-top: -34px;">
              <div class="adv-table">
              
                <br>
			<br>   
            <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                    <tr>
                      <th width="10%">Name</th>
                      <th width="10%">Staf Role</th>
                      <th width="10%">Salary</th>
                      <th width="10%">Hours Worked</th>
                      <th width="10%">Pay</th>
                      <th width="10%">Allowances</th>
                      <th width="10%">Deductions</th>
                      <th width="10%">Total Pay</th>
                      <th width="10%">Salary Paid</th>
                      <th width="10%">Balance</th>
                    </tr>
                    
                  </thead>
                  <tbody>
				<tr>
                  <td>Muhammad Fayyaz </td>
                  <td>PHP Developer </td>
                  <td align="right">15,000</td>
                  <td align="right">2,000</td>
                  <td align="right">1,000</td>	
                  <td align="right">80%</td> 
                  <td align="right">16,000</td> 
                  <td align="right">16,000</td> 
                  <td align="right">16,000</td> 
                  <td align="right">16,000</td>  	
                </tr>
				</tbody>
                </table>

                
                <!--<div class="row-fluid">
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div class="span6">
                                        <div class="dataTables_info" id="hidden-table-info_info">Showing 1 to 10 of 57 entries</div>
                                      </div></td>
                        <td><div class="span6">
                                        <div class="dataTables_paginate paging_bootstrap pagination">
                                          <ul>
                                            <li class="prev disabled"><a href="#">? Previous</a></li>
                                            <li class="active"><a href="#">1</a></li>
                                            <li><a href="#">2</a></li>
                                            <li><a href="#">3</a></li>
                                            <li><a href="#">4</a></li>
                                            <li><a href="#">5</a></li>
                                            <li class="next"><a href="#">Next ? </a></li>
                                          </ul>
                                        </div>
                                      </div></td>
                      </tr>
                    </table>
                </div>-->
                
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>



<div id="staff_allowances-box" class="staff_allowances-popup">
    
        <div class="pop_header">
            <span>Staff Allowances</span>
            <a href="#" class="pop_close" style="float:right;">Close (X)</a>
        </div>

		     <div id="result_staffallowances_form"></div>
            
            <form action="" method="post" id="staffallowances_form" class="cmxform form-horizontal" onsubmit="return false;">

           
            
            <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Select Staff:</label>
              
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="">Khawar Javed</option>
                        <option value="">Muhammad Fayyaz</option>
                        <option value="">Muhammad Awais</option>
                          
                    </select>
                </div>
             
            </div>
<table>
				<tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Law:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                             
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Disablity:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                          
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">End-Month:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                               
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Temporary:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                           
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname"> Over-Time:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                                
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">On-Call:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                            
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Student:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                               
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Accommodation:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                           
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Meal:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                                
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Loundry:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                          
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Milage:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                              
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Reimbursing:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                            
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Traveling:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                         
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">GST:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                        
                    </div>
                    </div>
                  </td>
            </tr>
            </table>
            

 
            
            
            
            </form>
</div>

<div id="staff_msalary-box" class="staff_msalary-popup">
    
        <div class="pop_header">
            <span>Monthly Salary</span>
            <a href="#" class="pop_close" style="float:right;">Close (X)</a>
        </div>

		     <div id="result_msalary_form"></div>
            
            <form action="" method="post" id="msalary_form" class="cmxform form-horizontal" onsubmit="return false;">

           
         <table>
         <tr>
         <td>   
            <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Select Staff:</label>
              
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="">Khawar Javed</option>
                        <option value="">Muhammad Fayyaz</option>
                        <option value="">Muhammad Awais</option>
                          
                    </select>
                </div>
            </div>
            </td>

            		     <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Month:</label>

                                <input type="text" name="shift_date" value="<?php echo date('d M Y',time());?>" class="form-control" id="datepicker" style="display:inline; width:30%;">
                              </div>
 
        		     </td>
            
		</tr>

				<tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Law:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                                
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Disablity:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                            
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">End-Month:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                              
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Temporary:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:80%; display:inline;" readonly  >
                                               </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname"> Over-Time:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                             
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">On-Call:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                          
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Student:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                              
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Accommodation:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                            
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Meal:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                                
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Loundry:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                           
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Milage:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                               
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Reimbursing:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                          
                    </div>
                    </div>
                  </td>
            </tr>
            
            <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Traveling:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                             
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">GST:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                         
                    </div>
                    </div>
                  </td>
                  
            </tr>
                        <tr>
                        <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Work-Hour:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                               
                            </div>
                            </div>
                       </td>
                    
                    <td>
            			    <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Total:</label>
                            <div class="col-lg-6">
                                <input type="text" name="app_reason" value="" class="form-control time end" style="width:100%; display:inline;" readonly  >
                         
                    </div>
                    </div>
                  </td>
                  
            </tr>
            </table>
            

 
            
            <p align="right">
            	<input type="hidden" name="staff_id" id="staff_id" value="">
                <input type="hidden" name="app_type" id="app_type" value="opd">
                
               	<input type="hidden" name="Insert_msalary" value="Insert_msalary">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save"/>
            </p>
            
            </form>
</div>

<div id="staff_sliphistory-box" class="staff_sliphistory-popup">
    
        <div class="pop_header">
            <span>Slip History</span>
            <a href="#" class="pop_close" style="float:right;">Close (X)</a>
        </div>

		     <div id="result_msalary_form"></div>
            
            <form action="" method="post" id="slipshistory_form" class="cmxform form-horizontal" onsubmit="return false;">
			<table>
<tr>
<td>
            <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Select Staff:</label>
              
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="">Khawar Javed</option>
                        <option value="">Muhammad Fayyaz</option>
                        <option value="">Muhammad Awais</option>
                          
                    </select>
                </div>

            </div>
            </td>
          
            		 <td>
                        <div class="form-group">
                                <label class="control-label col-lg-3" for="firstname">Month:</label>

                                <input type="text" name="shift_date" value="<?php echo date('d M Y',time());?>" class="form-control" id="datepicker" style="display:inline; width:100%;">
                              </div>
 
        		     </td>
            
          
            </tr>
            </table>
            <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                    <tr>
                       <th width="20%">Name</th>
                      <th width="10%">Staf Role</th>
                       <th width="15%">Location</th>
                       <th width="5%">Status</th>
                        <th width="5%">Work Hourk</th>
                      <th width="7%">Salary</th>
                       <th width="8%">Allaowances</th>
                      <th width="10%">Deduction</th>
                      <th width="5%">Total</th>
                    </tr>
                    
                  </thead>
                  <tbody>
                  
                  
				<tr>
                            			<td>Muhammad Fayyaz </td>
                                    	<td>PHP Developer </td>
                                     	 <td> Softusion</td>
                                          <td> Active</td>
                                      	  <td>15000</td>
											<td>2000</td>
                                      	  <td>1000</td>	
                                       		<td>  80%</td>
                                          	 <td>16000</td>
                                            
                                                        
                                    	
                            </tr>
                            
                            	<tr>
                            			<td>Khawar Javed </td>
                                    	<td>Senior PHP Developer </td>
                                     	 <td> Softusion</td>
                                          <td> Active</td>
                                      	  <td>15000</td>
											<td>2000</td>
                                      	  <td>1000</td>	
                                       		<td>  80%</td>
                                          	 <td>16000</td>
                                                        
                                    	
                            </tr>
                            
                            	<tr>
                            			<td>Muhammad Awais </td>
                                    	<td>PHP Developer </td>
                                     	 <td> Softusion</td>
                                          <td> Active</td>
                                      	<td>15000</td>
											<td>2000</td>
                                      	  <td>1000</td>	
                                       		<td>  80%</td>
                                          	 <td>16000</td>
                                                        
                                    	
                            </tr>
                    
				</tbody>
                </table>

            </form>
</div>
