<?php
include('../config/config.php');
include("../classes/classUserRegistration.php");
include("../classes/classDoctor.php");
include("../classes/classStaff.php");
include("../classes/classAttendance.php");

unset($_SESSION['print']);

if(isset($_GET['sid'])&&$_GET['sid']!='')
{
	try
	{
		$staffID = base64_decode($_GET['sid']);
		$delStaffOb = new classStaff;
		$delStaffOb->setStaffID($staffID);
		$delStaffOb->deleteStaff();
		header("Location:mgmtstaff.php");
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}

try
{
	$retrieveStaffOb = new classStaff;
	$staff_array = $retrieveStaffOb->retrieveAllStaff();
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	



if(isset($_GET['staff_id'])&&$_GET['staff_id']!='')
{
	$staffID = base64_decode($_GET['staff_id']);

	try
	{
		$retrieveStaffOb = new classStaff;
		$retrieveStafOb->retrieveAllStaffByID($staffID);

			for($sa=0;$sa<count($staff_array);$sa++)
			{
				$staffID[] = $staff_array[$sa]['staff_id'];
	
		}
		
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}


################################################################################
#########################Pagination Starts here. {########################
################################################################################
$countStaffOb = new classStaff();
$countStaffOb->setLocationID($_SESSION['security']['location_id']);
$array['item_count'] = $countStaffOb->countStaffByLocationID();		
if(isset($_GET['page']) && isset($_GET['items']))
{
	if($array['item_count'] > $_GET['items'])
	{
		$array['pages'] = ceil($array['item_count']/$_GET['items']);
		if($_GET['page'] >$array['pages'])
		{
			$_GET['page'] = 1;
		}
		$array['current_page'] = $_GET['page'];
		if($_GET['page'] > 1)
		{
			$starting_record = $_GET['items']*($_GET['page']-1);
			$ending_record = $_GET['items'];
			$array['limit'] = $starting_record . "," . $ending_record;
			$limit = $array['limit'];
		}
		else
		{
			$limit = $_GET['items'];
		}
	}
	else
	{
		$array['current_page'] = $_GET['current_page'] = 1;
		$array['pages'] = 1;
		$array['limit'] = $_GET['items'];
		$limit = $array['limit'];
	}
}
else
{
	if($array['item_count'] > 20)
	{
		$array['pages'] = ceil($array['item_count']/20);
	}
	else
	{
		$array['pages'] = 1;
	}
	$array['current_page'] = 1;
	$array['limit'] = 20;
	$limit = $array['limit'];
}
$_SESSION['pagination']['item_count']=$array['item_count'];
$_SESSION['pagination']['pages']=$array['pages'];
$_SESSION['pagination']['current_page']=$array['current_page'];
$_SESSION['pagination']['limit']=$limit;

################################################################################
######################### Pagination Ends here. }##########################
################################################################################




################## Retrieve all Stafff Start ####################################
try
{
	$retrieveStaffOb = new classStaff;
	
	if(isset($_POST['search'])&&$_POST['search']=='Search')
	{
		$_SESSION['print']['search'] = $_POST['search'];
		$_SESSION['print']['by_id'] = $_POST['by_id'];
		$_SESSION['print']['by_name'] = $_POST['by_name'];
		$_SESSION['print']['by_phone'] = $_POST['by_phone'];
		
		$staff_array = $retrieveStaffOb->searchStaff($_POST['by_id'],$_POST['by_name'],$_POST['by_phone'],$_SESSION['security']['location_id']);
	}
	else
	{
	
		
		$retrieveStaffOb->setLocationID($_SESSION['security']['location_id']);
		$staff_array = $retrieveStaffOb->retrieveStaffByLocationID($limit);
	}

}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}


?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="#"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
    <script>
		function showUser(str,hid) {
			if (str == "") {
				document.getElementById("txtHint").innerHTML = "";
				return;
			} else {
				if (window.XMLHttpRequest) {
					// code for IE7+, Firefox, Chrome, Opera, Safari
					xmlhttp = new XMLHttpRequest();
				} else {
					// code for IE6, IE5
					xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
				}
				xmlhttp.onreadystatechange = function() {
					if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
						document.getElementById("txtHint").innerHTML = xmlhttp.responseText;
					}
				}
				hid = <?php echo $hotel_id ; ?>;
				xmlhttp.open("GET","getuser.php?q="+str+"&hids="+hid,true);
				xmlhttp.send();
			}
		}
		</script>
  <section id="main-content">
    <section class="wrapper">
    <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="db.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="dbstaff.php"><img src="../images/iconstaff.png"></a></td>
      <td width="12%" align="center"><a href="mgmtstaffattend.php"><img src="../images/iconleave.png"></a></td>
      <td width="12%" align="center"><a href="mgmtattendance.php"><img src="../images/iconattendance.png"  height="48px" width="48px"></a></td>
      <td width="12%" align="center"><a href="#apply_leave-box" class="apply_leave-window"><img src="../images/iconapplyleave.png" height="48px" width="48px"></a></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="db.php">Dashboard</a></td>
      <td align="center"><a href="dbstaff.php">Staff Management</a></td>
      <td align="center"><a href="mgmtstaffattend.php">Attendance & Leaves</a></td>
      <td align="center"><a href="mgmtattendance.php">Attendance History</a></td>
       <td align="center"><a href="#apply_leave-box" class="apply_leave-window">Apply Leave</a></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>

<br>
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
            <header class="panel-heading">
              <h2>ATTENDANCE & LEAVES REGISTER</h2>
            </header>
            	<form action="" method="post">
            <table width="100%" border="0" cellpadding="1" cellspacing="0">
              <tr>
              
                <td width="10%" align="right">Search Name: </td>
                <td width="15%">
                	<input type="text" name="by_name" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td width="5%" align="right">ID: </td>
                <td width="15%">
                	<input type="text" name="by_id" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td width="5%" align="right">Phone: </td>
                <td width="15%">
                	<input type="text" name="by_phone" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td><input name="search" type="submit" class="btn btn-success btn-sm" value="Search"/></td>
                
                <td width="5%" align="right"><a href="mgmtstaffattend.php">View All</a></td>
                
                <td width="20%" align="right">
                
                <!--<div class="row-fluid">
                    <div class="span6">
                        <div id="dynamic-table_length" class="dataTables_length">
                        <label>
                        <select name="dynamic-table_length" size="1" class="form-control" aria-controls="dynamic-table">
                            <option value="10" selected="selected">10</option>
                            <option value="25">25</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                        </label>
                        </div>
                    </div>
                </div>-->
                </td>
                
                <td width="10%"><!--records per page--></td>
                
              </tr>
            </table>
            <div style="margin:auto 0px" align="center">
            
          <form>
		  <select name="users" onchange="showUser(this.value)">
		  <option value="">Select Month:</option>
		  <option value="1">January</option>
		  <option value="2">February</option>
		  <option value="3">March</option>
		  <option value="4">April</option>
		  <option value="5">May</option>
		  <option value="6">June</option>
		  <option value="7">July</option>
		  <option value="8">August </option>
		  <option value="9">September</option>
		  <option value="10">October</option>
		  <option value="11">November</option>
		  <option value="12">December</option>
		  </select>
		</form> 
        </div>
				<a href="#testpopup-box" class="testpopup-window">Popup 1</a>
				
			
        	 <div id="txtHint"><b>
		 
		 </b></div>
         
            <br>
<br>
			
            <div class="panel-body" style="padding-top: 0px; margin-top: -34px;">
            
              <div class="adv-table">
              
	
                <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                  
                    <tr>
                      <th width="1%" align="center">ID</th>
                      <th width="10%">Name</th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                      <th width="1%"></th>
                    </tr>
                    <?php
                  if(isset($staff_array[0]['staff_id'])&&$staff_array[0]['staff_id']!='')
					{
						for($s=0;$s<count($staff_array);$s++)
						{
							if($s%2==0){$class='gradeX';}else{$class='gradeC';}
							$staffOb = new classStaff;
							$staffID = $staff_array[$s]['staff_id'];
						
							$userRoleOb = new classUser;
							$user_id = $staff_array[$s]['role'];
					?>
                    <input type="hidden" name="staff_id" value="<?php $staff_array[$s]['staff_id']?>" />
                  </thead>
                  <tbody>
                    <tr class="gradeX">
                      <td align="center"><?php echo $staff_array[$s]['staff_id'];?></td>
                      <td><a href="#attendanceleave-box" class="attendanceleave-window"><?php echo $staff_array[$s]['fname'].' '.$staff_array[$s]['lname'];?></a></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                      <td></td>
                    </tr>
					<?php
						}
					}
                    ?>
                  </tbody>
                </table>
                
                <div class="row-fluid">
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>    
									<div class="dataTables_paginate paging_bootstrap pagination">
                                    
                                        <td><?php include('pagination.php'); ?></td>
                      </tr> 
                    </table>
                </div>
                
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>

<div id="apply_leave-box" class="apply_leave-popup">
    
        <div class="pop_header">
            <span>Apply Leave</span>
            <a href="#" class="pop_close" style="float:right;">Close (X)</a>
        </div>

		     <div id="result_applyleave_form"></div>
            
            <form action="" method="post" id="applyleave_form" class="cmxform form-horizontal" onsubmit="return false;">

             <div class="form-group">
           	 	<label class="control-label col-lg-3" for="firstname">Dated:</label>
                <div class="col-lg-6">
                	<input type="date" name="laeve_date"  id="app_date" value="" class="form-control" readonly style="display:inline; width:50%;">
                </div>
            
            <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Medical">Medical</option>
                        <option value="Casual">Casual</option>
                        <option value="Appointment">Appointment</option>
                          <option value="other etc">other etc</option>
                    </select>
                </div>
                 <label class="control-label col-lg-3" for="firstname"></label>
                 <div class="col-lg-6" id="patient_name"></div>
            </div>

             </div>
             
          	<div id="datepairExample">
            
            <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">From :</label>
                <div class="col-lg-6">
                	<input type="date" name="app_from" value=""  class="form-control time start" style="width:90%; display:inline;">
                </div>
            </div>
            
             <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">To :</label>
                <div class="col-lg-6">
                	<input type="date" name="app_to" value=""  class="form-control time start" style="width:90%; display:inline;">
                </div>
            </div>
            
            <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Reason:</label>
                <div class="col-lg-6">
                	<input type="text" name="app_reason" value="" class="form-control time end" style="width:90%; display:inline;">
                </div>
            </div>

            </div>
            
            <p align="right">
            	<input type="hidden" name="patient_id" id="patient_id" value="">
                <input type="hidden" name="app_type" id="app_type" value="opd">
                
               	<input type="hidden" name="insert_leaveaction" value="Insert_leaveaction">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Apply"/>
            </p>
            
            </form>
</div>


<div id="attendanceleave-box" class="attendanceleave-popup">
    
        <div class="pop_header">
            <span>Manage Attendance AND Leaves</span>
            <a href="#" class="pop_close" style="float:right;">Close (X)</a>
        </div>

		     <div id="result_attendanceleave_form">
            
            <form action="" method="post" id="attendanceleave_form" class="cmxform form-horizontal" onsubmit="return false;">          
          	<input type="hidden" name="staff_id" id="stafff_id" value="" />
            <div>
      		 <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                  
                    <tr>
                      <th width="25%">Name</th>
                      <th width="20%">Date</th>
                      <th width="35%">Attendance Type</th>
                      <th width="10%">Hrs Worked</th>
                      <th width="10%">Save</th>
                     </tr>
                    
                  </thead>
                  <tbody>
				  
                  <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 01 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
						
						  <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 02 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 03 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 04 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 05 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 06 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 07 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 08 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 09 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 10 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 11 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 12 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 13 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 14 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 15 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 16 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 17 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 18 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 19 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 20 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 21 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  
				    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 22 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 23 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 24 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 25 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                    <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td> 26 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                    
					<tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td>  27 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
						
						<tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td>  28 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
                  <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td>  29 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
						
                  <tr class="gradeX">
                      <td align="center"><a href="#">Muhammad Fayyaz</a></td>
                      <td>  30 June 2015 </td>
                      <td>
					   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
                        <option value="Present">Present</option>
                        <option value="Absent">Absent</option>
                        <option value="Appointment">Appointment</option>
                          <option value="Medical Leave">Medical Leave</option>
                    </select>
                </div>
					  </td>
                      <td align="left"><input type="number" name="hrsworked" /></td>
                     	<td align="center">
							<a href="?sid=<?php echo base64_encode($staff_array[$s]['staff_id']);?>">SAVE</a></td>
						</tr>
				  
						
					
					

				</tbody>
            </table>
            </div>
           
           
            <div>
            <p align="right">
            	<input type="hidden" name="staff_id" id="staff_id" value="">
                
               	<input type="hidden" name="insert_attendance" value="Insert_attendance">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save"/>
            </p>
            </div>
            
            </form>
</div>
</div>


<div id="testpopup-box" class="testpopup-popup">
    
        <div class="pop_header">
            <span>Manage Attendance & Leaves</span>
            <a href="#" class="pop_close" style="float:right;">Close (X)</a>
        </div>

		     <div id="testpopup_form"></div>
            
            <form action="" method="post" id="testpopup_form" class="cmxform form-horizontal" onsubmit="return false;">
				   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Name:</label>
                <div class="col-lg-6">
                	<input type="text" name="app_reason" value="" class="form-control time end" style="width:90%; display:inline;">
                </div>
            </div>

          
				
             <div class="form-group">
           	 	<label class="control-label col-lg-3" for="firstname">Date:</label>
                <div class="col-lg-6">
                	<input type="date" name="laeve_date"  id="app_date" value="" class="form-control" readonly style="display:inline; width:50%;">
                </div>
            
            <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Attendance Type:</label>
               
                 <!--<a href="#select_patient-box" class="select_patient-window"  id="select_patient_popup">Select Patient</a>-->
                 <div class="col-lg-6">
                    <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15 patient_type">
                         <option value="">Select One</option>
						  <option value="Medical">Present</option>
                        <option value="Casual">Present</option>
                        <option value="Medical">Medical</option>
                        <option value="Casual">Casual</option>
                        <option value="Appointment">Appointment</option>
                          <option value="other etc">other etc</option>
                    </select>
                </div>
                 <label class="control-label col-lg-3" for="firstname"></label>
                 <div class="col-lg-6" id="patient_name"></div>
            </div>

           
			 
          	<div id="datepairExample">

              </div>
              <form action="" method="post" id="testpopup_form" class="cmxform form-horizontal" onsubmit="return false;">
				   <div class="form-group">
                <label class="control-label col-lg-3" for="firstname">Hours Worked:</label>
                <div class="col-lg-6">
                	<input type="text" name="app_reason" value="" class="form-control time end" style="width:90%; display:inline;">
                </div>
            </div>
            <p align="right">
            	<input type="hidden" name="patient_id" id="patient_id" value="">
                <input type="hidden" name="app_type" id="app_type" value="opd">
                
               	<input type="hidden" name="insert_leaveaction" value="Insert_leaveaction">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save"/>
            </p>
            
            </form>
</div>
</div>