﻿<?php 
include('../config/config.php');
include("../classes/classShift.php");
include("../classes/classDoctor.php");
include("../classes/classVisits.php");
include('../classes/classPatient.php');
include("../classes/classImages.php");
include('../classes/classTransaction.php');


if(isset($_POST['save_exit'])&&$_POST['save_exit']!='')
{
	header("location:opdhistory.php");
}

if(isset($_GET['visitid'])&&$_GET['visitid']!='')
{
	$_SESSION['temp']['visit_id'] = base64_decode($_GET['visitid']);
}
if(isset($_GET['patientid'])&&$_GET['patientid']!='')
{
	$_SESSION['temp']['patient_id'] = base64_decode($_GET['patientid']);
}
if(isset($_GET['doctorid'])&&$_GET['doctorid']!='')
{
	$_SESSION['temp']['doctorid'] = base64_decode($_GET['doctorid']);
}

if(isset($_SESSION['temp']['shiftid'])&&$_SESSION['temp']['shiftid']!='')
{
	$shift_id = $_SESSION['temp']['shiftid'];
}
if(isset($_SESSION['temp']['doctorid'])&&$_SESSION['temp']['doctorid']!='')
{
	$doctor_id = $_SESSION['temp']['doctorid'];
}
if(isset($_SESSION['temp']['patient_id'])&&$_SESSION['temp']['patient_id']!='')
{
	$patient_id = $_SESSION['temp']['patient_id'];
}
if(isset($_SESSION['temp']['visit_id'])&&$_SESSION['temp']['visit_id']!='')
{
	$visit_id = $_SESSION['temp']['visit_id'];
}

/////////////////////////////Delete prec////////////////////////

if(isset($_GET['del_prec']))
{
	$del_prec = base64_decode($_GET['del_prec']);
		
	try
	{	
		$delVisitOb = new classVisits;
		$delVisitOb->setPrescriptionItemID($del_prec);
		$delVisitOb->deletePrescription();
		
		header("Location:addpresc.php");
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
}


///////////// retrieve default procedures ////////////////////////////////////////

if(isset($_POST['submit'])&&$_POST['submit']=='Add to Prescription')
{
	try
	{
		
		$updateVisitOb = new classVisits;
		$updateVisitOb->setTemp($_POST['temp']);
		$updateVisitOb->setBp($_POST['bp']);
		$updateVisitOb->setBsr($_POST['bsr']);
		$updateVisitOb->setWeight($_POST['weight']);
		$updateVisitOb->setComplaint($_POST['complaint']);
		$updateVisitOb->setDiagnosis($_POST['diagnosis']);
		$updateVisitOb->setNotes($_POST['notes']);
		if(isset($_POST['zakat']))
		{
			$zakat=1;
		}
		else
		{
			$zakat = 0;
		}
		$updateVisitOb->setZakat($zakat);
		$updateVisitOb->setAmountPayable($_POST['payable']);
		$updateVisitOb->setVisitID($visit_id);
		$updateVisitOb->updatePrescription();
		
		if(isset($_POST['medicine_id'])&&$_POST['medicine_id']!=0)
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'medicine',$_POST['medicine_id']);
		}
		if(isset($_POST['labtest_id'])&&$_POST['labtest_id']!=0)
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'labtest',$_POST['labtest_id']);
		}
		if(isset($_POST['procedure_id'])&&$_POST['procedure_id']!=0)
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'procedure',$_POST['procedure_id']);
		}
		
		if(isset($_POST['dosage']))
		{
			foreach($_POST['dosage'] as $key => $value)
			{
				$updateVisitOb->setMedicineID($key);
				$updateVisitOb->setVisitID($visit_id);
				$updateVisitOb->setDosage($value);
				$updateVisitOb->updateDosage();
				
			}
			
		}
		
		
		
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
}
///////////// retrieve things ////////////////////////////////////////

try
{
	$retrieveVisitPrecOb = new classVisits;
	$retrieveVisitPrecOb->setVisitID($visit_id);
	$visit_array = $retrieveVisitPrecOb->retrieveVisitByVisitID();
	$prec_array = $retrieveVisitPrecOb->retrievePrescription();
	
	///////////// retrieve patient single data ///////////////////////////////
	
	$retrievePatientOb = new classPatient;
	$retrievePatientOb->setPatientAutoID($patient_id);
	$patient_single_detail = $retrievePatientOb->retrievePatientByPatientID();
	
	$patient_age = $retrievePatientOb->age_from_dob($patient_single_detail[0]['dob']);
	
	
///////////// retrieve doctor Detail ////////////////////////////////////////

try
{
	$doctorOb = new classDoctor;
	$doctorOb->setDoctorID($doctor_id);
	$doctor_detail = $doctorOb->retrieveDoctorByDoctorID();
	
	$doctor_name = $doctor_detail[0]['title'].' '.$doctor_detail[0]['doc_fname'].' '.$doctor_detail[0]['doc_lname'];
	
	$doctor_acc_id = $doctor_detail[0]['account_id'];
	$specialization = $doctor_detail[0]['specialization'];
	$degree = $doctor_detail[0]['degree'];
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

	///////////// retrieve patient image ///////////////////////////////
	
	$imageRetrieveOb = new classImages;
	$imageRetrieveOb->setPatientAutoID($patient_id);
	$image_id = $imageRetrieveOb->fetchImageOfPatient();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

try
{
	$retrieveOb = new classVisits;
	$medicine_array = $retrieveOb->retrieveMedicines();
	$labtest_array = $retrieveOb->retrieveLabTests();
	$procedure_array = $retrieveOb->retrieveProcedures();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

/*echo '<pre>';
print_r($_POST);
echo '</pre>';*/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Med2TEC Hospital Management Information System</title> 
    <link href="../css/print.css" rel="stylesheet">
    <link rel="stylesheet" href="../datepicker/jquery-ui.css">  
    <script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
	<script type="text/javascript" src="../datepicker/jquery-ui.js"></script> 
</head>
<body> 
<div align="right">
 <SCRIPT LANGUAGE="JavaScript">  
if (window.print) {
document.write('<form class="no-print"><input type=button name=print value="Print" onClick="window.print()"></form>');
}
</script></div>

<section class="wrapper">
<img alt="" src="../images/org_print_logos/<?php echo $_SESSION['security']['org_id']?>.png" style="width:100%;">

	<div class="row">
    <section class="panel">
    <header class="panel-heading">
    </header>

    <br />
    <!-- page start-->
    <div class="row">
    <h2><?php echo $doctor_name;?><br />
    				</h2><br />
      <header class="panel-heading"></header>
        <p>
        <?php
        if(isset($error_message)&&$error_message!='')
        {
            ?>
            <span class="message_red"><?php echo $error_message;?></span>
            <?php
        }
        ?>
        </p>
      
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
        
        <tr>
          <td><table width="100%" border="0"  cellpadding="0" cellspacing="0" style="border-bottom:1px solid #999; border-top:1px solid #999; font-size:14px;">
            <tr>
              <td width="20%">Patient ID:</td>
              <td width="30%"><?php echo $patient_single_detail[0]['patient_id']; ?></td>
               <td width="20%">Gender:</td>
                <td width="30%"><?php echo $patient_single_detail[0]['gender'];?></td>
              </tr>
            <tr>
              <td>Patient Name:</td>
              <td><?php echo $patient_single_detail[0]['patient_fname'].' '.$patient_single_detail[0]['patient_lname'];?></td>
              <td width="16%">Date of Admission No.</td>
              <td width="23%"><?php echo date('d M Y',$visit_array[0]['visit_date']); ?></td>
              </tr>
            <tr>
              
              <td>Date of Discharge</td>
              <td><?php echo date('d M Y',$visit_array[0]['visit_date']); ?></td>
              <td>s/d/w of:</td>
              <td><?php echo $patient_single_detail[0]['parent_name'];?></td>
              </tr>
            <tr>
              <td>Age:</td>
              <td><?php echo $patient_age;?></td>
              <td>Phone:</td>
              <td><?php echo $patient_single_detail[0]['phone'];?></td>
              </tr>
            </table></td>
          </tr>
          
        <tr>
          <td>&nbsp;</td>
          </tr>
          
        <tr>
          <td><table width="100%" border="0" cellpadding="5" cellspacing="0">
            
               <?php /*?> <?php
				
                if(isset($visit_array[0]['diagnosis'])&&$visit_array[0]['diagnosis']!='')
                {
                    ?>
                    <tr>
                        <td width="100%" align="left" height="37">
                        <img src="../images/bullet1.png" width="13" height="12" /><span class="smallblue">Diagnosis:</span><br />
                        <span class="smallblack"><?php echo ucwords($visit_array[0]['diagnosis']); ?></span>
                        </td>
                    </tr>
                    <?php
                }
                
                if(isset($visit_array[0]['complaint'])&&$visit_array[0]['complaint']!='')
                {
                    ?>
                    <tr>
                        <td width="100%" align="left" height="37">
                        <img src="../images/bullet1.png" width="13" height="12" /><span class="smallblue">Complaint:</span> <br />
                        <span class="smallblack"><?php echo ucwords($visit_array[0]['complaint']); ?></span>
                        </td>
                    </tr>
                    <?php
                }
                
                if(isset($visit_array[0]['notes'])&&$visit_array[0]['notes']!='')
                {
                    ?>
                    <tr>
                        <td width="100%" align="left" height="37">
                        <img src="../images/bullet1.png" width="13" height="12" /><span class="smallblue">Notes:</span><br />
                        <span class="smallblack"><?php echo ucwords($visit_array[0]['notes']); ?></span>
                        </td>
                    </tr>
                    <?php
                }
                
                ?><?php */?>
                <tr>
                <td width="100%">
                <table width="100%" border="0" cellspacing="5" cellpadding="5">
  <tr>
    <td width="60%" valign="top" align="left"><?php
                
                if($retrieveVisitPrecOb->checkMedicineLabTestProcedureInPrescription($visit_id,'medicine'))
                {
                    ?>
                    <table class="rounded_corners" width="90%" align="left">
                    <tr bgcolor="#e8e8e8">
                        <td width="100%" align="left" colspan="2"><strong>Diagnosis:</strong></td>
                    </tr>
                    <?php
					$no_of_med = 1;
                    for($prm=0;$prm<count($prec_array);$prm++)
                    {
						if($prec_array[$prm]['product_id']!=0)
						{
							$retreiveMedOb = new classVisits;
							$retreiveMedOb->setMedicineID($prec_array[$prm]['product_id']);
							$med_info = $retreiveMedOb->retrieveMedicineByMedicineID();
							?>
                            <tr>
                            <td valign="top"><br /><table width="100%" border="0" cellspacing="0" cellpadding="0">
                            
                            <tr>
                            	<td width="40%" align="left"><?php echo $no_of_med.'. '.ucwords($med_info[0]['product_name']);?><br /></td>
                                <td width="45%" align="right"><?php echo $prec_array[$prm]['dosage'];
								
                                if($prec_array[$prm]['quantity']!=0)
								{
									if($med_info[0]['medicine_type']=='Tablets/Capsules'){$type_of_med = 'گولیاں';}elseif($med_info[0]['medicine_type']=='Syrup'){$type_of_med = 'چمچ';}elseif($med_info[0]['medicine_type']=='Cream'){$type_of_med = 'مٹر کا دانہ';}else{$type_of_med = '';}
									?></td>
									<td width="15%" align="right"><?php echo $type_of_med; ?></td>
									<td width="1%"><?php echo ' '.$prec_array[$prm]['quantity']; ?></td>
									<?php
								}
								
								?>
                            </tr>
                            <?php
							if($prec_array[$prm]['duration']!=0)
							{
								?>
								<tr>
								<td>&nbsp; </td>
								<td align="right"> </td>
								<td align="right"><?php echo ' دن '; ?></td>
								<td><?php echo ' '.$prec_array[$prm]['duration']; ?></td>
								</tr>
								<?php
							}
							?>
                           
                            
                            <tr>
                                <td>&nbsp; </td>
                                <td>&nbsp; </td>
                                <td>&nbsp; </td>
                                <td align="right"></td>
                            </tr>
                            
                            </table></td>
                            </tr>
                            
							<?php
							$no_of_med++;
						}
                     }
					?>
                    </table>
                    <?php
                    
                }
				?></td>
    <td width="40%" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <?php
                if($retrieveVisitPrecOb->checkMedicineLabTestProcedureInPrescription($visit_id,'labtest'))
                {
                    ?><tr>
                    <td valign="top"><table class="rounded_corners" width="100%">
                
                    <tr bgcolor="#e8e8e8">
                        <td width="100%" align="left"><strong>Operation Summary:</strong></td>
                    </tr>
                    
                    <tr>
                        <td align="left" valign="top"><br /><table width="100%">
                            <tr>
                                <td align="left" width="40%">
								<?php
								$no_of_test=1;
                                for($prm=0;$prm<count($prec_array);$prm++)
                                {
									if($prec_array[$prm]['labtest_id']!=0)
									{
										$retreiveMedOb = new classVisits;
										$retreiveMedOb->setLabTestID($prec_array[$prm]['labtest_id']);
										$labtest_info = $retreiveMedOb->retrieveLabTestsByLabTestID();
										echo $no_of_test.'. '.ucwords($labtest_info[0]['labtest_name']); ?>
										<p></p>
										<?php 
										$no_of_test++;
									}
										
                                } 
                                ?>
                                </td>
                            </tr>
                        </table></td>
                    </tr>
                
                    </table></td>
  </tr>
  <tr>
                    <td valign="top"><table class="rounded_corners" width="100%">
                
                    <tr bgcolor="#e8e8e8">
                        <td width="100%" align="left"><strong>Investigation & Treatment given:</strong></td>
                    </tr>
                    
                    <tr>
                        <td align="left" valign="top"><br /><table width="100%">
                            <tr>
                                <td align="left" width="40%">
								<?php
								$no_of_test=1;
                                for($prm=0;$prm<count($prec_array);$prm++)
                                {
									if($prec_array[$prm]['labtest_id']!=0)
									{
										$retreiveMedOb = new classVisits;
										$retreiveMedOb->setLabTestID($prec_array[$prm]['labtest_id']);
										$labtest_info = $retreiveMedOb->retrieveLabTestsByLabTestID();
										echo $no_of_test.'. '.ucwords($labtest_info[0]['labtest_name']); ?>
										<p></p>
										<?php 
										$no_of_test++;
									}
										
                                } 
                                ?>
                                </td>
                            </tr>
                        </table></td>
                    </tr>
                
                    </table></td>
  </tr>
  
  <tr>
                    <td valign="top"><table class="rounded_corners" width="100%">
                
                    <tr bgcolor="#e8e8e8">
                        <td width="100%" align="left"><strong>Follow Up:</strong></td>
                    </tr>
                    
                    <tr>
                        <td align="left" valign="top"><br /><table width="100%">
                            <tr>
                                <td align="left" width="40%">
								<?php
								$no_of_test=1;
                                for($prm=0;$prm<count($prec_array);$prm++)
                                {
									if($prec_array[$prm]['labtest_id']!=0)
									{
										$retreiveMedOb = new classVisits;
										$retreiveMedOb->setLabTestID($prec_array[$prm]['labtest_id']);
										$labtest_info = $retreiveMedOb->retrieveLabTestsByLabTestID();
										echo $no_of_test.'. '.ucwords($labtest_info[0]['labtest_name']); ?>
										<p></p>
										<?php 
										$no_of_test++;
									}
										
                                } 
                                ?>
                                </td>
                            </tr>
                        </table></td>
                    </tr>
                
                    </table></td>
  </tr>
 
  <?php
                
                } ?>
                
                
                <?php
	  if($retrieveVisitPrecOb->checkMedicineLabTestProcedureInPrescription($visit_id,'procedure'))
                {
                    ?>
                    
  <tr>
  
                    <td  valign="top"><table class="rounded_corners" width="100%">
                      <tr bgcolor="#e8e8e8">
                        <td width="100%" align="left"><strong>Brief History:</strong></td>
                      </tr>
                      <tr>
                        <td align="left" valign="top"><br /><table width="100%">
                          <tr>
                            <td align="left" width="40%">
                            <?php
							$no_of_prod = 1;
                            for($prm=0;$prm<count($prec_array);$prm++)
                            {
								if($prec_array[$prm]['procedure_id']!=0)
								{
									$retreiveMedOb = new classVisits;
									$retreiveMedOb->setProcedureID($prec_array[$prm]['procedure_id']);
									$procedure_info = $retreiveMedOb->retrieveProcedureByProcedureID();
									echo $no_of_prod.'. '.ucwords($procedure_info[0]['procedure_name']);?>
									<p></p>
									<?php
									$no_of_prod++; 
								}
                            } 
                            ?>
                            </td>
                          </tr>
                        </table></td>
                        </tr>
                    </table></td>
  </tr><?php
                    
                }
                ?>
</table>
</td>
  </tr>
</table>

                
                </td>
                </tr>
                <?php
				
				if($retrieveVisitPrecOb->checkMedicineLabTestProcedureInPrescription($visit_id,'dressing'))
                {
					
                    ?>
                    <tr>
                        <td width="100%" align="left" height="37">
                        <img src="../images/bullet1.png" width="13" height="12" /><span class="smallblue">Dressing/پٹی اور اس کا طریقہ:</span><br />
                        <?php
                      
                        for($prm=0;$prm<count($prec_array);$prm++)
                        {
							if($prec_array[$prm]['dressing_id']!=0)
							{	
								$retreiveDressOb = new classVisits;
								$retreiveDressOb->setDressingID($prec_array[$prm]['dressing_id']);
								$dress_info = $retreiveDressOb->retrieveDressingByID();
								
								if($prec_array[$prm]['duration']!=0)
								{
									?>
									<tr>
									
									<td align="left"> <?php echo ucwords($dress_info[0]['dressing']); ?></td>
									<td align="left"><?php echo ' دن '; ?></td>
									<td><?php echo ' '.$prec_array[$prm]['duration']; ?></td>
									</tr>
									<?php
								}
								
							}
                        }
                        ?>
                        </td>
                    </tr>
                    <?php
                }
				
                ?>
            
            </table></td>
          </tr>
          
        </table>
      
    </div>
      <!-- page end-->
    </section>
	</div>

</section>

<style>


#block{
    display:block;
    margin:auto;
    position:absolute;
	float:right;
    }

#text {
    padding:0;
    margin:0;
    position:relative;
    font-size:9px;
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
	left: 880px; top: 348px;
}
</style>
<!--<div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color:#000; text-align:right; font-size:9px;">© Software designed by Softusion Inc. Contact us at 0322 6155 219</div>   
    </div>
</div>-->


          
</body>
</html>

