<?php
include('../config/config.php');

include('../classes/classStoreItemSaleInvoice.php');
include('../classes/classStoreItem.php');

/*echo '<pre>';
print_r($_POST);
print_r($_SESSION);
echo '</pre>';
exit;
*/

if((isset($_GET['ref'])&&(base64_decode($_GET['ref'])=='new'))||(isset($_POST['save_exit'])&&($_POST['save_exit']=='Save & Exit')))
{
	unset($_SESSION['temp']);
	
	if(isset($_POST['save_exit']))
	{
		header("Location:mgmtrequisitions.php");
	}
	else
	{
		header("Location:storerequisition.php");	
	}
}

################# Delete Sale Item Start ####################################

if(isset($_GET['saledel'])&&$_GET['saledel']!='')
{
	try
	{
		$delSaleItemOb = new classStoreItemSaleInvoice;
		$delSaleItemOb->setSaleItemID(base64_decode($_GET['saledel']));
		$delSaleItemOb->deleteSaleItemsInInvoice();
		header("Location:storerequisition.php");
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}


################## Create Invoice Start ####################################

if((isset($_POST['create_invoice'])&&$_POST['create_invoice']=='Create Invoice'))
{	
	try
	{
		$createInvOb = new classStoreItemSaleInvoice;
		$createInvOb->setUserID($_SESSION['security']['user_id']);
		$createInvOb->setLocationID($_SESSION['security']['location_id']);
		$createInvOb->setStaffName($_POST['staff_name']);
		$createInvOb->setDepartmentName($_POST['department_name']);
		$createInvOb->setDescription($_POST['description']);
		$createInvOb->createSaleInvoice();
		
		$_SESSION['temp']['invoice_id'] = $createInvOb->getSaleInvoiceID();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}

if(isset($_GET['saleinvoice_id']))
{
	$_SESSION['temp']['invoice_id'] = base64_decode($_GET['saleinvoice_id']);
	
	header("Location:storerequisition.php");
}

if(isset($_SESSION['temp']['invoice_id'])&&$_SESSION['temp']['invoice_id']!='')
{
	$invoice_id = $_SESSION['temp']['invoice_id'];
}

################## Add Item In Invoice Start ####################################

if(isset($_POST['add_storeitems'])&&$_POST['add_storeitems']=='Add Items')
{
	try
	{
		$addItemOb = new classStoreItemSaleInvoice;
		$addItemOb->setStoreItemID($_POST['storeitem_id']);
		$addItemOb->setSaleInvoiceID($_POST['invoice_id']);
		$addItemOb->addSaleItemsInInvoice();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}

################## Retrieve Data Start ####################################

try
{
	///////////// retrieve invoice data ///////////////////////////////
	
	if(isset($invoice_id)&&$invoice_id!='')
	{
		$retrieveInvoiceOb = new classStoreItemSaleInvoice;
		$retrieveInvoiceOb->setSaleInvoiceID($invoice_id);
		$invoice_array = $retrieveInvoiceOb->retrieveInvoiceByID();
		$invoice_items_array = $retrieveInvoiceOb->retrieveInvoiceItems();
	}
	
	///////////// retrieve product data ///////////////////////////////
	
	$retrieveOb = new classStoreItem;
	$retrieveOb->setOrganizationID($_SESSION['security']['org_id']);
	$retrieveOb->setActive(1);
	$storeitems_array = $retrieveOb->retrieveStoreItems();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	
		


/*echo '<pre>';
print_r($patients_array);
echo '</pre>';
exit;*/


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head></head><!-- InstanceBegin template="/Templates/print.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Med2TEC Hospital Management Information System</title> 
    <link href="../css/print.css" rel="stylesheet">
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >  
    <script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
	<script type="text/javascript" src="../datepicker/jquery-ui.js"></script> 
</head>

<body> 
<div align="right"> 
 <SCRIPT LANGUAGE="JavaScript">  
if (window.print) {
document.write('<form class="no-print"><input type=button name=print value="Print" onClick="window.print()"></form>');
}
</script></div>

<section class="wrapper">
<div style="background:#FFF; padding:0px 0px 0; height:auto;">
  <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
    <tbody>
      <tr>
        <td align="left" style="background:#fff;"><img alt="" src="../images/org_print_logos/<?php echo $_SESSION['security']['org_id']?>.png" style="width:100%;"></td>
      </tr>
    </tbody>
  </table>
  
</br>

</div>

<div class="row">
          <section class="panel">
            <header class="panel-heading">
              <h2><!-- InstanceBeginEditable name="title" --><!-- InstanceEndEditable --></h2>
            </header>

  <br />
  
<!-- InstanceBeginEditable name="main" -->
      <section id="main-content">
    <section class="wrapper">

      <!-- page start-->
       <div class="row">
            <div class="col-sm-12">
                <section class="panel">
                    <div class="panel-body invoice">
                    
                        <div class="invoice-header">
                            <div class="invoice-title col-md-3 col-xs-12">
                                    <h2>STORE REQUISITION</h2>
                            </div>
                            
                        </div>
                        
                      	<?php
						if(isset($error_message)&&$error_message!='')
						{
							?>
                            <table>
							<tr>
								<td><span class="message_red"><?php echo $error_message;?></span></td>
							</tr>
                            <tr><td>&nbsp;</td></tr>
                            </table>
							<?php
						}
						?>
                        
                        <?php
						if(isset($invoice_id)&&$invoice_id!='')
						{
								?>
								<div id="result"></div>
                            
								<table width="100%" border="0" align="left" cellspacing="0" cellpadding="0">
								<tbody>
									
									<tr>
										<td width="10%">Invoice # :</td>
										<td><?php echo $invoice_id;?></td>
									</tr>
                                    
                                    <tr>
										<td width="12%">Invoice Date :</td>
										<td><?php echo date('d M Y',$invoice_array[0]['saleinvoice_date']);?></td>
									</tr>
								</tbody>
								</table>

								<table class="bottomBorder" cellpadding="0" cellspacing="0" width="100%">
								<thead>
									<tr>
										<th width="5%" align="left">ID</th>
										<th width="25%" align="left">Item</th>
                                        <th width="8%" align="left">Qty</th>
										
									</tr>
								</thead>
								<tbody>
                               
                                <?php
								if(isset($invoice_items_array[0]['saleitems_id'])&&$invoice_items_array[0]['saleitems_id']!='')
								{
									for($ri=0;$ri<count($invoice_items_array);$ri++)
									{
										$singleItemOb = new classStoreItem;
										$singleItemOb->setStoreItemID($invoice_items_array[$ri]['storeitem_id']);
										$single_item_detail = $singleItemOb->retrieveStoreItemByID();
										
										?>
										<tr>
											
												<td><?php echo $single_item_detail[0]['storeitem_id'];?></td>
												
												<td>
													<h4><?php echo ucwords($single_item_detail[0]['storeitem_name']);?></h4>
													<span><?php echo $single_item_detail[0]['category'];?></span>
												</td>
											  
												<td class="text-center">
													<span><?php echo $invoice_items_array[$ri]['qty_sale'];?></span>
												</td>
												
												
											</tr>
											
										</tbody>
                                        <input name="storeitem_id[]" class="storeitem_id" id="storeitem_id_<?php echo $ri;?>" value="<?php echo $single_item_detail[0]['storeitem_id'];?>" type="hidden" size="5"/>
											
										<input name="saleitems_id[]" class="saleitems_id" id="saleitems_id_<?php echo $ri;?>" value="<?php echo $invoice_items_array[$ri]['saleitems_id'];?>" type="hidden" size="5"/>
											
										<?php
									}
								}
								?>  
                                
								
								</table>
                           
								
                            
                             	<div class="col-md-9 payment-method">
									<h4>Terms &amp; Conditions</h4>
									<p>1. Check Cash and ensure quality &amp; quantity before leaving.</p>
									<p>2. Loose tablets, without packing are not refundable.</p>
									<p>3. Fridge items, inhalers, test strips and opened syrups are not refundable.</p>
									<br />
									<h3 class="inv-label itatic">Thank you for your business</h3>
								</div>
							
								<?php
						}
						else
						{
							?>
                            <form action="" method="post">
                            <table width="100%" border="0">
                            <tr>
                                <td>
                                    <div class="form-group">
                                    	<label class="control-label col-lg-3" for="lastname">Staff Name:</label>
                                        <div class="col-lg-6">
                                            <input type="text" name="staff_name" value="" id="lastname" class="form-control" />
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        <label class="control-label col-lg-3" for="lastname">Department Name:</label>
                                        <div class="col-lg-6">
                                        <input type="text" name="department_name" value="" id="lastname" class="form-control" />
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                    <div class="form-group">
                                        <label class="control-label col-lg-3" for="lastname">Description:</label>
                                        <div class="col-lg-6">
                                        <textarea name="description" cols="43" rows="5"></textarea>
                                        </div>
                                    </div>
                                </td>
                                
                                <td align="center">
                                    <input name="create_invoice" type="submit" class="btn btn-primary" value="Create Invoice"/>
                                </td>
                            </tr>
                            
                            </table>
                            </form>
                            <?php
						}
						?>
                    </div>
                </section>
            </div>
        </div>
      <!-- page end-->
    </section>
  </section>
  
                    <a href="javascript:Popup('printstorerequisition.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					
    <title>Med2TEC Hospital Management Information System</title>
    
<!-- InstanceEndEditable -->
</section>
</div>

<!--<p align="center" style="font-size:12px; font-family:Arial, Helvetica, sans-serif; margin-top:260px;"><strong><!--317 A-1, Nursery Stop, Township, Lahore. 
Ph: 042-35151666</strong><br />
For Appointment call at 042-35151666 (bring your Patient ID Card) </p>-->

   <div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color: rgb(0, 0, 0); text-align: right; font-size: 10px; margin-top: 4px; position: absolute; right: 180px;">© Software by Softusion Inc. 0322 6155 219</div>   
    </div>
</div>

<!--<div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color:#000; text-align:right; font-size:9px;">© Software designed by Softusion Inc. Contact us at 0322 6155 219</div>   
    </div>
</div>-->


          
</body>
<!-- InstanceEnd --></html>


