<?php 
include('../config/config.php');
include("../classes/classShift.php");
include("../classes/classDoctor.php");
include("../classes/classVisits.php");
include('../classes/classPatient.php');
include("../classes/classImages.php");
include('../classes/classTransaction.php');
include('../classes/classProduct.php');

/*echo '<pre>';
print_r($_POST);
echo '</pre>';
exit;
*/
if(isset($_SESSION['temp']['shiftid'])&&$_SESSION['temp']['shiftid']!='')
{
	$shift_id = $_SESSION['temp']['shiftid'];
}
if(isset($_SESSION['temp']['doctorid'])&&$_SESSION['temp']['doctorid']!='')
{
	$doctor_id = $_SESSION['temp']['doctorid'];
}
if(isset($_SESSION['temp']['patient_id'])&&$_SESSION['temp']['patient_id']!='')
{
	$patient_id = $_SESSION['temp']['patient_id'];
}
if(isset($_SESSION['temp']['visit_id'])&&$_SESSION['temp']['visit_id']!='')
{
	$visit_id = $_SESSION['temp']['visit_id'];
}

/////////////////////////////Delete prec////////////////////////

if(isset($_GET['del_prec']))
{
	$del_prec = base64_decode($_GET['del_prec']);
		
	try
	{	
		$delVisitOb = new classVisits;
		$delVisitOb->setPrescriptionItemID($del_prec);
		$delVisitOb->deletePrescription();
		
		header("Location:addpresc_ep.php");
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
}


///////////// retrieve default procedures ////////////////////////////////////////
if((isset($_POST['make_presc'])&&$_POST['make_presc']=='Upload Default'))
{
	try
	{
		$copyDefPresc= new classVisits;
		$copyDefPresc->setPrescriptionDefaultID($_POST['presc_def_id']);
		$copyDefPresc->setVisitID($visit_id);
		$copyDefPresc->copyDefaultPrescItemsToVisPrescItems();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
}

if((isset($_POST['save_def_presc'])&&$_POST['save_def_presc']=='Save as Default'))
{
	try
	{
		$insertDefPresc= new classVisits;
		$insertDefPresc->setPrescriptionDefaultName($_POST['presc_name']);
		$insertDefPresc->setPrescriptionDefaultPurpose($_POST['presc_purpose']);
		$insertDefPresc->insertPrescriptionDefault();
		
		if(isset($_POST['medicine_id'][0])&&$_POST['medicine_id'][0]!='')
		{
			$insertDefPresc->insertPrescriptionDefaultItems($insertDefPresc->getPrescriptionDefaultID(),'medicine',$_POST['medicine_id']);
		}
		if(isset($_POST['labtest_id'][0])&&$_POST['labtest_id'][0]!='')
		{
			$insertDefPresc->insertPrescriptionDefaultItems($insertDefPresc->getPrescriptionDefaultID(),'labtest',$_POST['labtest_id']);
		}
		if(isset($_POST['procedure_id'][0])&&$_POST['procedure_id'][0]!='')
		{
			$insertDefPresc->insertPrescriptionDefaultItems($insertDefPresc->getPrescriptionDefaultID(),'procedure',$_POST['procedure_id']);
		}
		if(isset($_POST['dressing_id'][0])&&$_POST['dressing_id'][0]!='')
		{
			$insertDefPresc->insertPrescriptionDefaultItems($insertDefPresc->getPrescriptionDefaultID(),'dressing',$_POST['dressing_id']);
		}
		
		//header("location:addpresc.php");
	
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
	
}

if((isset($_POST['submit'])&&$_POST['submit']=='Add to Prescription')||(isset($_POST['save_exit'])&&$_POST['save_exit']!=''))
{
	/*echo '<pre>';
	print_r($_POST);
	echo '</pre>';
	exit;*/
	
	
	try
	{
		
		$updateVisitOb = new classVisits;
		$updateVisitOb->setTemp($_POST['temp']);
		$updateVisitOb->setBp($_POST['bp']);
		$updateVisitOb->setBsr($_POST['bsr']);
		$updateVisitOb->setWeight($_POST['weight']);
		
		$updateVisitOb->setComplaint($_POST['complaint']);
		$updateVisitOb->setDiagnosis($_POST['diagnosis']);
		$updateVisitOb->setNotes($_POST['notes']);
		
		$updateVisitOb->setSignSymptoms($_POST['sign_symptoms']);
		$updateVisitOb->setPulse($_POST['pulse']);
		$updateVisitOb->setHeight($_POST['height']);
		
		$updateVisitOb->setGSAC($_POST['GSAC']);
		$updateVisitOb->setGAGE($_POST['GAGE']);
		$updateVisitOb->setEDD($_POST['EDD']);
		$updateVisitOb->setBPD($_POST['BPD']);
		$updateVisitOb->setFL($_POST['FL']);
		$updateVisitOb->setFM($_POST['FM']);
		$updateVisitOb->setFCA($_POST['FCA']);
		$updateVisitOb->setDGA($_POST['DGA']);
		$updateVisitOb->setCRL($_POST['CRL']);
		$updateVisitOb->setActiveAlive($_POST['active_alive']);
		$updateVisitOb->setPlacenta($_POST['placenta']);
		$updateVisitOb->setLiquorAmnioticFluid($_POST['liquor_amniotic_fluid']);
		$updateVisitOb->setUterineCavity($_POST['uterine_cavity']);
		
		$updateVisitOb->setReferToOPD(@$_POST['refer_to_opd']);
		$updateVisitOb->setReferToIPD(@$_POST['refer_to_ipd']);
		
		$updateVisitOb->setZakat(@$_POST['zakat']);
		$updateVisitOb->setKhairat(@$_POST['khairat']);
		$updateVisitOb->setDiscount(@$_POST['discount']);
		
		$updateVisitOb->setFee($_POST['fee']);
		$updateVisitOb->setPayment($_POST['payment']);
		$updateVisitOb->setVisitID($visit_id);
		$updateVisitOb->updatePrescription();
		
		if(isset($_POST['medicine_id'][0])&&$_POST['medicine_id'][0]!='')
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'medicine',$_POST['medicine_id']);
		}
		if(isset($_POST['labtest_id'][0])&&$_POST['labtest_id'][0]!='')
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'labtest',$_POST['labtest_id']);
		}
		if(isset($_POST['procedure_id'][0])&&$_POST['procedure_id'][0]!='')
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'procedure',$_POST['procedure_id']);
		}
		if(isset($_POST['dressing_id'][0])&&$_POST['dressing_id'][0]!='')
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'dressing',$_POST['dressing_id']);
		}
		if(isset($_POST['service_id'][0])&&$_POST['service_id'][0]!='')
		{
			$updateVisitOb->insertPrescriptionItems($visit_id,'service',$_POST['service_id']);
		}
		
		if(isset($_POST['dosage'])||isset($_POST['quantity'])||isset($_POST['duration'])||isset($_POST['dressing_duration']))
		{
			$updateDosageOb = new classVisits;
			$updateDosageOb->setVisitID($visit_id);
			if(isset($_POST['dosage']))
			{	
				$updateDosageOb->setDosage($_POST['dosage']);
				$updateDosageOb->updateDosage();
			}
			
			if(isset($_POST['quantity']))
			{
				$updateDosageOb->setQuantity($_POST['quantity']);
				$updateDosageOb->updateDosageQuantity();
			}
			
			if(isset($_POST['duration']))
			{
				$updateDosageOb->setDuration($_POST['duration']);
				$updateDosageOb->updateDosageDuration();
			}
			if(isset($_POST['dressing_duration']))
			{
				$updateDosageOb->setDuration($_POST['dressing_duration']);
				$updateDosageOb->updateDressingDuration();
			}
		}
		
		if(isset($_POST['save_exit'])&&$_POST['save_exit']!='')
		{
			header("location:opdhistory.php");
		}

		
		
	}
	catch(MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
}
///////////// retrieve things ////////////////////////////////////////

try
{
	$retrieveVisitPrecOb = new classVisits;
	$retrieveVisitPrecOb->setVisitID($visit_id);
	$visit_array = $retrieveVisitPrecOb->retrieveVisitByVisitID();
	$prec_array = $retrieveVisitPrecOb->retrievePrescription();
	
	$default_presc_array = $retrieveVisitPrecOb->retrieveDefaultPresc();
	///////////// retrieve patient single data ///////////////////////////////
	
	$retrievePatientOb = new classPatient;
	$retrievePatientOb->setPatientAutoID($patient_id);
	$patient_single_detail = $retrievePatientOb->retrievePatientByPatientID();
	
	$patient_age = $retrievePatientOb->age_from_dob($patient_single_detail[0]['dob']);
	
	///////////// retrieve patient image ///////////////////////////////
	
	$imageRetrieveOb = new classImages;
	$imageRetrieveOb->setPatientAutoID($patient_id);
	$image_id = $imageRetrieveOb->fetchImageOfPatient();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

try
{
	$retrieveOb = new classVisits;
	$retrieveOb->setOrganizationID($_SESSION['security']['org_id']);
	$medicine_array = $retrieveOb->retrieveMedicines();
	$labtest_array = $retrieveOb->retrieveLabTests();
	$procedure_array = $retrieveOb->retrieveProcedures();
	$dosage_array = $retrieveOb->retrieveDosage();
	$dressing_array = $retrieveOb->retrieveDressing();
	$services_array = $retrieveOb->retrieveServices();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

if(strtolower($visit_array[0]['pay_status'])=='paid')
{
	$type = 'hidden';
	$disable = 'disabled';
}
else
{
	$type = 'text';
	$disable = '';
}



?>
<!DOCTYPE html>

<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                   <a href="javascript:Popup('6-ep.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
    

  <section id="main-content">
    <section class="wrapper">
    	<table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbopd.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="mgmtshifts.php"><img src="../images/iconshifts.png"></a></td>
      <td width="12%" align="center"><a href="mgmtvisits.php"><img src="../images/iconvisits.png" /></a></td>
      <td width="12%" align="center"><a href="opdhistory.php"><img src="../images/iconhistory.png"></a></td>
      <td width="12%" align="center"><a href="#add_medicine-box" class="add_medicine-window" id="add_medicine"><img src="../images/iconnewmed.png" /></a></td>
      <td width="12%" align="center"><a href="#add_labtest-box" class="add_labtest-window" id="add_labtest"><img src="../images/iconlab.png" /></td>
      <td width="12%" align="center"><a href="#add_procedure-box" class="add_procedure-window" id="add_procedure"><img src="../images/iconradio.png" /></a></td>
      <td width="12%" align="center"><a href="#add_service-box" class="add_service-window"><img src="../images/iconservices.png"></a></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbopd.php">Out Patient</a></td>
      <td align="center"><a href="mgmtshifts.php">Manage Shifts</a></td>
      <td align="center"><a href="mgmtvisits.php">Manage Visits</a></td>
      <td align="center"><a href="opdhistory.php">Clinical Overview</a></td>
      <td align="center"><a href="#add_medicine-box" class="add_medicine-window" id="add_medicine">Add New Medicine</a></td>
      <td align="center"><a href="#add_labtest-box" class="add_labtest-window" id="add_labtest">Add New Test</a></td>
      <td align="center"><a href="#add_procedure-box" class="add_procedure-window" id="add_procedure">Add New Procedure</a></td>
      <td align="center"><a href="#add_service-box" class="add_service-window">Add Service</a></td>
      <td height="24" align="center">&nbsp; </td>
    </tr>
  </tbody>
</table>
    
		<br>
 
      	<!-- page start-->
      
      		<header class="panel-heading">
            <img src="../images/titleprescription.png">
          </header>
          
         	<?php
			if(isset($error_message)&&$error_message!='')
			{
				?><span class="message_red"><?php echo $error_message;?></span><br><br>
				<?php
			}
			?>
           	<div id="result_presc_type_form" style="margin:10px;"></div>
        
        	<form action="" method="post" id="presc_type_form" class="cmxform form-horizontal" onSubmit="return false;">
           	
            <input type="submit" value="Update Prescription" class="btn btn-success btn-sm  ajax_submit" name="ajax_submit" style="float:right;">
            <input type="hidden" name="update_presc_type" value="Update_presc_type">
        	<input type="hidden" name="visit_id" id="visitor_id" value="<?php echo $visit_id;?>">
       	 	
            <span style="float:right;">
            <select name="presc_type" class="form-control">
            <option value="general">General</option>
            <option value="gyne_normal">Normal</option>
            <option value="early_pregnancy">Early Pregnancy</option>
            <option value="1st_trimester">1st Trimester</option>
            <option value="2nd_3rd_trimester">2nd & 3rd Trimester</option>
            </select>
            </span>
            
            </form>
            
           	<form class="cmxform form-horizontal" method="post" action="" id="presc_form">
           
           	<p align="left" style="left-margin:5px;">
            <input type="submit" value="Save & Exit" class="btn btn-success btn-sm" name="save_exit">
            <input type="submit" value="Add to Prescription" class="btn btn-success btn-sm" name="submit">
            
           <?php /*?> <input type="submit" value="Upload Default" class="btn btn-success btn-sm" name="make_presc" style="float:right;">
            <span style="float:right;">
             
                <select class="form-control input-sm m-bot15 urdu" id="presc_def_id"  name="presc_def_id">
                	<option value="">Select Default Prescription</option>
                <?php
				if(isset($default_presc_array[0]['presc_def_id']))
				{
					for($dp=0;$dp<count($default_presc_array);$dp++)
					{
						?>
                        <option value="<?php echo $default_presc_array[$dp]['presc_def_id'];?>"><?php echo ucwords($default_presc_array[$dp]['presc_name']);?></option>
                        <?php
					}
				}
				?>
                
                </select>
            </span>
            </p><?php */?>

          	<div class="row">
          
            <div class="col-md-8">
            
             <table width="100%" border="0"  >
                <tr>
                	<th width="50%" align="right"> </th>
                    <th width="10%" align="right">Refer to: </th>
                    <th width="5%" align="right"><input type="checkbox" name="refer_to_opd" value="1" class="form-control" <?php if($visit_array[0]['refered_to_opd']){echo 'checked';}?>></th>
                    <th width="15%" align="right">OPD Assistant</th>
                    <th width="5%" align="right"><input type="checkbox" name="refer_to_ipd" value="1" class="form-control" <?php if($visit_array[0]['refered_to_ipd']){echo 'checked';}?>> </th>
                    <th width="15%" align="right">In Door Assistant</th>
                    
                </tr>
                </table>
                 <br>
                
                <section class="panel">
                    
                    <table width="94%" cellpadding="2" cellspacing="0" class="display table table-bordered table-striped" id="dynamic-table">
                
                   <tr>
                	<td><strong>Specialized Services</strong></td>
                	<td align="right"><input name="submit" type="submit" class="btn btn-grey btn-sm message_red" value="Add to Prescription"/></td>
                </tr>
                
                <tr>
                
                    <td align="left"  valign="top">
                    <label>
                        <select name="service_id[]"  class="form-control" aria-controls="dynamic-table" style="width:340px; height:85px;" multiple>
                        <?php
                        if(isset($services_array[0]['opd_service_id']))
                        {
                            for($d=0;$d<count($services_array);$d++)
                            {
                                ?>
                                <option value="<?php echo $services_array[$d]['opd_service_id'];?>"><?php echo ucwords($services_array[$d]['service_name']);?></option>
                                <?php
                            }
                        }
                        ?>
                        </select>
                    </label>
                    </td>
                
                	<td align="left"  valign="top"><table width="100%" border="0">
					<?php
                    for($prm=0;$prm<count($prec_array);$prm++)
                    {
                        if($prec_array[$prm]['opd_service_id']!=0)
                        {	
                            $retreiveServOb = new classVisits;
                            $retreiveServOb->setServiceID($prec_array[$prm]['opd_service_id']);
                            $service_info = $retreiveServOb->retrieveServiceByID();
                            ?>
                            
                            <tr>
                            <td width="5%" align="left" valign="top"><a href="?del_prec=<?php echo base64_encode($prec_array[$prm]['presc_item_id']);?>"><img border="0" alt="Delete" src="../images/cross.png"></a> </td>
                            
                            <td width="80%" align="left" valign="top"> <?php echo ucwords($service_info[0]['service_name']);?></td>
                            <td width="15%" align="right" valign="top"></td>
                            </tr>
                            <?php
                        }
                    }
                    ?>
                    </table></td>
                
                </tr>
                
                <tr>
                  	<td width="45%"><strong>Medication</strong></td>
                    <td width="55%" align="right"><input name="submit" type="submit" class="btn btn-grey btn-sm message_red" value="Add to Prescription"/></td>
                </tr>
                
                <tr>
                  	<td align="left"  valign="top"><label>
                            <select name="medicine_id[]"  class="form-control" aria-controls="dynamic-table" style="width:340px; height:175px;" multiple>
                            <!--<option value="0">Select Medicines</option>-->
                            <?php
                            if(isset($medicine_array[0]['product_id']))
                            {
                                for($m=0;$m<count($medicine_array);$m++)
                                {
                                    $singleProdOb = new classProduct;
                                    $prod_loc_array = $singleProdOb->retrieveProductLocationRelationship($medicine_array[$m]['product_id'],$_SESSION['security']['location_id']);
                                    ?>
                                    <option value="<?php echo $medicine_array[$m]['product_id'];?>"><?php echo ucwords($medicine_array[$m]['product_name']).' - '.$medicine_array[$m]['medicine_type'].' - Qty : '.$prod_loc_array[0]['unit_qtyinstock'];?></option>
                                    <?php
                                }
                            }
                            ?>
                            </select>
                        </label></td>
                    <td align="left"  valign="top"><table width="100%" border="0">
                                <?php
							  	for($prm=0;$prm<count($prec_array);$prm++)
							  	{
									if($prec_array[$prm]['product_id']!=0)
									{	
										$retreiveMedOb = new classVisits;
										$retreiveMedOb->setMedicineID($prec_array[$prm]['product_id']);
										$med_info = $retreiveMedOb->retrieveMedicineByMedicineID();
										?>
										
										<tr>
											<td width="40%" align="left" valign="top"><a href="?del_prec=<?php echo base64_encode($prec_array[$prm]['presc_item_id']);?>"><img border="0" alt="Delete" src="../images/cross.png"></a> <?php echo ucwords($med_info[0]['product_name']);?> </td>
										
											<td width="30%" align="right" valign="top">
											<select class="form-control input-sm m-bot15 urdu" id="dosage_select"  name="dosage[<?php echo $prec_array[$prm]['product_id']?>]">
											<option value="">Select dosage</option>
											<?php
											for($d=0;$d<count($dosage_array);$d++)
											{
												?>
												<option value="<?php echo $dosage_array[$d]['dosage_id']?>" <?php if($prec_array[$prm]['dosage_id']==$dosage_array[$d]['dosage_id']){echo 'selected';}?>><?php echo $dosage_array[$d]['dosage']?></option>
												<?php	
											}
											?>
                                            </select>
											</td>
                                            <td width="15%" align="right" valign="top">
                                            <input class="form-control" type="text" name="quantity[<?php echo $prec_array[$prm]['product_id']?>]" value="<?php echo $prec_array[$prm]['quantity']?>">
                                           <?php 
										   if($med_info[0]['medicine_type']=='Tablets/Capsules'){$type_of_med = 'گولیاں';}elseif($med_info[0]['medicine_type']=='Syrup'){$type_of_med = 'چمچ';}elseif($med_info[0]['medicine_type']=='Cream'){$type_of_med = 'مٹر کا دانہ';}else{$type_of_med = '';}
										   echo $type_of_med;
										   ?> 
											</td>
                                             <td width="15%" align="right" valign="top">
												<input class="form-control" type="text"  name="duration[<?php echo $prec_array[$prm]['product_id']?>]" value="<?php echo $prec_array[$prm]['duration']?>">دن
											</td>
                                        </tr>
                                        
										<?php
									}
                                }
								?>  
								</table></td>
                </tr>
                 
                <tr>
                  	<td><strong>Blood Tests</strong></td>
                    <td align="right"><input name="submit" type="submit" class="btn btn-grey btn-sm message_red" value="Add to Prescription"/></td>
                </tr>
                
                <tr>
                  	<td align="left"  valign="top"><label>
                            <select name="labtest_id[]"  class="form-control" aria-controls="dynamic-table" style="width:340px; height:85px;" multiple>
                                <!--<option value="0">Select Lab Tests</option>-->
                                 <?php
                                if(isset($labtest_array[0]['labtest_id']))
                                {
                                    for($l=0;$l<count($labtest_array);$l++)
                                    {
                                        ?>
                                        <option value="<?php echo $labtest_array[$l]['labtest_id'];?>"><?php echo ucwords($labtest_array[$l]['labtest_name']);?></option>
                                        <?php
                                    }
                                }
                                ?>
                            </select>
                        </label></td>
                    <td align="left"  valign="top"><?php
                            for($prm=0;$prm<count($prec_array);$prm++)
                            {
                                if($prec_array[$prm]['labtest_id']!=0)
                                {	
                                    $retreiveMedOb = new classVisits;
                                    $retreiveMedOb->setLabTestID($prec_array[$prm]['labtest_id']);
                                    $labtest_info = $retreiveMedOb->retrieveLabTestsByLabTestID();
                                    ?>
                                    <a href="?del_prec=<?php echo base64_encode($prec_array[$prm]['presc_item_id']);?>"><img border="0" alt="Delete" src="../images/cross.png"></a> <?php echo ucwords($labtest_info[0]['labtest_name']);?>  <br>
                                    
                                    <?php
                                    }
                                }
                            ?> </td>
                </tr>
                 
                <tr>
                  	<td><strong>U/S or X-Ray Procedures</strong></td>
                    <td align="right"><input name="submit" type="submit" class="btn btn-grey btn-sm message_red" value="Add to Prescription"/></td>
                </tr>
                
                <tr>
                  	<td align="left"  valign="top"><label>
                            <select name="procedure_id[]"  class="form-control" aria-controls="dynamic-table" style="width:340px; height:85px;" multiple>
                                <!--<option value="0">Select Procedures</option>-->
                                <?php
                                if(isset($procedure_array[0]['procedure_id']))
                                {
                                    for($p=0;$p<count($procedure_array);$p++)
                                    {
                                        ?>
                                        <option value="<?php echo $procedure_array[$p]['procedure_id'];?>"><?php echo ucwords($procedure_array[$p]['procedure_name']);?></option>
                                        <?php
                                    }
                                }
                                ?>
                            </select>
                        </label></td>
                    <td align="left"  valign="top"><?php
                            for($prm=0;$prm<count($prec_array);$prm++)
                            {
                                if($prec_array[$prm]['procedure_id']!=0)
                                {	
                                    $retreiveMedOb = new classVisits;
                                    $retreiveMedOb->setProcedureID($prec_array[$prm]['procedure_id']);
                                    $procedure_info = $retreiveMedOb->retrieveProcedureByProcedureID();
                                    ?>
                                    <a href="?del_prec=<?php echo base64_encode($prec_array[$prm]['presc_item_id']);?>"><img border="0" alt="Delete" src="../images/cross.png"></a> <?php echo ucwords($procedure_info[0]['procedure_name']);?> <br>
                                    
                                    <?php
                                }
                            }
                            ?></td>
                </tr>
                 
               <?php /*?> <tr>
                  	<td><strong>Dressing/پٹی اور اس کا طریقہ</strong></td>
                    <td align="right"><input name="submit" type="submit" class="btn btn-grey btn-sm message_red" value="Add to Prescription"/></td>
                </tr>
                
                <tr>
                  	<td align="left"  valign="top"><label>
                            <select name="dressing_id[]"  class="form-control" aria-controls="dynamic-table" style="width:340px; height:85px;" multiple>
                                <!--<option value="0">Select Dressing</option>-->
                                <?php
                                if(isset($dressing_array[0]['dressing_id']))
                                {
                                    for($d=0;$d<count($dressing_array);$d++)
                                    {
                                        ?>
                                        <option value="<?php echo $dressing_array[$d]['dressing_id'];?>"><?php echo ucwords($dressing_array[$d]['dressing']);?></option>
                                        <?php
                                    }
                                }
                                ?>
                            </select>
                        </label></td>
                    <td align="left"  valign="top"><table width="100%" border="0">
                                <?php
							  	for($prm=0;$prm<count($prec_array);$prm++)
							  	{
									if($prec_array[$prm]['dressing_id']!=0)
									{	
										$retreiveDressOb = new classVisits;
										$retreiveDressOb->setDressingID($prec_array[$prm]['dressing_id']);
										$dress_info = $retreiveDressOb->retrieveDressingByID();
										?>
										
										<tr>
											<td width="5%" align="left" valign="top"><a href="?del_prec=<?php echo base64_encode($prec_array[$prm]['presc_item_id']);?>"><img border="0" alt="Delete" src="../images/cross.png"></a> </td>
											<td width="80%" align="left" valign="top"> <?php echo ucwords($dress_info[0]['dressing']);?></td>
                                             <td width="15%" align="right" valign="top"><input class="form-control" type="text"  name="dressing_duration[<?php echo $prec_array[$prm]['dressing_id']?>]" value="<?php echo $prec_array[$prm]['duration']?>">دن</td>
                                        </tr>
                                        <?php
									}
                                }
								?>
								</table></td>
                </tr>
                <?php */?>
               
                </table>
                    
                </section>
                
                <!--<div class="form-group">
                    <div class="col-lg-6">
                    Default Prescription Name:
                    <input type="text" name="presc_name" value="" class="form-control">
                    Purpose of Prescription:
                    <input type="text" name="presc_purpose" value="" class="form-control">
                    </div>
                </div>
                
                <p align="left" style="left-margin:5px;">
            	<input name="save_def_presc" type="submit" class="btn btn-success  btn-sm" value="Save as Default"/>
            	</p>-->
                
              </div>
          
            <div class="col-md-4">
            <div class="profile-nav alt">
            <section class="panel">
                    <div class="user-heading alt clock-row terques-bg">
                    
                    <h1><?php  if(isset($patient_single_detail[0]['patient_id'])){echo $patient_single_detail[0]['patient_id'];}?> - <?php if(isset($patient_single_detail[0]['patient_fname'])){echo $patient_single_detail[0]['patient_fname'].' '.$patient_single_detail[0]['patient_lname'];}else{echo 'Outdoor';}?></h1>
                    
                    <p class="text-left">Age: <?php echo $patient_age?> <span style="float:right; padding-right:10%;">Blood Group: <?php if(isset($patient_single_detail[0]['blood_group'])){echo $patient_single_detail[0]['blood_group'];}?></span></p>
                     
                    <p class="text-left">Payable: <?php echo $visit_array[0]['payable'];?></p>
                    
                    <br>
                    
                    <table width="100%" border="0">
                    	<tr>
                            <td width="5%" align="right">Fee:</td>
                            <td width="20%"><input name="fee" type="text" size="10" value="<?php echo $visit_array[0]['fee'];?>" <?php echo $disable;?>/></td>
                            <td width="55%" align="right">Discount:</td>
                            <td width="20%"><input name="discount" type="text" size="7" value="<?php echo $visit_array[0]['discount']; ?>" <?php echo $disable;?> /></td>
                        </tr>
                        <tr>
                            <td align="right">Zakat:</td>
                            <td><input name="zakat" type="text" size="7" value="<?php echo $visit_array[0]['zakat']; ?>" <?php echo $disable;?> /></td>
                            <td align="right">Khairat:</td>
                            <td><input name="khairat" type="text" size="7" value="<?php echo $visit_array[0]['khairat']; ?>" <?php echo $disable;?> /></td>
                        </tr>
                    </table>
                    
                    </div>
                    </section>
            </div>
            </div>
            
            <div class="col-md-4">
            <section class="panel">
                <table width="100%" class="display table table-bordered table-striped" id="dynamic-table">
                <tr>
                    <td><table width="100%" border="0">
                    <tr>
                      
                      <th width="10%" align="right">BP:</th>
                      <td width="23%"><input type="text" value="<?php if(isset($visit_array[0]['bp'])){echo $visit_array[0]['bp'];}?>" class=" form-control" id="lastname5" name="bp" style="width:100%;"></td>
                    
                      <th align="right">Pulse:</th>
                      <td><input type="text" value="<?php if(isset($visit_array[0]['pulse'])){echo $visit_array[0]['pulse'];}?>" class=" form-control" id="lastname5" name="pulse" style="width:100%;"></td>
                    
                      <th width="10%" align="right">Temp:</th>
                      <td width="23%"><input type="text" value="<?php if(isset($visit_array[0]['temp'])){echo $visit_array[0]['temp'];}?>" class=" form-control" id="lastname5" name="temp" style="width:100%;"></td>
                      
                    </tr>
                    <tr>
                      
                      <th width="10%" align="right">BSR:</th>
                      <td width="23%"><input type="text" value="<?php if(isset($visit_array[0]['bsr'])){echo $visit_array[0]['bsr'];}?>" class=" form-control" id="lastname5" name="bsr" style="width:100%;"></td>
                      
                      <th align="right">Height:</th>
                      <td><input type="text" value="<?php if(isset($visit_array[0]['height'])){echo $visit_array[0]['height'];}?>" class=" form-control" id="lastname5" name="height" style="width:100%;"></td>
                      
                      <th align="right">Weight:</th>
                      <td><input type="text" value="<?php if(isset($visit_array[0]['weight'])){echo $visit_array[0]['weight'];}?>" class=" form-control" id="lastname5" name="weight" style="width:100%;"></td>
                      
                    </tr>
                     <tr>
                      <th align="right">G.SAc </th>
                      <td><input type="text" value="<?php if(isset($visit_array[0]['GSAC'])){echo $visit_array[0]['GSAC'];}?>" class=" form-control" id="lastname5" placeholder="mm" name="GSAC" style="width:100%;"></td>
                      
                      <th align="right">G.Age </th>
                      <td><input type="text" value="<?php if(isset($visit_array[0]['GAGE'])){echo $visit_array[0]['GAGE'];}?>" class=" form-control" id="lastname5" name="GAGE" style="width:100%;"></td>
                      
                      <th align="right">E.D.D </th>
                      <td><input type="text" value="<?php if(isset($visit_array[0]['EDD'])){echo $visit_array[0]['EDD'];}?>" class=" form-control" id="lastname5" name="EDD" style="width:100%;"></td>
                      
                    </tr>
                    
                    <tr>
                      <td colspan="6" >&nbsp;</td>
                      
                    </tr>
                    <tr>
                      <td colspan="6" >Single Gestational Sac in Uterine cavity: <input type="text" value="<?php if(isset($visit_array[0]['uterine_cavity'])){echo $visit_array[0]['uterine_cavity'];}?>" class=" form-control" id="lastname5" placeholder="weeks" name="uterine_cavity" style="width:100%;"></td>
                    </tr>
                    
                    </table></td>
                </tr>
             </table>
            </section>
            </div>
          
            <div class="col-md-4" style="float:right;">
            <section class="panel">
                <table width="50%" class="display table table-bordered table-striped" id="dynamic-table">
                    <tbody>
                        <tr>
                         <td><textarea class="form-control" rows="2" cols="55" placeholder="Complaints" name="complaint" style="width: 100%;"><?php if(isset($visit_array[0]['complaint'])){echo $visit_array[0]['complaint'];}?></textarea></td>
                        </tr>
                        <tr>
                         <td><textarea class="form-control" rows="2" cols="55" placeholder="Signs & Symptoms" name="sign_symptoms" style="width: 100%;"><?php if(isset($visit_array[0]['sign_symptoms'])){echo $visit_array[0]['sign_symptoms'];}?></textarea></td>
                        </tr>
                        <tr>
                            <td><textarea class="form-control" rows="2" cols="55" placeholder="Diagnosis" name="diagnosis" style="width: 100%;"><?php if(isset($visit_array[0]['diagnosis'])){echo $visit_array[0]['diagnosis'];}?></textarea></td>
                        </tr>
                        <tr>
                            <td><textarea class="form-control" rows="2" cols="55" placeholder="Doctor Notes" name="notes" style="width: 100%;"><?php if(isset($visit_array[0]['notes'])){echo $visit_array[0]['notes'];}?></textarea></td>
                        </tr>
                    </tbody>
                    </table>
            </section>
            </div>

          	<?php
			if(strtolower($visit_array[0]['pay_status'])=='paid')
			{
				?>
            	<input name="zakat" type="<?php echo $type;?>" value="<?php echo $visit_array[0]['zakat']; ?>"/>
            	<input name="khairat" type="<?php echo $type;?>" value="<?php echo $visit_array[0]['khairat']; ?>" />
            	<input name="discount" type="<?php echo $type;?>" value="<?php echo $visit_array[0]['discount'];?>"/>
                <input name="fee" type="<?php echo $type;?>" value="<?php echo $visit_array[0]['fee'];?>">
            	<?php
			}
			?>
        	</div>
        	<input type="hidden" name="CRL" value="<?php echo $visit_array[0]['CRL'];?>">
            <input type="hidden" name="DGA" value="<?php echo $visit_array[0]['DGA'];?>">
            <input type="hidden" name="FCA" value="<?php echo $visit_array[0]['FCA'];?>">
            <input type="hidden" name="FL" value="<?php echo $visit_array[0]['FL'];?>">
            <input type="hidden" name="FM" value="<?php echo $visit_array[0]['FM'];?>">
            <input type="hidden" name="BPD" value="<?php echo $visit_array[0]['BPD'];?>">
            <input type="hidden" name="active_alive" value="<?php echo $visit_array[0]['active_alive'];?>">
            <input type="hidden" name="placenta" value="<?php echo $visit_array[0]['placenta'];?>">
            <input type="hidden" name="liquor_amniotic_fluid" value="<?php echo $visit_array[0]['liquor_amniotic_fluid'];?>">
            
        	<input type="hidden" name="payment" value="<?php echo $visit_array[0]['payment'];?>">
        	</form>
            
            <?php /*?><div class="col-md-4" style="float:right;">
            <section class="panel" style="float: left; margin-top: -281px; margin-left: 8px;">
                <div class="panel-body">
                    <div class="top-stats-panel">
                    
                        <form action="" method="post" enctype="multipart/form-data">
                        
                        <h4 class="widget-h">Image History <?php
						if(isset($images_array[0]['image_id']))
						{
							?>
                            <input name="compare_image" type="submit" class="btn btn-success btn-sm" style=" background-color:white; border-color:white;color:#ff6600;font-size: 9pt;line-height:1.4em" value="Compare Images"/>
                            <?php
						}
						?></h4>
                        <?php
                        if(isset($images_array[0]['image_id']))
                        {
                            ?>
                            <div style="float:left; width:100%;">
                            <?php
                            for($im=0;$im<count($images_array);$im++)
                            {
                                ?>
                                <div style="float:left;width:20%;">
                                <img src="../images/patient_images/<?php echo $images_array[$im]['image_id'];?>.jpg" height="63" width="60" >
                                <input type="checkbox" name="image_ids[]" value="<?php echo $images_array[$im]['image_id'];?>">
                                </div>
                                <!--<div style=" margin-right:5px;">
                                <img src="../images/cross.png" width="10" height="12">
                                </div>-->
                                <?php
                            }
                            ?>
                            </div>
                            
                            <input name="delete_image" type="submit" class="btn btn-success btn-sm" style=" background-color:white; border-color:white;color:#ff6600; padding:0;" value="Delete"/>
                            
                            
                            <?php
                        
                        }
                        else
                        {
							?>
							<span style="float:left; margin-top:10px; width:100%;">
							<img src="../images/photo.png" width="63" height="60"><br><br>
							</span>
							<?php
                        }
                        ?>
                        </form>
                    
                        
                        <table width="100%" border="0" cellspacing="1" cellpadding="1">
                        <form action="" method="post" enctype="multipart/form-data">
                        <tr>
                            <td width="100%" align="left" valign="top">Select Image:<table width="100%" border="0" cellspacing="1" cellpadding="1">
                            <tr>
                                <td width="30%" style="border: solid 1px #ccc;"><input type="file" name="image" value="" id="image"/></td>
                                <td width="70%"  valign="middle">
                                <input type="submit" name="upload_image" value="Upload" /></td>
                            </tr>
                            </table></td>	
                        </tr>
                        </form>   
                        </table>
                        
                         
                    </div>
                </div>
            </section>
            </div><?php */?>
            
            
        <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>

<div id="add_medicine-box" class="add_medicine-popup">
    
    <div class="pop_header">
        <span>Add Medicine</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_medicine_form"></div>
          
          <form action="" method="post" id="insert_medicine_form" class="cmxform form-horizontal" onsubmit="return false;">
          
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Medicine:</label>
            	<div class="col-lg-6">
                     <input type="text" name="medicine_name" id="medicine_name" value="" class="form-control">
                </div>
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="password">Medicine Type:</label>
                <div class="col-lg-6">
                <select name="medicine_type" class="form-control input-sm m-bot15">
                
                <option  value="Tablets/Capsules">Tablets/Capsules</option>
                <option value="Cream">Cream</option>
                <option value="Ointment">Ointment</option>
                <option value="Syrup">Syrup</option>
                <option value="Injection">Injection</option>
                <option value="Sachet">Sachet</option>
                <option value="Lotion">Lotion</option>
                <option value="Drops">Drops</option>
                <option value="Gel">Gel</option>
                <option value="Soap">Soap</option>
                <option value="Paste">Paste</option>
                <option value="Other">Other</option>
                </select>
                </div>
            </div>
            
            
            <p align="right">
                <input type="hidden" name="add_medicine" value="Add_medicine">
               <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add"/>
            </p>
            
          </form>
          </td>
          
      </tr>
      
      <tr>
      	<td><a href="mgmtprescmedicines.php">Manage Medicines</a></td>
      </tr>
    </table>
</div>

<div id="add_labtest-box" class="add_labtest-popup">
    
    <div class="pop_header">
        <span>Add Lab Test</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_labtest_form"></div>
          
          <form action="" method="post" id="insert_labtest_form" class="cmxform form-horizontal" onsubmit="return false;">
          
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Lab Test:</label>
            	<div class="col-lg-6">
                     <input type="text" name="labtest_name" id="labtest_name" value="" class="form-control">
                </div>
            </div>
            
            
            <p align="right">
                <input type="hidden" name="add_labtest" value="Add_labtest">
               <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add"/>
            </p>
            
          </form>
          </td>
          
      </tr>
      
      <tr>
      	<td><a href="mgmtpresctests.php">Manage Lab Tests</a></td>
      </tr>
      
    </table>
</div>

<div id="add_procedure-box" class="add_procedure-popup">
    
    <div class="pop_header">
        <span>Add Procedure</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_procedure_form"></div>
          
          <form action="" method="post" id="insert_procedure_form" class="cmxform form-horizontal" onsubmit="return false;">
          
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Procedure:</label>
            	<div class="col-lg-6">
                     <input type="text" name="procedure_name" id="procedure_name" value="" class="form-control">
                </div>
            </div>
            
            
            <p align="right">
                <input type="hidden" name="add_procedure" value="Add_procedure">
               <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add"/>
            </p>
            
          </form>
          </td>
          
      </tr>
      
       <tr>
      	<td><a href="mgmtprescprocedures.php">Manage Procedures</a></td>
      </tr>
      
    </table>
</div>

<div id="add_dressing-box" class="add_dressing-popup">
    
    <div class="pop_header">
        <span>Add Dressing Procedure</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_dressing_form"></div>
          
          <form action="" method="post" id="insert_dressing_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Dressing:</label>
            	<div class="col-lg-6">
                     <input type="text" name="dressing" value="" class="form-control">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="insert_dressing_presc" value="Insert_dressing_presc">
               	<input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add"/>
            </p>
            
          </form>
          </td>
          
      </tr>
       <tr>
      	<td><a href="mgmtdressing.php">Manage Dressing Procedures</a></td>
      </tr>
    </table>
</div>


<div id="save_def_presc-box" class="save_def_presc-popup">
    
    <div class="pop_header">
        <span>Add Dressing Procedure</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_save_def_presc_form"></div>
          
          <form action="" method="post" id="save_def_presc_form" class="cmxform form-horizontal">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Name:</label>
            	<div class="col-lg-6">
                     <input type="text" name="presc_name" value="" class="form-control">
                </div>
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Purpose:</label>
            	<div class="col-lg-6">
                     <input type="text" name="presc_purpose" value="" class="form-control">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="save_def_presc" value="save_def_presc" >
               	<input name="ajax_submit" type="submit" class=" btn btn-info" value="Save" id="ajax_submit"/>
            </p>
            
          </form>
          </td>
          
      </tr>
      
    </table>
</div>

<div id="add_service-box" class="add_service-popup">
    
    <div class="pop_header">
        <span>Add OPD Service</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_service_form"></div>
          
          <form action="" method="post" id="insert_service_form" class="cmxform form-horizontal" onsubmit="return false;">
          
          	<div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Service Name:</label>
            	<div class="col-lg-6">
                     <input type="text" name="service_name" value="" class="form-control">
                </div>
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Service Price:</label>
            	<div class="col-lg-6">
                     <input type="text" name="service_price" value="" class="form-control">
                </div>
            </div>
            
            <div class="form-group">
            <label class="control-label col-lg-3" for="firstname">Service Type:</label>
                <div class="col-lg-6">
                <select name="service_type" class="form-control input-sm m-bot15">
                    <option value="opd">OPD</option>
                    <option value="ipd">IPD</option>
                </select>
                </div>
            </div>
            
            
            <p align="right">
                <input type="hidden" name="add_opd_service" value="Add_opd_service">
               <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add"/>
            </p>
            
          </form>
          </td>
          
      </tr>
      
       <tr>
      	<td><a href="mgmtprescservices.php">Manage OPD Services</a></td>
      </tr>
      
      
      
    </table>
</div>

<script>

 $(document).ready(function() {
	 
    $('#ajax_submit').click(function() {
		$('#presc_form').submit();
    });
});
	 
</script> 

<script type="text/javascript">

     function Popup(apri) { 
        window.open(apri,"","top=10,left=200,width=950,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
     }
	 
	 
</script> 

