<?php
include('../config/config.php');
include("../classes/classUserRegistration.php");
include("../classes/classDoctor.php");

/*echo '<pre>';
print_r($_SESSION);
echo '</pre>';*/


try
{
	$userRoleOb = new classUserRegistration;
	$userRoleArray = $userRoleOb->retrieveDefaultUserRoles();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

try
{
	$retrieveLocOB = new classUser;
	$retrieveLocOB->setOrganizationID($_SESSION['security']['org_id']);
	$location_array = $retrieveLocOB->retrieveLocationsOfOrganization();
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

	
try
{
	$retrieveDocOB = new classDoctor;
	$retrieveDocOB->setLocationID($_SESSION['security']['location_id']);
	$doc_array = $retrieveDocOB->retrieveAllDoctors();
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	
	

if(isset($_GET['id'])&&$_GET['id']!='')
{
	$user_id = base64_decode($_GET['id']);
	try
	{
		$retrieveUserOb = new classUser;
		$retrieveUserOb->retrieveUserAllDataByUserID($user_id);
		
		if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==5)
		{
			$retrieveRelationShipOb = new classDoctor;
			$retrieveRelationShipOb->setAssistantID($user_id);
			$doctor_asst_array = $retrieveRelationShipOb->retrieveAssistantDoctorIDs();
			
			for($da=0;$da<count($doctor_asst_array);$da++)
			{
				$doctor_ids[] = $doctor_asst_array[$da]['doctor_id'];
			}
		}
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}
		
/*echo '<pre>';	
print_r($doctor_asst_array);
echo '</pre>';	*/

?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="#"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
       <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbadmin.php"><img src="../images/icondb.png"></a></td>  
      <td width="12%" align="center"><a href="mgmtuser.php"><img src="../images/iconpatients.png"></a></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbadmin.php">Main Admin</a></td>
      <td align="center"><a href="mgmtuser.php">Manage Users</a></td>
      <td align="center"></td>
       <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>
<br>
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
            <header class="panel-heading">
              <h2>ADD NEW USER</h2>
            </header>
            <table width="100%" border="0" cellspacing="5" cellpadding="5">
              <tr>
                <td width="10%" valign="top"></td>
                <td width="40%" valign="top"></td>
                <td width="70%" align="right"></td>
              </tr>
            </table>

            <div class="panel-body">
              <div class="adv-table">
              <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                    <tr>
                    
                      <th>
                      <div id="result_insert_user_form"></div>
                      <form method="post" id="insert_user_form" class="cmxform form-horizontal">
                      <table width="100%" border="0" cellspacing="0" cellpadding="0">
                       
                        
                        <?php
						if(isset($error_message)&&$error_message!='')
						{
							?>
							<tr>
								<td><span class="message_red"><?php echo $error_message;?></span></td>
							</tr>
							<?php
						}
						?>
                        
                        <tr>
                            <td><h4>LOGIN INFORMATION</h4></td>
                        </tr>  
                                                      
                        <tr>
                        	<td>
                            <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">User Name:</label>
                                <div class="col-lg-6">
                                	<input type="text" name="userName" value="<?php if(isset($retrieveUserOb)){echo $retrieveUserOb->getUserName();}?>" id="lastname" class=" form-control">
                                </div>
                            </div>
                            </td>
                            
                            <td>
                            <div class="form-group">
                             <?php
							if(isset($user_id)&&$user_id!='')
							{
								?>
                                <a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a>
                                <?php
							}
							else
							{
								?>
                            	<label class="control-label col-lg-3" for="lastname">Password:</label>
                                <div class="col-lg-6">
                                	<input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                                </div>
                                <?php
							}
							?>
                            </div>
                            </td>
                        </tr>
                        
                        <tr>
                            <td>
                            <div class="form-group">
                            <label class="control-label col-lg-3" for="User Role">User Role:</label>
                                <div class="col-lg-6">
                                    
                                    <?php
									
									if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==4)
									{
										echo "Doctor";
										?>
                                        <input  type="hidden" name="userrole_id" value="4">
                                        <?php
									}
									else
									{
										?>
                                        <select name="userrole_id" class="form-control input-sm m-bot15" id="userrole_id">
                                    	<option value="">Select User Role</option>
                                        <?php
										for($u=0;$u<count($userRoleArray);$u++)
										{
											if($_SESSION['security']['userrole_id']==1&& $userRoleArray[$u]['userrole_id']!=1)
											{
												
												?>
												<option value="<?php echo $userRoleArray[$u]['userrole_id']?>" <?php if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==$userRoleArray[$u]['userrole_id']){echo 'selected';}?>><?php echo $userRoleArray[$u]['userrole']?></option>
												<?php
											}
											if($_SESSION['security']['userrole_id']!=1&& $userRoleArray[$u]['userrole_id']!=1&& $userRoleArray[$u]['userrole_id']!=2)
											{
												
												?>
												<option value="<?php echo $userRoleArray[$u]['userrole_id']?>" <?php if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==$userRoleArray[$u]['userrole_id']){echo 'selected';}?>><?php echo $userRoleArray[$u]['userrole']?></option>
												<?php
											}
										}
										?>
                                        </select>
                                        <?php
									}
									?>
                                  
                                </div>
                            </div>
                            </td>
                            
                            <td>
                            <div class="form-group">
                            <label class="control-label col-lg-3" for="Locations">Locations:</label>
                                <div class="col-lg-6">
                                    <select name="location_id" class="form-control input-sm m-bot15">
                                    <option value="">Select Location</option>
                                    <?php
									if(isset($location_array[0]['location_id'])&&$location_array[0]['location_id']!='')
									{
										for($l=0;$l<count($location_array);$l++)
										{
												?>
												<option value="<?php echo $location_array[$l]['location_id'];?>" <?php if(isset($retrieveUserOb)&&$retrieveUserOb->getLocationID()==$location_array[$l]['location_id']){echo 'selected';}?>><?php echo $location_array[$l]['location_name'];?></option>
												<?php
										}
									}
									?>
                                    </select>
                                </div>
                            </div>
                            </td>
                            
                        </tr>
                        
                        <tr>
                        <?php
						if(isset($retrieveUserOb)&&$retrieveUserOb->getUserRoleID()==5)
						{
							$style = '';
						}
						else
						{
							$style = 'display:none;';
						}
						?>
                            <td id="doc_list" style=" <?php echo $style;?>">
                                <div class="form-group">
                                <label class="control-label col-lg-3" for="User Role">Doctors:</label>
                                    <div class="col-lg-6">
                                        <select name="doctor_id[]" class="form-control input-sm m-bot15" multiple style="height:auto;">
                                            <?php
                                            for($d=0;$d<count($doc_array);$d++)
                                            {
                                                ?>
                                                <option value="<?php echo $doc_array[$d]['doctor_id']?>" <?php if(isset($doctor_asst_array)&&in_array($doc_array[$d]['doctor_id'],$doctor_ids)){echo 'selected';}?>><?php echo $doc_array[$d]['doc_fname'].''.$doc_array[$d]['doc_lname']?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        
                        <tr>
                            <td><h4>PERSONAL INFORMATION</h4></td>
                        </tr>
                        
                        <tr>
                        	<td>
                            <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">First Name:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="fname" value="<?php if(isset($retrieveUserOb)){echo $retrieveUserOb->getFirstName();}?>" id="lastname" class=" form-control">
                                </div>
                            </div>
                            </td>
                        
                            <td>
                            <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Last Name:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="lname" value="<?php if(isset($retrieveUserOb)){echo $retrieveUserOb->getLastName();}?>" id="lastname" class=" form-control">
                                </div>
                            </div>
                            </td>
                        </tr>
                        
                        <tr>
                        	<td>
                            <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Phone:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="phone" value="<?php if(isset($retrieveUserOb)){echo $retrieveUserOb->getPhone();}?>" id="lastname" class=" form-control">
                                </div>
                            </div>
                            </td>
                        
                            <td>
                            <div class="form-group">
                            <label class="control-label col-lg-3" for="firstname">Email:</label>
                                <div class="col-lg-6">
                                    <input type="text" name="email" value="<?php if(isset($retrieveUserOb)){echo $retrieveUserOb->getEmail();}?>" id="lastname" class=" form-control">
                                </div>
                            </div>
                            </td>
                        </tr>
                        
                        <tr>
                        	<td>&nbsp;</td>
                        	<td align="right">
                            <?php
							if(isset($user_id)&&$user_id!='')
							{
								?>
                                <input type="hidden" name="user_id" value="<?php echo $user_id;?>">
                                <input type="hidden" name="updateUser" value="yes">
								<input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update User"/>
								<?php
							}
							else
							{
								?>
                                <input type="hidden" name="regUser" value="yes">
								<input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Add User"/>
								<?php	
							}
                            ?>
                            </td>
                        </tr>
                        
                       
                      </table>
                     
                     
                      
                      </form>
                      </th>
                     
                      
                    </tr>
                  </thead>
                </table>

              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>

<script>
$(document).ready(function() {
$("#userrole_id").change(function() {
	
	var userrole_id = $("#userrole_id").val();
	if(userrole_id=='5')
	{
		$("#doc_list").css('display','block');
		//alert(userrole_id)
	}
	else
	{
		$("#doc_list").css('display','none');
	}
	

});
});
</script>