<?php
include('../config/config.php');

?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="#"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
    <section id="main-content">
      <section class="wrapper">
        <!--mini statistics start-->
        <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="#"><img src="../images/iconregister.png"></a></td>
      <td width="12%" align="center"><a href="#"><img src="../images/icondoctor.png"></a></td>
      <td width="12%" align="center"><a href="#"><img src="../images/iconnurse.png"></a></td>
      <td width="12%" align="center"><a href="#"><img src="../images/iconhk.png"></a></td>
      <td width="12%" align="center"><a href="#"><img src="../images/icondiet.png"></a></td>
      <td width="12%" align="center"><a href="#"><img src="../images/iconchklist.png"></a></td>
      <td width="12%" align="center"><a href="#"><img src="../images/iconaccounts.png"></a></td>
      <td width="12%" align="center"><a href="#"><img src="../images/iconreport.png"></a></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="#">Patients</a></td>
      <td align="center"><a href="#">Doctors</a></td>
      <td align="center"><a href="#">Nurses & Staff</a></td>
      <td align="center"><a href="#">Housekeeping</a></td>
      <td align="center"><a href="#">Diet Services</a></td>
      <td align="center"><a href="#">Maintenance</a></td>
      <td align="center"><a href="#">Accounting</a></td>
      <td align="center"><a href="#">Reports</a></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>

<br><br>

 			<header class="panel-heading">
              <img src="../images/titleemergency.png">
            </header>

        <div class="row">
          <div class="col-md-3">
            <section class="panel">
              <div class="panel-body">
                <div class="top-stats-panel">
                  <h4 class="widget-h">Patients Statistics</h4>
                  <div class="bar-stats">
                    <ul class="progress-stat-bar clearfix">
                      <li data-percent="50%"><span class="progress-stat-percent pink" style="height:30%;"></span></li>
                      <li data-percent="90%"><span class="progress-stat-percent" style="height:60%;"></span></li>
                      <li data-percent="70%"><span class="progress-stat-percent yellow-b" style="height:80%;"></span></li>
                    </ul>
                    <ul class="bar-legend">
                      <li><span class="bar-legend-pointer pink"></span> New Your</li>
                      <li><span class="bar-legend-pointer green"></span> Los Angels</li>
                      <li><span class="bar-legend-pointer yellow-b"></span> Dallas</li>
                    </ul>
                    <div class="daily-sales-info"> <span class="sales-count">1200 </span> <span class="sales-label">Products Sold</span> </div>
                  </div>
                </div>
              </div>
            </section>
          </div>
          <div class="col-md-3">
            <section class="panel">
              <div class="panel-body">
                <div class="top-stats-panel">
                  <h4 class="widget-h">Monthly Revenue</h4>
                  <div class="bar-stats">
                    <ul class="progress-stat-bar clearfix">
                      <li data-percent="50%"><span class="progress-stat-percent pink" style="height:20%;"></span></li>
                      <li data-percent="90%"><span class="progress-stat-percent" style="height:40%;"></span></li>
                      <li data-percent="70%"><span class="progress-stat-percent yellow-b" style="height:70%;"></span></li>
                    </ul>
                    <ul class="bar-legend">
                      <li><span class="bar-legend-pointer pink"></span> OPD</li>
                      <li><span class="bar-legend-pointer green"></span> IPD</li>
                      <li><span class="bar-legend-pointer yellow-b"></span> Pharmacy</li>
                      <li><span class="bar-legend-pointer green"></span> OT</li>
                      <li><span class="bar-legend-pointer yellow-b"></span> Diagnostics</li>
                    </ul>
                    <div class="daily-sales-info"> <span class="sales-count">1200 </span> <span class="sales-label">Products Sold</span> </div>
                  </div>
                </div>
              </div>
            </section>
          </div>
          <div class="col-md-4">
            <div class="profile-nav alt">
              <section class="panel">
                <div class="user-heading alt clock-row terques-bg">
                  <h1>December 14</h1>
                  <p class="text-left">2014, Friday</p>
                  <p class="text-left">7:53 PM</p>
                </div>
                <ul id="clock">
                  <li id="sec"></li>
                  <li id="hour"></li>
                  <li id="min"></li>
                </ul>
                
              </section>
            </div>
          </div>
          </div>
          
             
        <!--mini statistics start-->
        <div class="row">
        <div class="col-md-3">
            <div class="mini-stat clearfix"> <span class="mini-stat-icon green"><i class="fa fa-eye"></i></span>
              <div class="mini-stat-info"> <span>32720</span> Top Disease this Month </div>
            </div>
          </div>
          <div class="col-md-3">
            <div class="mini-stat clearfix"> <span class="mini-stat-icon tar"><i class="fa fa-tag"></i></span>
              <div class="mini-stat-info"> <span>22,450</span> Total Patients this Month </div>
            </div>
          </div>
          <div class="col-md-3">
            <div class="mini-stat clearfix"> <span class="mini-stat-icon pink"><i class="fa fa-money"></i></span>
              <div class="mini-stat-info"> <span>34,320</span> Total Revenue this Month </div>
            </div>
          </div>
          
        </div>
        <!--mini statistics end-->
        
        
        
          
          
          <div class="row">
          <div class="col-md-8">
            <!--earning graph start-->
            <section class="panel">
              <header class="panel-heading"> Earning Graph <span class="tools pull-right"> <a href="javascript:;" class="fa fa-chevron-down"></a> <a href="javascript:;" class="fa fa-cog"></a> <a href="javascript:;" class="fa fa-times"></a> </span> </header>
              <div class="panel-body">
                <div id="graph-area" class="main-chart"></div>
                <div class="region-stats">
                  <div class="row">
                    <div class="col-md-7">
                      <div class="region-earning-stats"> This year total earning <span>$68,4545,454</span> </div>
                      <ul class="clearfix location-earning-stats">
                        <li class="stat-divider"> <span class="first-city">$734503</span> Rocky Mt,NC </li>
                        <li class="stat-divider"> <span class="second-city">$734503</span> Dallas/FW,TX </li>
                        <li> <span class="third-city">$734503</span> Millville,NJ </li>
                      </ul>
                    </div>
                    <div class="col-md-5">
                      <div id="world-map" class="vector-stat"></div>
                    </div>
                  </div>
                </div>
              </div>
            </section>
            <!--earning graph end-->
          </div>
          <div class="col-md-3">
        <div class="event-calendar clearfix">
        <div class="col-lg-25 event-list-block">
                <div class="cal-day"> <span>Today</span> Friday </div>
                <ul class="event-list">
                  <li>Lunch with jhon @ 3:30 <a class="event-close" href="#"><i class="ico-close2"></i></a></li>
                  <li>Coffee meeting with Lisa @ 4:30 <a class="event-close" href="#"><i class="ico-close2"></i></a></li>
                  <li>Skypee conf with patrick @ 5:45 <a class="event-close" href="#"><i class="ico-close2"></i></a></li>
                  <li>Gym @ 7:00 <a class="event-close" href="#"><i class="ico-close2"></i></a></li>
                  <li>Dinner with daniel @ 9:30 <a class="event-close" href="#"><i class="ico-close2"></i></a></li>
                </ul>
                <input type="text" placeholder="NOTES" class="form-control evnt-input">
         
        </div>
    </div>
          </div>
        </div>
          
     
        
        <div class="row">
          <div class="col-md-6">
            <!--notification start-->
            <section class="panel">
              <header class="panel-heading"> Notification <span class="tools pull-right"> <a href="javascript:;" class="fa fa-chevron-down"></a> <a href="javascript:;" class="fa fa-cog"></a> <a href="javascript:;" class="fa fa-times"></a> </span> </header>
              <div class="panel-body">
                <div class="alert alert-info clearfix"> <span class="alert-icon"><i class="fa fa-envelope-o"></i></span>
                  <div class="notification-info">
                    <ul class="clearfix notification-meta">
                      <li class="pull-left notification-sender"><span><a href="#">Jonathan Smith</a></span> send you a mail </li>
                      <li class="pull-right notification-time">1 min ago</li>
                    </ul>
                    <p> Urgent meeting for next proposal </p>
                  </div>
                </div>
                <div class="alert alert-danger"> <span class="alert-icon"><i class="fa fa-facebook"></i></span>
                  <div class="notification-info">
                    <ul class="clearfix notification-meta">
                      <li class="pull-left notification-sender"><span><a href="#">Jonathan Smith</a></span> mentioned you in a post </li>
                      <li class="pull-right notification-time">7 Hours Ago</li>
                    </ul>
                    <p> Very cool photo jack </p>
                  </div>
                </div>
                <div class="alert alert-success "> <span class="alert-icon"><i class="fa fa-comments-o"></i></span>
                  <div class="notification-info">
                    <ul class="clearfix notification-meta">
                      <li class="pull-left notification-sender">You have 5 message unread</li>
                      <li class="pull-right notification-time">1 min ago</li>
                    </ul>
                    <p> <a href="#">Anjelina Mewlo, Jack Flip</a> and <a href="#">3 others</a> </p>
                  </div>
                </div>
                <div class="alert alert-warning "> <span class="alert-icon"><i class="fa fa-bell-o"></i></span>
                  <div class="notification-info">
                    <ul class="clearfix notification-meta">
                      <li class="pull-left notification-sender">Domain Renew Deadline 7 days ahead</li>
                      <li class="pull-right notification-time">5 Days Ago</li>
                    </ul>
                    <p> Next 5 July Thursday is the last day </p>
                  </div>
                </div>
              </div>
            </section>
            <!--notification end-->
          </div>
          <div class="col-md-6">
            <!--todolist start-->
            <section class="panel">
              <header class="panel-heading"> To Do List <span class="tools pull-right"> <a href="javascript:;" class="fa fa-chevron-down"></a> <a href="javascript:;" class="fa fa-cog"></a> <a href="javascript:;" class="fa fa-times"></a> </span> </header>
              <div class="panel-body">
                <ul class="to-do-list" id="sortable-todo">
                  <li class="clearfix"> <span class="drag-marker"> <i></i> </span>
                    <div class="todo-check pull-left">
                      <input type="checkbox" value="None" id="todo-check"/>
                      <label for="todo-check"></label>
                    </div>
                    <p class="todo-title"> Donec quam libero, rutrum non gravida ut </p>
                    <div class="todo-actionlist pull-right clearfix"> <a href="#" class="todo-done"><i class="fa fa-check"></i></a> <a href="#" class="todo-edit"><i class="ico-pencil"></i></a> <a href="#" class="todo-remove"><i class="ico-close"></i></a> </div>
                  </li>
                  <li class="clearfix"> <span class="drag-marker"> <i></i> </span>
                    <div class="todo-check pull-left">
                      <input type="checkbox" value="None" id="todo-check1"/>
                      <label for="todo-check1"></label>
                    </div>
                    <p class="todo-title"> Donec quam libero, rutrum non gravida </p>
                    <div class="todo-actionlist pull-right clearfix"> <a href="#" class="todo-done"><i class="fa fa-check"></i></a> <a href="#" class="todo-edit"><i class="ico-pencil"></i></a> <a href="#" class="todo-remove"><i class="ico-close"></i></a> </div>
                  </li>
                  <li class="clearfix"> <span class="drag-marker"> <i></i> </span>
                    <div class="todo-check pull-left">
                      <input type="checkbox" value="None" id="todo-check2"/>
                      <label for="todo-check2"></label>
                    </div>
                    <p class="todo-title"> Donec quam libero, rutrum non gravida ut </p>
                    <div class="todo-actionlist pull-right clearfix"> <a href="#" class="todo-done"><i class="fa fa-check"></i></a> <a href="#" class="todo-edit"><i class="ico-pencil"></i></a> <a href="#" class="todo-remove"><i class="ico-close"></i></a> </div>
                  </li>
                  <li class="clearfix"> <span class="drag-marker"> <i></i> </span>
                    <div class="todo-check pull-left">
                      <input type="checkbox" value="None" id="todo-check3"/>
                      <label for="todo-check3"></label>
                    </div>
                    <p class="todo-title"> Donec quam libero, rutrum non gravida ut </p>
                    <div class="todo-actionlist pull-right clearfix"> <a href="#" class="todo-done"><i class="fa fa-check"></i></a> <a href="#" class="todo-edit"><i class="ico-pencil"></i></a> <a href="#" class="todo-remove"><i class="ico-close"></i></a> </div>
                  </li>
                  <li class="clearfix"> <span class="drag-marker"> <i></i> </span>
                    <div class="todo-check pull-left">
                      <input type="checkbox" value="None" id="todo-check4" />
                      <label for="todo-check4"></label>
                    </div>
                    <p class="todo-title"> Donec quam libero, rutrum non gravida ut </p>
                    <div class="todo-actionlist pull-right clearfix"> <a href="#" class="todo-done"><i class="fa fa-check"></i></a> <a href="#" class="todo-edit"><i class="ico-pencil"></i></a> <a href="#" class="todo-remove"><i class="ico-close"></i></a> </div>
                  </li>
                  <li class="clearfix"> <span class="drag-marker"> <i></i> </span>
                    <div class="todo-check pull-left">
                      <input type="checkbox" value="None" id="todo-check5"/>
                      <label for="todo-check5"></label>
                    </div>
                    <p class="todo-title"> Donec quam libero, rutrum non gravida ut </p>
                    <div class="todo-actionlist pull-right clearfix"> <a href="#" class="todo-done"><i class="fa fa-check"></i></a> <a href="#" class="todo-edit"><i class="ico-pencil"></i></a> <a href="#" class="todo-remove"><i class="ico-close"></i></a> </div>
                  </li>
                  <li class="clearfix"> <span class="drag-marker"> <i></i> </span>
                    <div class="todo-check pull-left">
                      <input type="checkbox" value="None" id="todo-check6" />
                      <label for="todo-check6"></label>
                    </div>
                    <p class="todo-title"> Donec quam libero, rutrum non gravida ut </p>
                    <div class="todo-actionlist pull-right clearfix"> <a href="#" class="todo-done"><i class="fa fa-check"></i></a> <a href="#" class="todo-edit"><i class="ico-pencil"></i></a> <a href="#" class="todo-remove"><i class="ico-close"></i></a> </div>
                  </li>
                </ul>
                <div class="todo-action-bar">
                  <div class="row">
                    <div class="col-xs-3 btn-todo-select">
                      <button type="submit" class="btn btn-default"><i class="fa fa-check"></i> Select All</button>
                    </div>
                    <div class="col-xs-6 todo-search-wrap">
                      <input type="text" class="form-control search todo-search pull-right" placeholder=" Search">
                    </div>
                    <div class="col-xs-3 btn-add-task">
                      <button type="submit" class="btn btn-default btn-primary"><i class="fa fa-plus"></i> Add Task</button>
                    </div>
                  </div>
                </div>
              </div>
            </section>
            <!--todolist end-->
          </div>
        </div>
      </section>
    </section>
    <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>