<?php 
include('../config/config.php');
include("../classes/classShift.php");
include("../classes/classDoctor.php");
include("../classes/classVisits.php");
include('../classes/classPatient.php');
include("../classes/classImages.php");
include('../classes/classTransaction.php');


/*echo '<pre>';
print_r($_SESSION);
echo '</pre>';*/

if(isset($_GET['shiftid'])&&isset($_GET['doctorid']))
{
	$_SESSION['temp']['shiftid'] = base64_decode($_GET['shiftid']);
	$_SESSION['temp']['doctorid'] = base64_decode($_GET['doctorid']);
	//header("Location:mgmtvisitsvw.php");
}

if(isset($_SESSION['temp']['shiftid'])&&$_SESSION['temp']['shiftid']!='')
{
	$shift_id = $_SESSION['temp']['shiftid'];
}
if(isset($_SESSION['temp']['doctorid'])&&$_SESSION['temp']['doctorid']!='')
{
	$doctor_id = $_SESSION['temp']['doctorid'];
}


///////////// retrieve Visits ////////////////////////////////////////

try
{
	$retrieveVisitOb = new classVisits;
	$retrieveVisitOb->setShiftID($shift_id);
	$retrieveVisitOb->setDoctorID($doctor_id);
	$visits_array = $retrieveVisitOb->retrieveVisits();
	
	$total_patients = 0;
	$total_payables = 0;
	$total_payments = 0;
	if(isset($visits_array[0]['visit_id'])&&$visits_array[0]['visit_id']!='')
	{
	  	for($int=0;$int<count($visits_array);$int++)
		{
			$total_patients ++;
			$total_payables += $visits_array[$int]['payable'];
			$total_payments += $visits_array[$int]['payment'];
		}
	}

	
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

///////////// retrieve shift Detail ////////////////////////////////////////

try
{
	$retrieveShiftOb = new classShift;
	$retrieveShiftOb->setShiftID($shift_id);
	$shift_array = $retrieveShiftOb->retrieveShiftByShiftID();
	
	
	$shift_created_date = date('d M Y , l',$shift_array[0]['date']);
	$shift_created_time = date('h:i A',$shift_array[0]['start_time']);
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	


///////////// retrieve doctor Detail ////////////////////////////////////////

try
{
	$doctorOb = new classDoctor;
	$doctorOb->setDoctorID($doctor_id);
	$doctor_detail = $doctorOb->retrieveDoctorByDoctorID();
	
	$doctor_name = $doctor_detail[0]['title'].' '.$doctor_detail[0]['doc_fname'].' '.$doctor_detail[0]['doc_lname'];
	
	$doctor_acc_id = $doctor_detail[0]['account_id'];
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

///////////// retrieve patients ////////////////////////////////////////

try
{
	$retrievePatientOb = new classPatient;
	$retrievePatientOb->setLocationID($_SESSION['security']['location_id']);
	$patients_array = $retrievePatientOb->retrievePatientByLocationID();
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

try
{
	$tranOb = new classTransaction;
	$account_data = $tranOb->retrieveAccountHeadAndAccountByID(1,$doctor_acc_id);	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="javascript:Popup('printmgmtvisits.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
    <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbopd.php"><img src="../images/icondb.png"></a></td>
      <?php
      if($orgOb->getEmergency())
		  {
					  ?>
      <td width="12%" align="center"><a href="mgmtemershifts.php"><img src="../images/iconemergency.png"></a></td>
      <?php
		  }
			 ?>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbopd.php">Out Patient</a></td>
       <?php
      if($orgOb->getEmergency())
		  {
					  ?>
      <td align="center"><a href="mgmtemershifts.php">Emergency</a></td>
      <?php
		  }
			 ?>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp; </td>
    </tr>
  </tbody>
</table>
<br>
 
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
           <header class="panel-heading">
              <h2>EMERGENCY VISITS</h2>
            </header>
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
              
                <td width="20%" valign="bottom"><?php
			if(isset($error_message)&&$error_message!='')
			{
				?><span class="message_red"><?php echo $error_message;?></span><?php
			}
			?></td>
                <td width="80%" align="right">
                <div class="col-md-5" style="float: right;">
            <div class="profile-nav alt">
              <section class="panel">
                <div class="user-heading alt clock-row terques-bg">
                  <h1><?php echo $shift_created_date?></h1>
                  <p class="text-left">From: <?php echo $shift_created_time;?> To:  </p></br>
                  <p class="text-left"></p>
                  <span>Total Visits: <div style="float:right;"><?php echo $total_patients;?></div></span></br>
                  <span>Total Payables: <div style="float:right;">Rs. <?php echo number_format($total_payables,2);?></div></span></br>
                  <span>Total Payments: <div style="float:right;">Rs. <?php echo number_format($total_payments,2);?></div></span>
                </div>
              </section>
            </div>
          </div>
          		</td>
                
              </tr>
            </table>
            
            <div class="panel-body">
              <div class="adv-table">
                <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                    <tr>
                    	<th width="10%" align="left"></th>
            			<th width="5%" align="center">Token</th>
            			<th width="10%" align="center">Time</th>
            			<th width="5%" align="center">ID</th>
            			<th width="15%" align="left">Patient's Name</th>
            			<th width="10%" align="left">Phone</th>
                        <th width="10%" align="left">Issue</th>
            			<th width="10%" align="center">Amount Payable</th>
            			<th width="10%" align="center">Payment</th>
            			<th width="10%" align="center">Balance</th>
            			<th width="5%" align="center">&nbsp;</th>
                    </tr>
                  </thead>
                  <tbody>
					<?php
                    if(isset($visits_array[0]['shift_id'])&&$visits_array[0]['shift_id']!='')
                    {
                    	for($v=0;$v<count($visits_array);$v++)
						{
							if($v%2==0){$class = 'gradeX';}{$class = 'gradeC';}
							
							$visit_id = $visits_array[$v]['visit_id'];
							$visit_id_encoded = base64_encode($visit_id);
							
							$patient_id = $visits_array[$v]['patient_id'];
							$patient_id_encoded = base64_encode($patient_id);
							
							$doctor_id = $visits_array[$v]['doctor_id'];
							$doctor_id_encoded = base64_encode($visits_array[$v]['doctor_id']);
							
							$patientOb = new classPatient;
							$patientOb->setPatientAutoID($patient_id);
							$patient_info = $patientOb->retrievePatientByPatientID();
							
							$retrieveVisitPrecOb = new classVisits;
							$retrieveVisitPrecOb->setMedicalIssueID($visits_array[$v]['med_issue_id']);
							$medical_issue_array = $retrieveVisitPrecOb->retrieveMedicalIssueByID();
							
							$file_name = prec_print_file;
							
							if ($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9)
							{
								
								$patienthistory_link = "<a href='$file_name?patientid=$patient_id_encoded&visitid=$visit_id_encoded'>Treatment</a>";
							}
							else
							{ 
								$patienthistory_link = "<a href='$file_name?patientid=$patient_id_encoded&visitid=$visit_id_encoded'>Treatment</a>";
							} 
							
							if(isset($visits_array[$v]['zakat'])&&$visits_array[$v]['zakat']=='zakat')
							{
								$payable = $visits_array[$v]['zakat'];
							}
							else
							{
								$payable = 'Rs. '.$visits_array[$v]['payable'];
							}
							
							if($visits_array[$v]['pay_status']!= "paid" && $visits_array[$v]['zakat']!='zakat')
							{
								
                               $payment = "Rs. ".$visits_array[$v]["payment"];
                                
							  //$payment =  "<a href='transactopd.php?patientid=$patient_id_encoded&visitid=$visit_id_encoded'>Receive Payment</a>";
							} 
							else 
							{ 
								$payment = "Rs. ".$visits_array[$v]["payment"]; 
							}
							
							$balance = 'Rs. '.$visits_array[$v]['balance'];
							
							
							if($visits_array[$v]['pay_status']=="" && $visits_array[$v]['temp']=="" && $visits_array[$v]['bp']=="" && $visits_array[$v]['bsr']=="" && $visits_array[$v]['complaint']=="" && $visits_array[$v]['diagnosis']=="") 
							{
								 $delete = "";
							}
							else
							{
								$href = 'javascript:Popup("printopdtoken.php?patientid='.$patient_id_encoded.'&visitid='.$visit_id_encoded.'")';
								$delete = "<a href='$href'>Print</a>";
							}
							
							?>
							<tr class="<?php echo $class;?>">
                                <td align="center"><a href="javascript:Popup('<?php echo prec_print_file;?>?visitid=<?php echo $visit_id_encoded;?>&patientid=<?php echo $patient_id_encoded;?>&doctorid=<?php echo $doctor_id_encoded;?>')">Treatment</a></td>
                                <td align="center"><?php echo $visits_array[$v]['token_no'];?></td>
                                <td align="center"><?php echo date('h:i A',$visits_array[$v]['visit_date']);?></td>
                                <td align="center"><?php echo $patient_info[0]['patient_id'];?></td>
                                <td align="left"><?php echo $patient_info[0]['patient_fname'].' '.$patient_info[0]['patient_lname'];?></td>
                                <td align="center"><?php echo $patient_info[0]['phone'];?></td>
                                <td align="center"><?php echo ucwords($medical_issue_array[0]['med_issue']);?> </td>
                                <td align="right"><?php echo $payable;?></td>
                                <td align="right"><?php echo $payment;?></td>
                                <td align="right" ><?php echo $balance;?></td>
                                <td align="center"><?php echo $delete;?></td>
							</tr>
                            
                            <input type="hidden" name="visit_id" class="set_to_pop" id="visit_id_<?php echo $v;?>" value="<?php echo $visit_id;?>">
                        	<input type="hidden" name="patient_id" class="set_to_pop" id="patient_id_<?php echo $v;?>" value="<?php echo $patient_id;?>">
                            
                            <input type="hidden" name="patient_name" class="set_to_pop" id="patient_name_<?php echo $v;?>" value="<?php echo $patient_info[0]['patient_fname'].' '.$patient_info[0]['patient_lname'];?>">
                        	<input type="hidden" name="amount_payable" class="set_to_pop" id="amount_payable_<?php echo $v;?>" value="<?php echo $visits_array[$v]['payable'];?>">
							<?php
						}
                    }
					else
					{
						?>
							<tr>
								<table>
									<tr>
										<td>No entries found.</td>
									</tr>
								</table>
							</tr>
						<?php
					}
                    ?>
                  </tbody>
                  <tfoot>
                  </tfoot>
                </table>
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>

<div id="select_patient-box" class="select_patient-popup">
    
    <div class="pop_header">
        <span>Select Patient</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <div class="scrollbar" style="height:300px;">
   		<form action="" method="post" id="patient_search_form">
    	<table width="100%" border="0" cellpadding="1" cellspacing="0">
         
          <tr>
          
            <td width="12%" align="right">Search Name: </td>
            <td width="15%">
                <input type="text" name="by_name" id="by_name" value="" class="form-control" aria-controls="dynamic-table">
            </td>
            
            <td width="5%" align="right">ID: </td>
            <td width="15%">
                <input type="text" name="by_id" id="by_id" value="" class="form-control" aria-controls="dynamic-table">
            </td>
            
            <td width="5%" align="right">Phone: </td>
            <td width="15%">
                <input type="text" name="by_phone" id="by_phone" value="" class="form-control" aria-controls="dynamic-table">
            </td>
            
            <td><input name="search" type="submit" id="patient_search" class="btn btn-success btn-sm" value="Search"/></td>
            
            <td width="15%" align="left"><a href="#" id="view_all_patients">View All</a></td>
            
          
          </tr>
        </table>
        <input type="hidden" name="search_patient" value="Search">
        </form>  
         
    	<table class="display table table-bordered table-striped" id="dynamic-table">
        
          <thead>
            <tr>
              <th width="5%" align="center">&nbsp;</th>
              <th width="5%" align="center">&nbsp;</th>
              <th width="5%" align="center">ID</th>
              <th width="10%" align="center">DOB</th>
              <th width="20%">Patient Name</th>
              <th width="15%">Phone</th>
              <th width="15%">Registration Date</th>
            </tr>
          </thead>
          <tbody id="default_body">
          	<?php
            if(isset($patients_array[0]['patient_auto_id'])&&$patients_array[0]['patient_auto_id']!='')
            {
                for($p=0;$p<count($patients_array);$p++)
                {
                    if($p%2==0){ $class = 'gradeX';}else{$class = 'gradeC';}
                    
                    $pid = $patients_array[$p]['patient_auto_id'];
                    
                    $imageRetrieveOb = new classImages;
                    $imageRetrieveOb->setPatientAutoID($pid);
                    $image_id = $imageRetrieveOb->fetchImageOfPatient();
                    ?>
                    <form action="" method="post">
                    <tr class="<?php echo $class;?>">
                        <td align="center">
                        <input type="submit" name="select_patient" value="Select" class="btn btn-primary">
                        <input type="hidden" name="patient_type" value="<?php echo $pid;?>">
                        </td>
                        <td align="center">
                        <?php
                        if(isset($image_id)&&$image_id!='')
                        {
                            ?>
                            <img src="../images/patient_images/<?php echo $image_id;?>.jpg" width="30" height="30">
                            <?php
                        }
                        else
                        {
                            ?>
                            <img src="../images/photo.png" width="30" height="30">
                            <?php
                        }
                        ?>
                        </td>
                        <td align="center"><?php echo $patients_array[$p]['patient_id'];?></td>
                        <td align="center"><?php echo  date('d M Y',strtotime($patients_array[$p]['dob']));?></td>
                        <td align="left"><?php echo $patients_array[$p]['patient_fname'].' '.$patients_array[$p]['patient_lname'];?></td>
                        <td align="center"><?php echo $patients_array[$p]['phone'];?></td>
                        <td align="center"><?php echo date('d M Y',$patients_array[$p]['reg_date']);?></td>
                    </tr>
                    </form>
                    <?php
                }
            }
            else
            {
                ?>
                <tr>
                    <table>
                        <tr>
                            <td>No entry found.</td>
                        </tr>
                    </table>
                </tr>
                <?php
            }
            ?>
          </tbody>
         
        </table>
        </div>
</div>

<div id="transaction-box" class="transaction-popup">
    
    <div class="pop_header">
        <span>Transaction</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_opdtransaction_form" style="margin:10px;"></div>
          
          <form action="" method="post" id="insert_opdtransaction_form" class="cmxform form-horizontal" onSubmit="return false;">
          
           	<div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Head:</label>
              <div class="col-lg-6">
              <input type="hidden" name="acchead_id" value="<?php echo $account_data[0]['acchead_id'];?>">
               <?php echo $account_data[0]['acchead_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Name:</label>
              <div class= "col-lg-6">
                <input type="hidden" name="account_id" value="<?php echo $account_data[0]['account_id'];?>">
               <?php echo $account_data[0]['account_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Doctor Name:</label>
              <div class= "col-lg-6">
               <?php echo $doctor_name;?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Type:</label>
              <div class="col-lg-6">
                 <input type="hidden" name="type" value="<?php echo $account_data[0]['type'];?>">
               <?php echo $account_data[0]['type'];?>
              </div>
            </div>
           
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Patient Name:</label>
              <div class="col-lg-6" id="patient_name">
               
              </div>
            </div>
             
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Amount Payable:</label>
              <div class="col-lg-6" id="amount_payable">
               
              </div>
              <input type="hidden" name="amount_payable" id="amount_payable_value" value="">
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Payment Amount:</label>
              <div class="col-lg-6">
                <input type="text" name="payment_amount" id="lastname" class="form-control">
              </div>
            </div>
            
            
            <p align="right">
              <input type="hidden" name="doctor_id" id="doctor_id" value="<?php echo $doctor_id;?>">
              <input type="hidden" name="patient_id" id="patient_id" value="">
              <input type="hidden" name="visit_id" id="visit_id" value="">
              <input type="hidden" name="trx_opd_patient" value="yes">
              <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save" />
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>

<script>

$(".transaction_data").click(function() {
	
	var id = this.id;
	
	visit_id = $("#visit_id_"+id).val();
	patient_id = $("#patient_id_"+id).val();
	patient_name = $("#patient_name_"+id).val();
	amount_payable = $("#amount_payable_"+id).val();
	
	$("#visit_id").val(visit_id);
	$("#patient_id").val(patient_id);
	$("#patient_name").html(patient_name);
	$("#amount_payable").html(amount_payable);
	$("#amount_payable_value").val(amount_payable);
	
	
});
</script>