<?php 
include('../config/config.php');
include("../classes/classShift.php");
include("../classes/classDoctor.php");

/*echo '<pre>';
print_r($_SESSION);
echo '</pre>';
*/
if(isset($_SESSION['temp']['shiftid']))
{
	$shiftid=$_SESSION['temp']['shiftid'];
}

/////////////////////////////Close Shift////////////////////////

if(isset($_GET['status']))
{
	$status=$_GET['status'];
	
	if($status=='close')
	{	
		try
		{	
			$closeShiftOb = new classShift;
			$closeShiftOb->setShiftStatus($status);
			$closeShiftOb->setShiftEndTime(time());
			$closeShiftOb->setShiftID($shiftid);
			$closeShiftOb->closeShift();
		}
		catch (MyException $e)
		{
			$error_message = $e->getUserMsg();
		}	
	}
}

/////////////////////////////Add New Shift////////////////////////

if(isset($_POST["saveshift"]) && $_POST["saveshift"] == "Ceate Shift")
{	
	try
	{
		$shiftCreateOb = new classShift;
		$shiftCreateOb->setDoctorID($_POST['doctor_id']);
		$shiftCreateOb->setCreatedBy($_SESSION['security']['user_id']);
		$shiftCreateOb->setShiftStatus('open');
		$shiftCreateOb->setUserName($_SESSION['security']['user_name']);
		$shiftCreateOb->setLocationID($_SESSION['security']['location_id']);
		$shiftCreateOb->setShiftType('opd');
		$shiftCreateOb->setShiftDate(strtotime($_POST['shift_date']));
		$shiftCreateOb->execute();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
}

/////////////////////////////Re-open SHift////////////////////////

if(isset($_GET['openshift']))
{
	$openshift=base64_decode($_GET['openshift']);
			
	if($openshift!='')
	{
		try
		{	
			$reopenShiftOb = new classShift;
			$reopenShiftOb->setShiftStatus('open');
			$reopenShiftOb->setShiftID($openshift);
			$reopenShiftOb->reOpenShift();
		}
		catch (MyException $e)
		{
			$error_message = $e->getUserMsg();
		}	
	}
}
/////////////////////////////Delete shift////////////////////////

if(isset($_GET['rec_delete']))
{
	$rec_delete = base64_decode($_GET['rec_delete']);
		
	try
	{	
		$delShiftOb = new classShift;
		$delShiftOb->setShiftID($rec_delete);
		$delShiftOb->deleteShift();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}	
}

/////////////////////////////Retrieve Doctors////////////////////////

try
{
	$retrieveDocOB = new classDoctor;
	$retrieveDocOB->setLocationID($_SESSION['security']['location_id']);
	
	if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
	{
		$doc_array = $retrieveDocOB->retrieveAllDoctors();
	}
	elseif($_SESSION['security']['userrole_id']==4)
	{
		$retrieveDocOB->setCreatedBy($_SESSION['security']['user_id']);
		$doc_array = $retrieveDocOB->retrieveSpecificDoctors();
	}
	elseif($_SESSION['security']['userrole_id']==5)
	{
		$retrieveDocOB->setAssistantID($_SESSION['security']['user_id']);
		$doc_array = $retrieveDocOB->retrieveAssistantDoctors();
	}
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	


/////////////////////////////Retrieve Shifts////////////////////////
$shift_array = array();
try
{
	$retrieveShiftOB = new classShift;
	
	$retrieveShiftOB->setLocationID($_SESSION['security']['location_id']);
	$retrieveShiftOB->setShiftType('opd');
	
	if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
	{
		$shift_array = $retrieveShiftOB->retrieveAllShifts();
	}
	elseif($_SESSION['security']['userrole_id']==4)
	{
		$retrieveShiftOB->setDoctorID($_SESSION['security']['user_id']);
		$shift_array = $retrieveShiftOB->retrieveDoctorShifts();
	}
	elseif($_SESSION['security']['userrole_id']==5)
	{
		$retrieveShiftOB->setAssistantID($_SESSION['security']['user_id']);
		$shift_array = $retrieveShiftOB->retrieveAssistantDoctorShifts();
	}
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

################################################################################
#########################Pagination Starts here. {########################
################################################################################


$array['item_count'] = count($shift_array);
if(isset($_GET['page']) && isset($_GET['items']))
{
	if($array['item_count'] > $_GET['items'])
	{
		$array['pages'] = ceil($array['item_count']/$_GET['items']);
		if($_GET['page'] >$array['pages'])
		{
			$_GET['page'] = 1;
		}
		$array['current_page'] = $_GET['page'];
		if($_GET['page'] > 1)
		{
			$starting_record = $_GET['items']*($_GET['page']-1);
			$ending_record = $_GET['items'];
			$array['limit'] = $starting_record . "," . $ending_record;
			$limit = $array['limit'];
		}
		else
		{
			$limit = $_GET['items'];
		}
	}
	else
	{
		$array['current_page'] = $_GET['current_page'] = 1;
		$array['pages'] = 1;
		$array['limit'] = $_GET['items'];
		$limit = $array['limit'];
	}
}
else
{
	if($array['item_count'] > 30)
	{
		$array['pages'] = ceil($array['item_count']/20);
	}
	else
	{
		$array['pages'] = 1;
	}
	$array['current_page'] = 1;
	$array['limit'] = 30;
	$limit = $array['limit'];
}

$_SESSION['pagination']['item_count']=$array['item_count'];
$_SESSION['pagination']['pages']=$array['pages'];
$_SESSION['pagination']['current_page']=$array['current_page'];
$_SESSION['pagination']['limit']=$limit;

################################################################################
######################### Pagination Ends here. }##########################
################################################################################

/////////////////////////////Retrieve Shifts////////////////////////

try
{
	$retrieveShiftOB = new classShift;
	
	$retrieveShiftOB->setLocationID($_SESSION['security']['location_id']);
	$retrieveShiftOB->setShiftType('opd');
	
	if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
	{
		$shift_array = $retrieveShiftOB->retrieveAllShifts($limit);
	}
	elseif($_SESSION['security']['userrole_id']==4)
	{
		$retrieveShiftOB->setDoctorID($_SESSION['security']['user_id']);
		$shift_array = $retrieveShiftOB->retrieveDoctorShifts($limit);
	}
	elseif($_SESSION['security']['userrole_id']==5)
	{
		$retrieveShiftOB->setAssistantID($_SESSION['security']['user_id']);
		$shift_array = $retrieveShiftOB->retrieveAssistantDoctorShifts($limit);
	}
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	

?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="javascript:Popup('printmgmtshifts.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
 <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbopd.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="mgmtshifts.php"><img src="../images/iconshifts.png"></a></td>
      <td width="12%" align="center"><a href="opdpresc.php"><img src="../images/iconpresc.png"></a></td>
      <?php
	  	if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9)
				{
					?><td width="12%" align="center"><a href="mgmtappoint.php"><img src="../images/iconappoint.png"></a></td><?php
			  
		  }
		  ?>
      <?php
	  	if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9)
				{
					?><td width="12%" align="center"><a href="opdtransact.php"><img src="../images/iconpayment.png"></a></td><?php
			  
		  }
		  ?>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbopd.php">Out Patient</a></td>
      <td align="center"><a href="mgmtshifts.php">Doctors' Shifts</a></td>
      <td align="center"><a href="opdpresc.php">OPD Treatments</a></td>
      <?php
	  	if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9)
				{
					?><td align="center"><a href="mgmtappoint.php">Appointments</a></td><?php
			  
		  }
		  ?>
      <?php
	  	if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9)
				{
					?><td align="center"><a href="opdtransact.php">Payments & Refunds</a></td><?php
			  
		  }
		  ?>
      <td align="center"></td>
       <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>

<br>
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
           <header class="panel-heading">
              <h2>DOCTORS' SHIFTS</h2>
            </header>
            
            <?php
			if(isset($error_message)&&$error_message!='')
			{
				?>
				<table>
				<tr>
					<td><span class="message_red"><?php echo $error_message;?></span></td>
				</tr>
				</table>
				<?php
			}
			?>
                
            <form action="" method="post">	
            <table width="100%" border="0" cellpadding="1" cellspacing="0">
            
				<tr>
              
               	<td width="10%" align="right"><!--Select Date:--></td>
                <td width="5%" align="right"></td>
                <td width="55%" align="right">
               	<input type="text" name="shift_date" value="<?php echo date('d M Y',time());?>" class="form-control" id="datepicker" style="display:inline; width:30%;">
                  </td>
                <td width="15%" align="right"><div class="row-fluid">
                    <div class="span6">
                    	<div id="dynamic-table_length" class="dataTables_length">
                        	
                         	
                           
                           <select name="doctor_id" class="form-control input-sm m-bot15" style="width:auto; margin-bottom:0px;">
                           		<option value="">Select Doctor</option>
								<?php
								if(isset($doc_array[0]))
								{
									for($d=0;$d<count($doc_array);$d++)
									{
										?>
										<option value="<?php echo $doc_array[$d]['doctor_id']?>"><?php echo ucwords($doc_array[$d]['title'].' '.$doc_array[$d]['doc_fname'].' '.$doc_array[$d]['doc_lname']);?></option>
										<?php
									}
								}
                                ?>
                            </select>
                        
                      </div>
                    </div>
                  </div></td>
                <td width="15%"><input type="submit" name="saveshift" value="Ceate Shift" class="btn btn-success btn-sm"></td>
               
              	</tr>
             
            </table>
            </form>     
            <br>
            <br>
            <div class="panel-body" style="padding-top: 0px; margin-top: -34px;">
              <div class="adv-table">
                <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                    <tr>
                    
                      <th width="5%" align="center">ID</th>
                      <th width="10%" align="center">Date</th>
                      <th width="10%">Start Time</th>
                      <th width="10%">End Time</th>
                      <th width="25%">Doctor's Name</th>
                      <th width="10%">Status</th>
                      <th width="5%"></th>
                      <th width="15%"></th>
                    </tr>
                  </thead>
                  <tbody>
					<?php
                    if(isset($shift_array[0]['shift_id'])&&$shift_array[0]['shift_id']!='')
                    {
						
						for($s=0;$s<count($shift_array);$s++)
						{
							if($s%2==0){$class = 'gradeX';}{$class = 'gradeC';}
							
							$shift_id = $shift_array[$s]['shift_id'];
							$doctor_id = $shift_array[$s]['doctor_id'];
							$shift_status = $shift_array[$s]['shift_status'];
							
							$shift_id_encoded = base64_encode($shift_id);
							$doctor_id_encoded = base64_encode($doctor_id);
							
							$docInfoOb = new classDoctor;
							$docInfoOb->setDoctorID($doctor_id);
							$doc_info = $docInfoOb->retrieveDoctorByDoctorID();
							
							$query = "SELECT count(*) FROM visits WHERE shift_id='$shift_id'";
                  			$queryOb = new classQueryGlobal;
							$resultCheckVisitsExistOrNot = $queryOb->check_fetch_query($query,'select',$server="",$debug_mode="off");
							
							if ($shift_status=="open") 
							{
								 $enter_shift_link  = "<a href='mgmtvisits.php?shiftid=$shift_id_encoded&doctorid=$doctor_id_encoded'>Enter Shift</a>";
							}
							else
							{
								$enter_shift_link = '';
							}
							
							if (($shift_status=="close") && ($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9))
							{
								$reopen_link = "<a href='mgmtshifts.php?openshift=$shift_id_encoded'>Re-Open Shift</a>";
							}
							else
							{ 
								$reopen_link = '';
							} 
							
							if ($shift_status=="open" && (isset($resultCheckVisitsExistOrNot[0]['count(*)'])&&$resultCheckVisitsExistOrNot[0]['count(*)']==0)) 
							{
								$delete_view_link = "<a href='mgmtshifts.php?rec_delete=$shift_id_encoded'><img src='../images/delete.png' alt='Delete'/></a>";
							} 
							else 
							{ 
								$delete_view_link = "<a href='mgmtvisitsvw.php?shiftid=$shift_id_encoded&doctorid=$doctor_id_encoded'>View</a>"; 
							}
							?>
							<tr class="<?php echo $class;?>">
                            
								<td align="center"><?php echo $shift_id;?></td>
								<td align="center"><?php echo date('d M Y',$shift_array[$s]['date']);?></td>
								<td align="center"><?php echo date('h:i A',$shift_array[$s]['start_time']);?></td>
								<td align="center"><?php if($shift_array[$s]['end_time']!=''){echo  date('h:i A',$shift_array[$s]['end_time']);}?></td>
								<td align="left"><?php echo ucwords($doc_info[0]['title'].' '.$doc_info[0]['doc_fname'].' '.$doc_info[0]['doc_lname']);?></td>
								<td align="center"><?php if ($shift_status== "open") {?> <?php echo "<a href='mgmtvisits.php?shiftid=$shift_id_encoded&doctorid=$doctor_id_encoded'>Enter Shift</a>" ?> <?php } else { echo "Closed"; }?></td>
								<td align="center" ><?php echo $delete_view_link;?></td>
								<td align="center"><?php echo $reopen_link;?></td>
							</tr>
							<?php
						}
                    }
					else
					{
						?>
                        <tr>
                            <table>
                                <tr>
                                    <td>No entry found.</td>
                                </tr>
                            </table>
                        </tr>
                        <?php
					}
                    ?>
                  </tbody>
                  <tfoot>
                  </tfoot>
                </table>
                
                 <table>
                 <tr>
        <td align="right"><?php include('pagination.php'); ?></td>
      </tr>  
                </table>
                <!--<div class="row-fluid">
                  <div class="span6">
                    <div class="dataTables_info" id="hidden-table-info_info">Showing 1 to 10 of 57 entries</div>
                  </div>
                  <div class="span6">
                    <div class="dataTables_paginate paging_bootstrap pagination">
                      <ul>
                        <li class="prev disabled"><a href="#">? Previous</a></li>
                        <li class="active"><a href="#">1</a></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">5</a></li>
                        <li class="next"><a href="#">Next ? </a></li>
                      </ul>
                    </div>
                  </div>
                </div>-->
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>
<script>
$(function() {
		$("#datepicker").datepicker({
		showOn: "button",
		changeMonth: true,
		changeYear: true,
		buttonImage: "../images/calendar.gif",
		buttonImageOnly: true,
		dateFormat: "dd M yy"
	});});
</script>