<?php
include('../config/config.php');
include('../classes/classProduct.php');
include('../classes/classReceiveInvoice.php');
include('../classes/classSaleInvoice.php');
include('../classes/classPatient.php');
include('../classes/classTransaction.php');
include('../classes/classProductClosingReconcilation.php');

/*echo '<pre>';
print_r($_POST);
echo '</pre>';
exit;
*/
if(isset($_GET['patient_id'])&&$_GET['patient_id']!='')
{
	$_SESSION['patient_id'] = base64_decode($_GET['patient_id']);
	unset($_SESSION['supplier_id']);
}
elseif(isset($_GET['supplier_id'])&&$_GET['supplier_id']!='')
{
	$_SESSION['supplier_id'] = base64_decode($_GET['supplier_id']);
	unset($_SESSION['patient_id']);
}

################## Retrieve Invoices Start ####################################

if(isset($_SESSION['patient_id']))
{
	$retrieveInvoiceOb = new classSaleInvoice;
	$retrieveInvoiceOb->setPatientID($_SESSION['patient_id']);
	$invoice_array = $retrieveInvoiceOb->retrieveInvoiceDetailByPatientID();
	
	
	
	$total_invoices = 0;
	$total_payables = 0;
	$total_payments = 0;
	if(isset($invoice_array[0]['saleinvoice_id'])&&$invoice_array[0]['saleinvoice_id']!='')
	{
	  
	  for($int=0;$int<count($invoice_array);$int++)
	  {
		  $total_invoices ++;
		  $total_payables += $invoice_array[$int]['amount_payable'];
		  $total_payments += $invoice_array[$int]['payment'];
	  }
	}
	
	
	try
	{
		$tranOb = new classTransaction;
		$account_data = $tranOb->retrieveAccountHeadAndAccountByID(3,3);	
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}
else
{
	$retrieveInvoiceOb = new classReceiveInvoice;
	$retrieveInvoiceOb->setSupplierID($_SESSION['supplier_id']);
	$invoice_array = $retrieveInvoiceOb->retrieveInvoiceDetailBySupplierID();
	
	
	$total_invoices = 0;
	$total_payables = 0;
	$total_payments = 0;
	  
	if(isset($invoice_array[0]['recinvoice_id'])&&$invoice_array[0]['recinvoice_id']!='')
	{
		for($int=0;$int<count($invoice_array);$int++)
		{
		  $total_invoices ++;
		  $total_payables += $invoice_array[$int]['amount_payable'];
		  $total_payments += $invoice_array[$int]['payment'];
		}
	}
	
	try
	{
		$tranOb = new classTransaction;
		$account_data = $tranOb->retrieveAccountHeadAndAccountByID(3,4);	
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}



?>

<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="javascript:Popup('printpatientsupplierbalance.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
            <header class="panel-heading">
              <h2>PAYMENT HISTORY</h2>
            </header>
            <table width="100%" border="0" cellspacing="5" cellpadding="5">
              <tr>
                <td width="10%" valign="top"></td>
                <td width="40%" valign="top"></td>
                <td width="70%" align="right"></td>
              </tr>
            </table>
            
            <br>
            <br>
             <?php
			if(isset($error_message)&&$error_message!='')
			{
				?>
				<table>
				<tr>
					<td><span class="message_red"><?php echo $error_message;?></span></td>
				</tr>
				<tr><td>&nbsp;</td></tr>
				</table>
				<?php
			}
			?>
            <div class="panel-body" style="padding-top: 0px; margin-top: -34px;">
              <div class="adv-table">
                <table class="display table table-bordered table-striped" id="dynamic-table">
                <?php
				if(isset($_SESSION['patient_id'])&&$_SESSION['patient_id']!='')
				{
                	  ?>
                      <thead>
                        <tr>
                          
                          <th width="3%" align="center">ID</th>
                          <th width="11%" align="center">Date</th>
                          <th width="16%">Patient Name</th>
                          <th width="13%">Amount Payable</th>
                          <th width="10%">Payment</th>
                          <th width="10%">Balance</th>
                          <th width="16%" align="center" class="hidden-phone">Payment Status</th>
                        </tr>
                      </thead>
                      <tbody>
                      <?php
                      if(isset($invoice_array[0]['saleinvoice_id'])&&$invoice_array[0]['saleinvoice_id']!='')
                      {
                          for($inv=0;$inv<count($invoice_array);$inv++)
                          {
                              if($inv%2==0){ $class = 'gradeX';}else{$class = 'gradeC';}
                              
                              if($invoice_array[$inv]['patient_id']!=0)
                              {
                                  $retrievePatientOb =  new classPatient;
                                  $retrievePatientOb->setPatientAutoID($invoice_array[$inv]['patient_id']);
                                  $patient_single_detail = $retrievePatientOb->retrievePatientByPatientID();
                                  
                                  $patient_name = $patient_single_detail[0]['patient_fname'].' '.$patient_single_detail[0]['patient_lname'];
                              }
                              else
                              {
                                 $patient_name = 'Out Door';
                              }
                             
                             
                            ?>
                            <tr class="<?php echo $class;?>">
                            
                             
                              
                              <td align="center"><?php echo $invoice_array[$inv]['saleinvoice_id'];?></td>
                              
                              <td align="center"><?php echo date('d M Y',$invoice_array[$inv]['saleinvoice_date']);?></td>
                              
                              <td><?php echo $patient_name;?></td>
                              
                              <td align="right"><?php if($invoice_array[$inv]['amount_payable']!=0){echo 'Rs. '.number_format($invoice_array[$inv]['amount_payable'],2);}?></td>
							  
							  <td align="right"><?php if($invoice_array[$inv]['payment']!=0){echo 'Rs. '.number_format($invoice_array[$inv]['payment'],2);}?></td>
							  
							  <td align="right"><?php if($invoice_array[$inv]['balance']!=0){echo 'Rs. '.number_format($invoice_array[$inv]['balance'],2);}?></td>
                              
                              <td align="center">
                              <?php
                            if($invoice_array[$inv]['balance']==0) 
                            {
								?>
                                <span class="label label-success label-mini">Paid</span>
                                <?php 
                            }
							elseif($invoice_array[$inv]['balance']>0) 
                            {
								?>
                                <a href="#transaction_income-box" class="transaction_income-window transaction_income_data" id="<?php echo $inv;?>"> <span class="label label-danger label-mini">Receive Payment</span></a>
                                <?php
							}
								?>
                              </td>
                              
                              
                              
                            </tr>
                            
                             <input type="hidden" name="saleinvoice_id" class="set_to_pop" id="saleinvoice_id_<?php echo $inv;?>" value="<?php echo $invoice_array[$inv]['saleinvoice_id'];?>">
                            <input type="hidden" name="patient_id" class="set_to_pop" id="patient_id_<?php echo $inv;?>" value="<?php echo $invoice_array[$inv]['patient_id'];?>">
                            <input type="hidden" name="amount_payable" class="set_to_pop" id="amount_payable_income_<?php echo $inv;?>" value="<?php echo $invoice_array[$inv]['balance'];?>">
                            
                            <?php
                          }
                      }
                      else
                      {
                        ?>
                        <tr>
                            <table>
                                <tr>
                                    <td>No entry found.</td>
                                </tr>
                            </table>
                        </tr>
                        <?php
    
                      }
                      ?>
                      </tbody>
                      <?php
				}
				else
				{
					 ?>
                      <thead>
                        <tr>
                        
                          <th width="3%" align="center">ID</th>
                          <th width="11%" align="center">Date</th>
                          <th width="16%">Supplier Name</th>
                          <th width="13%">Amount Payable</th>
                          <th width="10%">Payment</th>
                          <th width="10%">Balance</th>
                          <th width="16%" align="center" class="hidden-phone">Payment Status</th>
                        </tr>
                      </thead>
                      <tbody>
                      <?php
					  if(isset($invoice_array[0]['recinvoice_id'])&&$invoice_array[0]['recinvoice_id']!='')
				  	  {
						  for($inv=0;$inv<count($invoice_array);$inv++)
						  {
							  if($inv%2==0){ $class = 'gradeX';}else{$class = 'gradeC';}
							  
							  $suppOb = new classProduct;
							  $supp_info = $suppOb->retrieveSupplierBySupplierID($invoice_array[$inv]['supplier_id']);
							  $supplier_name = $supp_info[0]['company_name'];
							 
							?>
							<tr class="<?php echo $class;?>">
							
							
							  <td align="center"><?php echo $invoice_array[$inv]['recinvoice_id'];?></td>
							  
							  <td align="center"><?php echo date('d M Y',$invoice_array[$inv]['recinvoice_date']);?></td>
							  
							  <td><?php echo $supplier_name;?></td>
							  
							  <td align="right"><?php if($invoice_array[$inv]['amount_payable']!=0){echo 'Rs. '.number_format($invoice_array[$inv]['amount_payable'],2);}?></td>
							  
							  <td align="right"><?php if($invoice_array[$inv]['payment']!=0){echo 'Rs. '.number_format($invoice_array[$inv]['payment'],2);}?></td>
							  
							  <td align="right"><?php if($invoice_array[$inv]['balance']!=0){echo 'Rs. '.number_format($invoice_array[$inv]['balance'],2);}?></td>
							  
							  <td align="center">
                              <?php
                            if($invoice_array[$inv]['balance']==0) 
                            {
								?>
                                <span class="label label-success label-mini">Paid</span>
                                <?php 
                            }
							elseif($invoice_array[$inv]['balance']>0) 
                            {
									?>
								  <a href="#transaction_expense-box" class="transaction_expense-window transaction_expense_data" id="<?php echo $inv;?>"><span class="label label-danger label-mini">Make Payment</span></a>
								  <?php
								}
							  ?>
							   </td>
							  
							  
							</tr>
							
							<input type="hidden" name="recinvoice_id" class="set_to_pop" id="recinvoice_id_<?php echo $inv;?>" value="<?php echo $invoice_array[$inv]['recinvoice_id'];?>">
							<input type="hidden" name="supplier_id" class="set_to_pop" id="supplier_id_<?php echo $inv;?>" value="<?php echo $invoice_array[$inv]['supplier_id'];?>">
							<input type="hidden" name="amount_payable" class="set_to_pop" id="amount_payable_expense_<?php echo $inv;?>" value="<?php echo $invoice_array[$inv]['balance'];?>">
							
							<?php
						  }
				  	  }
					  else
                      {
                        ?>
                        <tr>
                            <table>
                                <tr>
                                    <td>No entry found.</td>
                                </tr>
                            </table>
                        </tr>
                        <?php
    
                      }
                      ?>
                      </tbody>
                      <?php
				}
			    ?>
			    <tfoot>
			    </tfoot>
                </table>
                
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>

<div id="transaction_income-box" class="transaction_income-popup">
    
    <div class="pop_header">
        <span>Transaction Income</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_incometransaction_form" style="margin:10px;"></div>
          
          <form action="" method="post" id="insert_incometransaction_form" class="cmxform form-horizontal" onsubmit="return false;">
          
           	<div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Head:</label>
              <div class="col-lg-6">
              <input type="hidden" name="acchead_id" value="<?php echo $account_data[0]['acchead_id'];?>">
               <?php echo $account_data[0]['acchead_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Name:</label>
              <div class= "col-lg-6">
                <input type="hidden" name="account_id" value="<?php echo $account_data[0]['account_id'];?>">
               <?php echo $account_data[0]['account_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Type:</label>
              <div class="col-lg-6">
                 <input type="hidden" name="type" value="<?php echo $account_data[0]['type'];?>">
               <?php echo $account_data[0]['type'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Amount Payable:</label>
              <div class="col-lg-6" id="amount_payable_income">
               
              </div>
              <input type="hidden" name="amount_payable" id="amount_payable_income_value" value="">
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Payment Amount:</label>
              <div class="col-lg-6">
                <input type="text" name="payment_amount" id="lastname" class="form-control">
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Description:</label>
              <div class="col-lg-6">
                <textarea name="description" cols="43" rows="5"></textarea>
              </div>
            </div>
            
            <p align="right">
              <input type="hidden" name="patient_id" id="patient_id" value="">
              <input type="hidden" name="saleinvoice_id" id="saleinvoice_id" value="">
              <input type="hidden" name="trx_sales_balance" value="yes">
              <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save" />
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>

<div id="transaction_expense-box" class="transaction_expense-popup">
    
    <div class="pop_header">
        <span>Transaction Expense</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_expensetransaction_form" style="margin:10px;"></div>
          
          <form action="" method="post" id="insert_expensetransaction_form" class="cmxform form-horizontal" onsubmit="return false;">
          
           	<div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Head:</label>
              <div class="col-lg-6">
              <input type="hidden" name="acchead_id" value="<?php echo $account_data[0]['acchead_id'];?>">
               <?php echo $account_data[0]['acchead_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Name:</label>
              <div class= "col-lg-6">
                <input type="hidden" name="account_id" value="<?php echo $account_data[0]['account_id'];?>">
               <?php echo $account_data[0]['account_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Type:</label>
              <div class="col-lg-6">
                 <input type="hidden" name="type" value="<?php echo $account_data[0]['type'];?>">
               <?php echo $account_data[0]['type'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Amount Payable:</label>
              <div class="col-lg-6" id="amount_payable_expense">
               
              </div>
              <input type="hidden" name="amount_payable" id="amount_payable_expense_value" value="">
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Payment Amount:</label>
              <div class="col-lg-6">
                <input type="text" name="payment_amount" id="lastname" class="form-control">
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Description:</label>
              <div class="col-lg-6">
                <textarea name="description" cols="43" rows="5"></textarea>
              </div>
            </div>
            
            <p align="right">
              <input type="hidden" name="supplier_id" id="supplier_id" value="">
              <input type="hidden" name="recinvoice_id" id="recinvoice_id" value="">
              <input type="hidden" name="trx_incoming_balance" value="yes">
              <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save" />
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>

<script>


$(".transaction_income_data").click(function() {
	
	var id = this.id;
	
	saleinvoice_id = $("#saleinvoice_id_"+id).val();
	patient_id = $("#patient_id_"+id).val();
	amount_payable = $("#amount_payable_income_"+id).val();
	
	$("#saleinvoice_id").val(saleinvoice_id);
	$("#patient_id").val(patient_id);
	$("#amount_payable_income").html(amount_payable);
	$("#amount_payable_income_value").val(amount_payable);
	
	
});

$(".transaction_expense_data").click(function() {
	
	var id = this.id;
	
	recinvoice_id = $("#recinvoice_id_"+id).val();
	supplier_id = $("#supplier_id_"+id).val();
	amount_payable = $("#amount_payable_expense_"+id).val();
	
	$("#recinvoice_id").val(recinvoice_id);
	$("#supplier_id").val(supplier_id);
	$("#amount_payable_expense").html(amount_payable);
	$("#amount_payable_expense_value").val(amount_payable);
	
	
});

</script>

<script> 
$(document).ready(function() {
	$('#payment_type').change(function() {
		$("#payment_type_form").submit();
	});
});
</script>
