<?php
include('../config/config.php');
include('../classes/classProduct.php');
include('../classes/classPatient.php');
include("../classes/classImages.php");
include('../classes/classSaleInvoice.php');
include('../classes/classTransaction.php');
include('../classes/classProductClosingReconcilation.php');
include("../classes/classVisits.php");
include("../classes/classIPDPresciption.php");
/*echo '<pre>';
print_r($_POST);
print_r($_SESSION);
echo '</pre>';
exit;
*/

if((isset($_GET['ref'])&&(base64_decode($_GET['ref'])=='new'))||(isset($_POST['save_exit'])&&($_POST['save_exit']=='Save & Exit')))
{
	unset($_SESSION['temp']);
	
	if(isset($_POST['save_exit']))
	{
		header("Location:mgmtsales.php");
	}
	else
	{
		header("Location:pharmsaleinv.php");	
	}
}

if(isset($_GET['visitid'])&&isset($_GET['patientid']))
{
	$_SESSION['temp']['visit_id'] = base64_decode($_GET['visitid']);
	$_SESSION['temp']['patient_id'] = base64_decode($_GET['patientid']);
	
	try
	{
		$createInvOb = new classSaleInvoice;
		$createInvOb->setUserID($_SESSION['security']['user_id']);
		$createInvOb->setLocationID($_SESSION['security']['location_id']);
		$createInvOb->setPatientID($_SESSION['temp']['patient_id']);
		$createInvOb->setVisitID($_SESSION['temp']['visit_id']);
		$createInvOb->createSaleInvoice();
		
		$_SESSION['temp']['invoice_id'] = $createInvOb->getSaleInvoiceID();
		
		$retrieveVisitPrecOb = new classVisits;
		$retrieveVisitPrecOb->setVisitID($_SESSION['temp']['visit_id']);
		$prec_array = $retrieveVisitPrecOb->retrievePrescription();
		
		if(isset($prec_array[0]['product_id'])&&$prec_array[0]['product_id']!='')
		{
			$addItemOb = new classSaleInvoice;
			
			for($prm=0;$prm<count($prec_array);$prm++)
			{
				if($prec_array[$prm]['product_id']!=0)
				{	
					$addItemOb->setProductID($prec_array[$prm]['product_id']);
					$addItemOb->setSaleInvoiceID($_SESSION['temp']['invoice_id']);
					$addItemOb->addSaleItemsInInvoice();
	
				}
			}
		}
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
	
	header("Location:pharmsaleinv.php");
}

if(isset($_GET['ipdprescid'])&&isset($_GET['patientid']))
{
	$_SESSION['temp']['ipd_presc_id'] = base64_decode($_GET['ipdprescid']);
	$_SESSION['temp']['patient_id'] = base64_decode($_GET['patientid']);
	
	try
	{
		$createInvOb = new classSaleInvoice;
		$createInvOb->setUserID($_SESSION['security']['user_id']);
		$createInvOb->setLocationID($_SESSION['security']['location_id']);
		$createInvOb->setPatientID($_SESSION['temp']['patient_id']);
		$createInvOb->setIPDPrescID($_SESSION['temp']['ipd_presc_id']);
		$createInvOb->createSaleInvoice();
		
		$_SESSION['temp']['invoice_id'] = $createInvOb->getSaleInvoiceID();
		
		$retrieveIPDPrecOb = new classIPDPresciption;
		$retrieveIPDPrecOb->setPrescriptionID($_SESSION['temp']['ipd_presc_id']);
		$prec_array = $retrieveIPDPrecOb->retrievePrescriptionItems();
		
		if(isset($prec_array[0]['product_id'])&&$prec_array[0]['product_id']!='')
		{
			$addItemOb = new classSaleInvoice;
			
			for($prm=0;$prm<count($prec_array);$prm++)
			{
				if($prec_array[$prm]['product_id']!=0)
				{	
					$addItemOb->setProductID($prec_array[$prm]['product_id']);
					$addItemOb->setSaleInvoiceID($_SESSION['temp']['invoice_id']);
					$addItemOb->addSaleItemsInInvoice();
	
				}
			}
		}
		
		$updatePrescOb = new classIPDPresciption;
		$updatePrescOb->setPrescriptionID($_SESSION['temp']['ipd_presc_id']);
		$updatePrescOb->setPrescriptionStatus('processed');
		$updatePrescOb->updatePrescStatus();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
	
	
	
	header("Location:pharmsaleinv.php");
}



################# Delete Sale Item Start ####################################

if(isset($_GET['saledel'])&&$_GET['saledel']!='')
{
	try
	{
		$delSaleItemOb = new classSaleInvoice;
		$delSaleItemOb->setSaleItemID(base64_decode($_GET['saledel']));
		$delSaleItemOb->deleteSaleItemsInInvoice();
		header("Location:pharmsaleinv.php");
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}


################## Create Invoice Start ####################################

if(isset($_POST['patient_type'])&&$_POST['patient_type']!='')
{
	if($_POST['patient_type']=='out_patient')
	{
		$_SESSION['temp']['patient_id'] = "0";
	}
	else
	{
		$_SESSION['temp']['patient_id'] = $_POST['patient_type'];
	}
	
	try
	{
		$createInvOb = new classSaleInvoice;
		$createInvOb->setUserID($_SESSION['security']['user_id']);
		$createInvOb->setLocationID($_SESSION['security']['location_id']);
		$createInvOb->setPatientID($_SESSION['temp']['patient_id']);
		$createInvOb->createSaleInvoice();
		
		$_SESSION['temp']['invoice_id'] = $createInvOb->getSaleInvoiceID();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}

if(isset($_GET['saleinvoice_id'])&&isset($_GET['patient_id']))
{
	$_SESSION['temp']['invoice_id'] = base64_decode($_GET['saleinvoice_id']);
	$_SESSION['temp']['patient_id'] = base64_decode($_GET['patient_id']);
	header("Location:pharmsaleinv.php");
}

if(isset($_SESSION['temp']['patient_id'])&&$_SESSION['temp']['patient_id']!='')
{
	$patient_id = $_SESSION['temp']['patient_id'];
}
if(isset($_SESSION['temp']['invoice_id'])&&$_SESSION['temp']['invoice_id']!='')
{
	$invoice_id = $_SESSION['temp']['invoice_id'];
}

################## Add Item In Invoice Start ####################################

if(isset($_POST['add_prod'])&&$_POST['add_prod']=='Add Product')
{
	try
	{
		$addItemOb = new classSaleInvoice;
		$addItemOb->setProductID($_POST['prod_id']);
		$addItemOb->setSaleInvoiceID($_POST['invoice_id']);
		$addItemOb->addSaleItemsInInvoice();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}

################## Retrieve Data Start ####################################

try
{
	
	///////////// retrieve patients ////////////////////////////////////////
	
	$retrievePatientOb = new classPatient;
	/*$retrievePatientOb->setLocationID($_SESSION['security']['location_id']);
	$patients_array = $retrievePatientOb->retrievePatientByLocationID();*/
	
	
	///////////// retrieve patient single data ///////////////////////////////
	
	if(isset($patient_id)&&($patient_id!=''&&$patient_id!=0))
	{
		$retrievePatientOb->setPatientAutoID($patient_id);
		$patient_single_detail = $retrievePatientOb->retrievePatientByPatientID();
	}
	
	///////////// retrieve invoice data ///////////////////////////////
	
	if(isset($invoice_id)&&$invoice_id!='')
	{
		$retrieveInvoiceOb = new classSaleInvoice;
		$retrieveInvoiceOb->setSaleInvoiceID($invoice_id);
		$invoice_array = $retrieveInvoiceOb->retrieveInvoiceDetail();
		$invoice_items_array = $retrieveInvoiceOb->retrieveInvoiceItemsDetail();
	}
	
	///////////// retrieve product data ///////////////////////////////
	
	$retrieveProdOb = new classProduct;
	$retrieveProdOb->setOrganizationID($_SESSION['security']['org_id']);
	$product_array = $retrieveProdOb->retrieveActiveProducts();
	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	
		

try
{
	$tranOb = new classTransaction;
	$account_data = $tranOb->retrieveAccountHeadAndAccountByID(3,3);	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}
/*echo '<pre>';
print_r($patients_array);
echo '</pre>';
exit;*/


?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="javascript:Popup('printpharmsaleinv.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
      <section id="main-content">
    <section class="wrapper">
    <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbpharmacy.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="mgmtsales.php"><img src="../images/iconcash.png"></a></td><!--
      <td width="12%" align="center"><a href="pharmpresc.php"><img src="../images/iconpresc.png"></a></td>-->
      <td width="12%" align="center">
      <?php
	  $checkReportOb = new classProductClosingReconcilation;
	  if($checkReportOb->checkClosingReportAlreadyInProgress('in_progress',$_SESSION['security']['location_id']))
	  {
		  	?>
		 	<a href="pharmsaleinv.php?ref=<?php echo base64_encode('new');?>"><img src="../images/iconsale.png"></a>
		  	<?php
	  }
	  else
	  {
			?>
			<a href="#" onClick="return inventoryclosing();"><img src="../images/iconsale.png" /></a>
			<?php
	  }
	  ?>
      	
      </td>
      <td width="12%" align="center"><a href="mgmtrefunds.php"><img src="../images/iconrefund.png"></a></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbpharmacy.php">Pharmacy</a></td>
      <td align="center"><a href="mgmtsales.php">Point of Sale</a></td><!--
      <td align="center"><a href="pharmpresc.php">e-Prescriptions</a></td>-->
      <td align="center">
      <?php
	  $checkReportOb = new classProductClosingReconcilation;
		if($checkReportOb->checkClosingReportAlreadyInProgress('in_progress',$_SESSION['security']['location_id']))
	  {
		  	?>
		 	<a href="pharmsaleinv.php?ref=<?php echo base64_encode('new');?>">Create Sale Invoice</a>
		  	<?php
	  }
	  else
	  {
			?>
			<a href="#" onClick="return inventoryclosing();">Create Sale Invoice</a>
			<?php
	  }
	  ?>
      	
      </td>
      <td align="center"><a href="mgmtrefunds.php">Payments & Refunds</a></td>
      <td align="center"></td>
      <td align="center"></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>

<br>
      <!-- page start-->
       <div class="row">
            <div class="col-sm-12">
                <section class="panel">
                    <div class="panel-body invoice">
                        <div class="invoice-header">
                            <div class="invoice-title col-md-3 col-xs-12">
                                    <h2>SALE INVOICE</h2>
                            </div>
                            
                        </div>
                      	<?php
						if(isset($error_message)&&$error_message!='')
						{
							?>
                            <table>
							<tr>
								<td><span class="message_red"><?php echo $error_message;?></span></td>
							</tr>
                            <tr><td>&nbsp;</td></tr>
                            </table>
							<?php
						}
						?>
                        
                        <?php
						if(isset($_SESSION['temp']['patient_id'])&&$_SESSION['temp']['patient_id']!='')
						{
							?>
							<div id="result"></div>
                            
							<table width="100%" border="0" align="left" cellspacing="0" cellpadding="0">
								<tbody>
									<tr>
										<td width="10%">Patient Name :</td>
										<td width="90%"><strong> <?php if(isset($patient_single_detail[0]['patient_fname'])){echo $patient_single_detail[0]['patient_fname'].' '.$patient_single_detail[0]['patient_lname'];}else{echo 'Outdoor';}?> </strong></td>
									</tr>
									<tr>
										<td>Phone :</td>
										<td><strong><?php if(isset($patient_single_detail[0]['phone'])){echo $patient_single_detail[0]['phone'];}?></strong></td>
									</tr>
                                    <tr>
										<td>Patient ID :</td>
										<td><?php  if(isset($patient_single_detail[0]['patient_id'])){echo $patient_single_detail[0]['patient_id'];}?></td>
									</tr>
									<tr>
										<td>&nbsp;</td>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td>Invoice # :</td>
										<td><?php echo $invoice_id;?></td>
									</tr>
								</tbody>
								</table>
								
							<table width="100%" border="0">
								<tr>
									<td width="47%">&nbsp;</td>
									<td width="33%">
                                    <form action="" method="post">
									<div class="row">
                                        <div class="col-md-4 col-sm-5 inv-label" style="float: left; width: 60%; margin-left: 25px;">
                                        
                                            <select name="prod_id" class="form-control input-sm m-bot15">
                                            <option value="">Select Product</option>
											<?php
                                            for($p=0;$p<count($product_array);$p++)
											{
												$singleProdOb = new classProduct;
												$singleProdOb->setProductID($product_array[$p]['product_id']);
												$single_prod_array = $singleProdOb->retrieveProductByProductID();
												
												$prod_loc_array = $singleProdOb->retrieveProductLocationRelationship($product_array[$p]['product_id'],$_SESSION['security']['location_id']);
												?>
												<option value="<?php echo $single_prod_array[0]['product_id'];?>"><?php echo $single_prod_array[0]['product_name'].' - '.$single_prod_array[0]['medicine_type'].' - Qty : '.$prod_loc_array[0]['unit_qtyinstock'];?></option>
												<?php
											}
                                          	?>
                                            </select>
                                       
                                        </div>
                                        <input name="invoice_id" type="hidden" class="btn btn-primary" value="<?php echo $invoice_id;?>"/>
                                        <input name="add_prod" type="submit" class="btn btn-primary" value="Add Product" style="float:right; margin-right:20px;"/>
									</div>
                                    </form>
									</td>
								</tr>
							</table>
							
							<table class="table table-invoice" style="margin-top: 0px;">
								<thead>
									<tr>
										<th width="5%">ID</th>
										<th width="25%">Product</th>
                                        
										<th width="10%" class="text-center">Packing</th>
                                        <th width="10%" class="text-center">Retail Price per Unit</th>
										<th width="8%" class="text-center">Qty</th>
										<th width="10%" class="text-center">Total</th>
										<th width="10%"class="text-center">Discount</th>
										<th width="10%" class="text-center">Net Total</th>
									</tr>
								</thead>
								<tbody>
                               
                                <?php
								if(isset($invoice_items_array[0]['saleitems_id'])&&$invoice_items_array[0]['saleitems_id']!='')
								{
									for($ri=0;$ri<count($invoice_items_array);$ri++)
									{
										$singleProdOb = new classProduct;
										$singleProdOb->setProductID($invoice_items_array[$ri]['product_id']);
										$single_prod_detail = $singleProdOb->retrieveProductByProductID();
										
										?>
											<tr>
                                            
												<td><?php echo $invoice_items_array[$ri]['product_id'];?></td>
                                                
												<td>
                                                	<h4><a href="pharmsaleinv.php?saledel=<?php echo base64_encode($invoice_items_array[$ri]['saleitems_id']);?>"><img src="../images/cross.png" alt="Delete" border="0"/></a> <?php echo $single_prod_detail[0]['product_name'];?></h4>
													<p><?php echo $single_prod_detail[0]['medicine_type'];?></p>
												</td>
                                               
												<td class="text-center">
                                                <select name="packing_type[]" id="packing_type_<?php echo $ri;?>" class="sale_packing_type">
                                               
												<?php
												if($invoice_items_array[$ri]['packing_type']=='')
												{
													?>
                                                    <option value="">Select Type</option>
                                                    <?php
												}
                                                
												?>
												<option value="Unit/Tablets" <?php if($invoice_items_array[$ri]['packing_type']=='Unit/Tablets'){echo 'selected';}?>>Unit/Tablets</option>
												<option value="Leaf" <?php if($invoice_items_array[$ri]['packing_type']=='Leaf'){echo 'selected';}?>>Leaf</option>
												<option value="Box/Pack" <?php if($invoice_items_array[$ri]['packing_type']=='Box/Pack'){echo 'selected';}?>>Box/Pack</option>
												
                                                </select>
                                                </td>
                                                
												<td class="text-center">
                                                Rs.
												<input name="price_disable[]" id="price_disable_<?php echo $ri;?>" class="price_disable" value="<?php echo $invoice_items_array[$ri]['retail_price'];?>" type="text" disabled size="5"/>
                                                
                                                <input name="price[]" id="price_<?php echo $ri;?>" class="price" value="<?php echo $invoice_items_array[$ri]['retail_price'];?>" type="hidden" size="5"/>
                                                </td>
                                                
												<td class="text-center">
                                                	<input name="packing_qty[]" type="text" class="sale_packing_qty" id="packing_qty_<?php echo $ri;?>" size="5" value="<?php echo $invoice_items_array[$ri]['qty'];?>" />
                                                </td>
                                                
												<td class="text-center">
                                                Rs.
													<?php 
                                                    if ($invoice_items_array[$ri]['packing_type']=='Unit/Tablets') 
                                                    { 
                                                        $total = $invoice_items_array[$ri]['retail_price']*$invoice_items_array[$ri]['qty'];
                                                    } 
                                                    elseif ($invoice_items_array[$ri]['packing_type']=='Leaf') 
                                                    {  
                                                        $total = $invoice_items_array[$ri]['retail_price']*$invoice_items_array[$ri]['qty'];
                                                    } 
                                                    elseif ($invoice_items_array[$ri]['packing_type']=='Box/Pack') 
                                                    { 
                                                        $total = $invoice_items_array[$ri]['retail_price']*$invoice_items_array[$ri]['qty'];
                                                    }
                                                    else
                                                    {
                                                        $total = 0;
                                                    }
                                                    
                                                   ?>
                                                   <input name="total[]" class="total" id="total_<?php echo $ri;?>" value="<?php echo $total;?>" type="text" disabled size="5"/>
                                                    
                                                   <input name="total_hidden[]" class="total_hidden" id="total_hidden_<?php echo $ri;?>" value="<?php echo $total;?>" type="hidden" size="5"/>
                                                </td>
                                                
												<td class="text-center">
                                                    <select name="discount[]" class="sale_discount" id="discount_prod_<?php echo $ri;?>">
                        <option value="0" <?php if($invoice_items_array[$ri]['discount']=='0'){echo 'selected';}?>>None</option>
                        <option value="1" <?php if($invoice_items_array[$ri]['discount']=='1'){echo 'selected';}?>>1%</option>
                        <option value="2" <?php if($invoice_items_array[$ri]['discount']=='2'){echo 'selected';}?>>2%</option>
                        <option value="3" <?php if($invoice_items_array[$ri]['discount']=='3'){echo 'selected';}?>>3%</option>
                        <option value="4" <?php if($invoice_items_array[$ri]['discount']=='4'){echo 'selected';}?>>4%</option>
                        <option value="5" <?php if($invoice_items_array[$ri]['discount']=='5'){echo 'selected';}?>>5%</option>
                        <option value="6" <?php if($invoice_items_array[$ri]['discount']=='6'){echo 'selected';}?>>6%</option>
                        <option value="7" <?php if($invoice_items_array[$ri]['discount']=='7'){echo 'selected';}?>>7%</option>
                        <option value="8" <?php if($invoice_items_array[$ri]['discount']=='8'){echo 'selected';}?>>8%</option>
                        <option value="9" <?php if($invoice_items_array[$ri]['discount']=='9'){echo 'selected';}?>>9%</option>
                        <option value="10" <?php if($invoice_items_array[$ri]['discount']=='10'){echo 'selected';}?>>10%</option>
                        <option value="11" <?php if($invoice_items_array[$ri]['discount']=='11'){echo 'selected';}?>>11%</option>
                        <option value="12" <?php if($invoice_items_array[$ri]['discount']=='12'){echo 'selected';}?>>12%</option>
                        <option value="13" <?php if($invoice_items_array[$ri]['discount']=='13'){echo 'selected';}?>>13%</option>
                        <option value="14" <?php if($invoice_items_array[$ri]['discount']=='14'){echo 'selected';}?>>14%</option>
                        <option value="15" <?php if($invoice_items_array[$ri]['discount']=='15'){echo 'selected';}?>>15%</option>
                        <option value="20" <?php if($invoice_items_array[$ri]['discount']=='20'){echo 'selected';}?>>20%</option>
                        <option value="25" <?php if($invoice_items_array[$ri]['discount']=='25'){echo 'selected';}?>>25%</option>
                        <option value="50" <?php if($invoice_items_array[$ri]['discount']=='50'){echo 'selected';}?>>50%</option>
                        <option value="75" <?php if($invoice_items_array[$ri]['discount']=='75'){echo 'selected';}?>>75%</option>
                        <option value="100" <?php if($invoice_items_array[$ri]['discount']=='100'){echo 'selected';}?>>100%</option>
                                                    </select>
                                                </td>
                                                

												<td class="text-right">Rs. <span id="net_total_<?php echo $ri;?>"><?php echo number_format($invoice_items_array[$ri]['net_total'],2);?></span></td>
                                                
											</tr>
                                            
                                           <input name="product_id[]" class="product_id" id="product_id_<?php echo $ri;?>" value="<?php echo $single_prod_detail[0]['product_id'];?>" type="hidden" size="5"/>
                                            
                                            <input name="saleitems_id[]" class="saleitems_id" id="saleitems_id_<?php echo $ri;?>" value="<?php echo $invoice_items_array[$ri]['saleitems_id'];?>" type="hidden" size="5"/>
											
										<?php
									}
								}
								?>  
                                
								</tbody>
							</table>
                           
							<div class="row">
								
								<div class="col-md-3 invoice-block pull-right">
									<ul class="unstyled amounts">
										<li>Total: Rs. <span id="invoice_amount"><?php echo $invoice_array[0]['invoice_amount']?></span></li>
										<li>Discount: 
                                        <select name="invoice_discount[]" class="sale_invoice_discount" id="invoice_discount">
                                        
                                            <option value="0" <?php if($invoice_array[0]['discount']=='0'){echo 'selected';}?>>None</option>
                                            <option value="5" <?php if($invoice_array[0]['discount']=='5'){echo 'selected';}?>>5%</option>
                                            <option value="10" <?php if($invoice_array[0]['discount']=='10'){echo 'selected';}?>>10%</option>
                                            <option value="25" <?php if($invoice_array[0]['discount']=='25'){echo 'selected';}?>>25%</option>
                                            <option value="50" <?php if($invoice_array[0]['discount']=='50'){echo 'selected';}?>>50%</option>
                                            <option value="75" <?php if($invoice_array[0]['discount']=='75'){echo 'selected';}?>>75%</option>
                                            <option value="100" <?php if($invoice_array[0]['discount']=='100'){echo 'selected';}?>>100%</option>
                                        </select>
                                        </li>
										<!--<li>TAX (15%) ----- </li>-->
                                        <input type="hidden" name="amount_payable" id="amount_payable_form"  value="<?php echo $invoice_array[0]['amount_payable'];?>">
										<li class="grand-total">Grand Total: Rs. <span id="amount_payable"><?php echo $invoice_array[0]['amount_payable'];?></span></li>
									</ul>
								</div>
							</div>
						  
							<div class="text-center invoice-btn">
                            <form action="" method="post">
                            <input name="save_exit" type="submit" class="btn btn-success btn-lg" value="Save & Exit"/>
                             <a href="#transaction-box" class="transaction-window transaction_data btn btn-success btn-lg" id="">Receive Payment</a>
                            <a href="javascript:Popup('printpharmsaleinv.php')" class="btn btn-primary btn-lg"><i class="fa fa-print"></i> Print </a>
                            </form>
								<!--<a class="btn btn-success btn-lg"><i class="fa fa-check"></i> Submit Invoice </a>-->
								
							</div>
                            
                             <div class="col-md-9 payment-method">
									<h4>Terms &amp; Conditions</h4>
									<p>1. Check Cash and ensure quality & quantity before leaving.</p>
									<p>2. Loose tablets, without packing are not refundable.</p>
									<p>3. Fridge items, inhalers, test strips and opened syrups are not refundable.</p>
									<br>
									<h3 class="inv-label itatic">Thank you for your business</h3>
								</div>
							
							<?php
						}
						else
						{
							?>
                            <table width="100%" border="0">
                            <tr>
                                <td>
                                	<div class="form-group">
                                	<form action="" method="post" id="default_form">
                                        <label class="control-label col-lg-3" for="firstname" style="width:11%;">Patient Type :</label>
                                        <div class="col-lg-6">
                                            <select name="patient_type" id="patient_type" class="form-control input-sm m-bot15">
                                                <option value="">Select Patient Type</option>
                                                <option value="in_patient">Regisitered Patients</option>
                                                <option value="out_patient">Out Door Patients</option>
                                            </select>
                                        </div>
                                        <a href="#select_patient-box" class="select_patient-window btn btn-primary"  id="select_patient_popup" style="display:none; float:left; width:11%;">Select Patient</a>
                                    </form>
                                	</div>
                               	</td>
                            </tr>
                            <tr><td>&nbsp;</td></tr>
                            <tr><td>&nbsp;</td></tr>
                            <tr><td>&nbsp;</td></tr>
                            <tr><td>&nbsp;</td></tr>
                            <tr><td>&nbsp;</td></tr>
                        </table>
                            <?php
						}
						?>
                    </div>
                </section>
            </div>
        </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>
<div id="select_patient-box" class="select_patient-popup">
    
    <div class="pop_header">
        <span>Select Patient</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <div class="scrollbar" style="height:300px;">
   		<form action="" method="post" id="patient_search_form">
    	<table width="100%" border="0" cellpadding="1" cellspacing="0">
         
          <tr>
          
            <td width="12%" align="right">Search Name: </td>
            <td width="15%">
                <input type="text" name="by_name" id="by_name" value="" class="form-control" aria-controls="dynamic-table">
            </td>
            
            <td width="5%" align="right">ID: </td>
            <td width="15%">
                <input type="text" name="by_id" id="by_id" value="" class="form-control" aria-controls="dynamic-table">
            </td>
            
            <td width="5%" align="right">Phone: </td>
            <td width="15%">
                <input type="text" name="by_phone" id="by_phone" value="" class="form-control" aria-controls="dynamic-table">
            </td>
            
            <td><input name="search" type="submit" id="patient_search" class="btn btn-success btn-sm" value="Search"/></td>
            
            <td width="15%" align="left"><a href="#" id="view_all_patients">View All</a></td>
            
          
          </tr>
        </table>
        <input type="hidden" name="search_patient" value="Search">
        </form>  
         
    	<table class="display table table-bordered table-striped" id="dynamic-table">
        
          <thead>
            <tr>
              <th width="5%" align="center">&nbsp;</th>
              <th width="5%" align="center">&nbsp;</th>
              <th width="5%" align="center">ID</th>
              <th width="10%" align="center">DOB</th>
              <th width="20%">Patient Name</th>
              <th width="15%">Phone</th>
              <th width="15%">Registration Date</th>
            </tr>
          </thead>
          <tbody id="default_body">
          	<?php
            if(isset($patients_array[0]['patient_auto_id'])&&$patients_array[0]['patient_auto_id']!='')
            {
                for($p=0;$p<count($patients_array);$p++)
                {
                    if($p%2==0){ $class = 'gradeX';}else{$class = 'gradeC';}
                    
                    $pid = $patients_array[$p]['patient_auto_id'];
                    
                    $imageRetrieveOb = new classImages;
                    $imageRetrieveOb->setPatientAutoID($pid);
                    $image_id = $imageRetrieveOb->fetchImageOfPatient();
                    ?>
                    <form action="" method="post">
                    <tr class="<?php echo $class;?>">
                        <td align="center">
                        <input type="submit" name="select_patient" value="Select" class="btn btn-primary">
                        <input type="hidden" name="patient_type" value="<?php echo $pid;?>">
                        </td>
                        <td align="center">
                        <?php
                        if(isset($image_id)&&$image_id!='')
                        {
                            ?>
                            <img src="../images/patient_images/<?php echo $image_id;?>.jpg" width="30" height="30">
                            <?php
                        }
                        else
                        {
                            ?>
                            <img src="../images/photo.png" width="30" height="30">
                            <?php
                        }
                        ?>
                        </td>
                        <td align="center"><?php echo $patients_array[$p]['patient_id'];?></td>
                        <td align="center"><?php echo  date('d M Y',strtotime($patients_array[$p]['dob']));?></td>
                        <td align="left"><?php echo $patients_array[$p]['patient_fname'].' '.$patients_array[$p]['patient_lname'];?></td>
                        <td align="center"><?php echo $patients_array[$p]['phone'];?></td>
                        <td align="center"><?php echo date('d M Y',$patients_array[$p]['reg_date']);?></td>
                    </tr>
                    </form>
                    <?php
                }
            }
            else
            {
                ?>
                <tr>
                    <table>
                        <tr>
                            <td>No entry found.</td>
                        </tr>
                    </table>
                </tr>
                <?php
            }
            ?>
          </tbody>
         
        </table>
        </div>
</div>

<div id="transaction-box" class="transaction-popup">
    
    <div class="pop_header">
        <span>Transaction</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_expensetransaction_form" style="margin:10px;"></div>
          
          <form action="" method="post" id="insert_expensetransaction_form" class="cmxform form-horizontal" onSubmit="return false;">
          
           	<div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Head:</label>
              <div class="col-lg-6">
              <input type="hidden" name="acchead_id" value="<?php echo $account_data[0]['acchead_id'];?>">
               <?php echo $account_data[0]['acchead_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Name:</label>
              <div class= "col-lg-6">
                <input type="hidden" name="account_id" value="<?php echo $account_data[0]['account_id'];?>">
               <?php echo $account_data[0]['account_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Type:</label>
              <div class="col-lg-6">
                 <input type="hidden" name="type" value="<?php echo $account_data[0]['type'];?>">
               <?php echo $account_data[0]['type'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Amount Payable:</label>
              <div class="col-lg-6" id="amount_payable_html">
               
              </div>
              <input type="hidden" name="amount_payable" id="amount_payable_value" value="">
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Payment Amount:</label>
              <div class="col-lg-6">
                <input type="text" name="payment_amount" id="lastname" class="form-control">
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Description:</label>
              <div class="col-lg-6">
                <textarea name="description" cols="43" rows="5"></textarea>
              </div>
            </div>
            
            <p align="right">
              <input type="hidden" name="patient_id" id="patient_id" value="<?php echo $patient_id;?>">
              <input type="hidden" name="saleinvoice_id" id="saleinvoice_id" value="<?php echo $invoice_id;?>">
              <input type="hidden" name="trx_sales_prod" value="yes">
              <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save" />
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>

<script>

	$(document).ready(function() {
	
	
		$("#patient_type").change(function() {
			
			var patient_type = $("#patient_type").val();
			
			if(patient_type=='out_patient')
			{
				$("#default_form").submit();
			}
			else
			{
				$("#select_patient_popup").css('display','block');
			}
		
		});
	
	
	});

$(".transaction_data").click(function() {
	
	var id = this.id;
	amount_payable = $("#amount_payable_form").val();
	
	$("#amount_payable_html").html(amount_payable);
	$("#amount_payable_value").val(amount_payable);
	
	
});
</script>