<?php
include('../config/config.php');
include('../classes/classTransaction.php');
include('../classes/classPatient.php');
include('../classes/classWardMgmt.php');


################################################################################
#########################Pagination Starts here. {########################
################################################################################
$countAllotOb = new classWardMgmt;
$countAllotOb->setLocationID($_SESSION['security']['location_id']);
$count = $countAllotOb->countAllPaidBedAllotmentDetails();		

$array['item_count'] = $count;
if(isset($_GET['page']) && isset($_GET['items']))
{
	if($array['item_count'] > $_GET['items'])
	{
		$array['pages'] = ceil($array['item_count']/$_GET['items']);
		if($_GET['page'] >$array['pages'])
		{
			$_GET['page'] = 1;
		}
		$array['current_page'] = $_GET['page'];
		if($_GET['page'] > 1)
		{
			$starting_record = $_GET['items']*($_GET['page']-1);
			$ending_record = $_GET['items'];
			$array['limit'] = $starting_record . "," . $ending_record;
			$limit = $array['limit'];
		}
		else
		{
			$limit = $_GET['items'];
		}
	}
	else
	{
		$array['current_page'] = $_GET['current_page'] = 1;
		$array['pages'] = 1;
		$array['limit'] = $_GET['items'];
		$limit = $array['limit'];
	}
}
else
{
	if($array['item_count'] > 20)
	{
		$array['pages'] = ceil($array['item_count']/20);
	}
	else
	{
		$array['pages'] = 1;
	}
	$array['current_page'] = 1;
	$array['limit'] = 20;
	$limit = $array['limit'];
}

$_SESSION['pagination']['item_count']=$array['item_count'];
$_SESSION['pagination']['pages']=$array['pages'];
$_SESSION['pagination']['current_page']=$array['current_page'];
$_SESSION['pagination']['limit']=$limit;

################################################################################
######################### Pagination Ends here. }##########################
################################################################################

try
{
	$retrieveAllotOb = new classWardMgmt;
	$retrieveAllotOb->setLocationID($_SESSION['security']['location_id']);
	$invoice_array = $retrieveAllotOb->retrieveAllPaidBedAllotmentDetails($limit);	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}


try
{
	$tranOb = new classTransaction;
	$account_data = $tranOb->retrieveAccountHeadAndAccountByID(2,28);	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}

/*echo '<pre>';
print_r($invoice_array);
echo '</pre>';*/

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head></head><!-- InstanceBegin template="/Templates/print.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Med2TEC Hospital Management Information System</title> 
    <link href="../css/print.css" rel="stylesheet">
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >  
    <script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
	<script type="text/javascript" src="../datepicker/jquery-ui.js"></script> 
</head>

<body> 
<div align="right"> 
 <SCRIPT LANGUAGE="JavaScript">  
if (window.print) {
document.write('<form class="no-print"><input type=button name=print value="Print" onClick="window.print()"></form>');
}
</script></div>

<section class="wrapper">
<div style="background:#FFF; padding:0px 0px 0; height:auto;">
  <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
    <tbody>
      <tr>
        <td align="left" style="background:#fff;"><img alt="" src="../images/org_print_logos/<?php echo $_SESSION['security']['org_id']?>.png" style="width:100%;"></td>
      </tr>
    </tbody>
  </table>
  
</br>

</div>

<div class="row">
          <section class="panel">
            <header class="panel-heading">
              <h2><!-- InstanceBeginEditable name="title" --><!-- InstanceEndEditable --></h2>
            </header>

  <br />
  
<!-- InstanceBeginEditable name="main" -->

                   
    <title>Med2TEC Hospital Management Information System</title>
    
  <section id="main-content">
    <section class="wrapper">

      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
           <header class="panel-heading">
              <h2>PAYMENTS &amp; TRANSACTIONS</h2>
            </header>

            <div class="panel-body">
              <div class="adv-table">
                <table class="bottomBorder" id="dynamic-table" width="100%" cellpadding="0" cellspacing="0">
                
                  <thead>
                    </thead>
                    <tr>
                    <th width="5%" align="center">ID</th>
                    <th width="10%" align="center">Date</th>
                    <th width="20%">Patient Name</th>
                    <th width="10%">Amount Payable</th>
                    <th width="10%">Payment</th>
                    <th width="10%">Balance</th>
                    <th width="10%">Refund Amount</th>
                  <td></thead></td>
                  
                  </tr><tbody>
                  	<?php
					if(isset($invoice_array[0]['ipd_bed_allotment_id'])&&$invoice_array[0]['ipd_bed_allotment_id']!='')
                      {
                          for($inv=0;$inv<count($invoice_array);$inv++)
                          {
                              if($inv%2==0){ $class = 'gradeX';}else{$class = 'gradeC';}
                              
                              if($invoice_array[$inv]['patient_id']!=0)
                              {
                                  $retrievePatientOb =  new classPatient;
                                  $retrievePatientOb->setPatientAutoID($invoice_array[$inv]['patient_id']);
                                  $patient_single_detail = $retrievePatientOb->retrievePatientByPatientID();
                                  
                                  $patient_name = $patient_single_detail[0]['patient_fname'].' '.$patient_single_detail[0]['patient_lname'];
                              }
                              else
                              {
                                 $patient_name = 'Out Door';
                              }
                             
                             
                            ?>
                            <tr class="<?php echo $class;?>">
                            
                              <td align="center">
                               <?php /*?><a href="javascript:Popup('printpatientsupplierbalance.php?patient_id=<?php echo base64_encode($invoice_array[$inv]['patient_id']);?>')">Payment History</a><?php */?>
                               
                               
                              </td>
                              
                              <td align="center"><?php echo $invoice_array[$inv]['ipd_bed_allotment_id'];?></td>
                              
                              <td align="center"><?php echo date('d M Y',$invoice_array[$inv]['discharge_time']);?></td>
                              
                              <td><?php echo $patient_name;?></td>
                              
                              <td align="right">Rs. <?php if($invoice_array[$inv]['amount_payable']!=0){echo number_format($invoice_array[$inv]['amount_payable'],2);}else{echo 0;}?></td>
							  
							  <td align="right">Rs. <?php if($invoice_array[$inv]['payment']!=0){echo number_format($invoice_array[$inv]['payment'],2);}else{echo 0;}?></td>
							  
							  <td align="right">Rs. <?php if($invoice_array[$inv]['balance']!=0){echo number_format($invoice_array[$inv]['balance'],2);}else{echo 0;}?></td>
                              
                              
                              <td align="center">
                              <?php
								if($invoice_array[$inv]['balance']==0) 
								{
									?>
									<span class="label label-success label-mini">Paid</span>
									<?php 
								}
								elseif($invoice_array[$inv]['balance']>0) 
								{
									?>
								  	<span class="label label-danger label-mini">Balance Payment</span>
								  	<?php
								}
								  ?>
                                  
                                 <span class="label label-danger label-mini">Refund</span>
							   </td>
                              
                            </tr>
                            
                             </tbody>
                            
                            <?php
                          }
                      }
                      else
                      {
                        ?>
                        <tr>
                            <table>
                                <tr>
                                    <td>No entries found!</td>
                                </tr>
                            </table>
                        </tr>
                        <?php
    
                      }
					?>
                  
                  
                  <tfoot>
                  </tfoot>
                  
                </table>
                
                
                
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable -->
</section>
</div>

<!--<p align="center" style="font-size:12px; font-family:Arial, Helvetica, sans-serif; margin-top:260px;"><strong><!--317 A-1, Nursery Stop, Township, Lahore. 
Ph: 042-35151666</strong><br />
For Appointment call at 042-35151666 (bring your Patient ID Card) </p>-->

   <div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color: rgb(0, 0, 0); text-align: right; font-size: 10px; margin-top: 4px; position: absolute; right: 180px;">© Software by Softusion Inc. 0322 6155 219</div>   
    </div>
</div>

<!--<div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color:#000; text-align:right; font-size:9px;">© Software designed by Softusion Inc. Contact us at 0322 6155 219</div>   
    </div>
</div>-->


          
</body>
<!-- InstanceEnd --></html>



<script>


$(".transaction_income_data").click(function() {
	
	var id = this.id;
	
	ipd_bed_allotment_id = $("#ipd_bed_allotment_id_"+id).val();
	patient_id = $("#patient_id_"+id).val();
	amount_payable = $("#amount_payable_income_"+id).val();
	
	$("#ipd_bed_allotment_id").val(ipd_bed_allotment_id);
	$("#patient_id").val(patient_id);
	$("#amount_payable_income").html(amount_payable);
	$("#amount_payable_income_value").val(amount_payable);
	
	
});

</script>


