<?php
include('../config/config.php');
include('../classes/classPatient.php');
include("../classes/classImages.php");
include("../classes/classVisits.php");
include('../classes/classTransaction.php');
/*echo '<pre>';
print_r($_SESSION);
echo '</pre>';*/

################## Delete Patient Start ####################################

if(isset($_GET['pid'])&&$_GET['pid']!='')
{
	try
	{
		$delPatientOb = new classPatient;
		$delPatientOb->setPatientAutoID(base64_decode($_GET['pid']));
		$delPatientOb->deletePatient();
	}
	catch (MyException $e)
	{
		$error_message = $e->getUserMsg();
	}
}

################################################################################
#########################Pagination Starts here. {########################
################################################################################
$countPatientOb = new classPatient;	
$countPatientOb->setLocationID($_SESSION['security']['location_id']);
$patients_count = $countPatientOb->countPatientByLocationID();		
/*print_r($patients_count);*/
$array['item_count'] = $patients_count[0]['count(patient_auto_id)'];
if(isset($_GET['page']) && isset($_GET['items']))
{
	if($array['item_count'] > $_GET['items'])
	{
		$array['pages'] = ceil($array['item_count']/$_GET['items']);
		if($_GET['page'] >$array['pages'])
		{
			$_GET['page'] = 1;
		}
		$array['current_page'] = $_GET['page'];
		if($_GET['page'] > 1)
		{
			$starting_record = $_GET['items']*($_GET['page']-1);
			$ending_record = $_GET['items'];
			$array['limit'] = $starting_record . "," . $ending_record;
			$limit = $array['limit'];
		}
		else
		{
			$limit = $_GET['items'];
		}
	}
	else
	{
		$array['current_page'] = $_GET['current_page'] = 1;
		$array['pages'] = 1;
		$array['limit'] = $_GET['items'];
		$limit = $array['limit'];
	}
}
else
{
	if($array['item_count'] > 20)
	{
		$array['pages'] = ceil($array['item_count']/20);
	}
	else
	{
		$array['pages'] = 1;
	}
	$array['current_page'] = 1;
	$array['limit'] = 20;
	$limit = $array['limit'];
}

$_SESSION['pagination']['item_count']=$array['item_count'];
$_SESSION['pagination']['pages']=$array['pages'];
$_SESSION['pagination']['current_page']=$array['current_page'];
$_SESSION['pagination']['limit']=$limit;

################################################################################
######################### Pagination Ends here. }##########################
################################################################################



################## Retrieve all Patients Start ####################################
try
{
	$retrievePatientOb = new classPatient;
	
	if(isset($_POST['search'])&&$_POST['search']=='Search')
	{
		$patients_array = $retrievePatientOb->searchPatient($_POST['by_id'],$_POST['by_name'],$_POST['by_phone']);
	}
	else
	{
		
		$retrievePatientOb->setLocationID($_SESSION['security']['location_id']);
		$patients_array = $retrievePatientOb->retrievePatientByLocationID($limit);
	}

}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}


try
{
	$tranOb = new classTransaction;
	$account_data = $tranOb->retrieveAccountHeadAndAccountByID(1,7);	
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}




/*echo '<pre>';
print_r($invoice_array);
echo '</pre>';
exit;
*/

?>
<!DOCTYPE html>
<html><!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<head> 
    <link rel="shortcut icon" href="../images/favicon.png">
    <!-- InstanceBeginEditable name="doctitle" -->
    <title>Med2TEC Hospital Management Information System</title>
    <!-- InstanceEndEditable -->
    <!--Core CSS -->
    <link href="../bs3/css/bootstrap.min.css" rel="stylesheet"> 
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/style-responsive.css" rel="stylesheet"/> 
    <link href="../popUp/popUp.css" rel="stylesheet">
    <link href="../css/bootstrap-fullcalendar.css" rel="stylesheet"/> 
    
    <link href="../css/clndr.css" rel="stylesheet">
    
    <link href="../css/css/font-awesome.css" rel="stylesheet">
    
    <link href="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.css" rel="stylesheet">
    <link href="../assets/jvector-map/jquery-jvectormap-1.2.2.css" rel="stylesheet">    
    <link href="../assets/jquery-multi-select/css/multi-select.css" rel="stylesheet" type="text/css">
    <!--clock css-->
    <link href="../assets/css3clock/css/style.css" rel="stylesheet"> 
    <!--Morris Chart CSS -->
    <link rel="stylesheet" href="../assets/morris-chart/morris.css">
    <!-- Custom styles for this template -->
   
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >   
<!-- InstanceBeginEditable name="head" -->
<!-- InstanceEndEditable -->
</head>
<body>

<section id="container">
    <!--header start-->
    <header class="header fixed-top clearfix">
        <!--logo start-->
        <div class="brand">

            <a href="home.php" class="logo">
                <img src="../images/logo.png" alt="">
            </a>
            <div class="sidebar-toggle-box">
                <div class="fa fa-bars"></div>  
            </div>
        </div> 
        <!--logo end-->

        <div class="nav notify-row" id="top_menu" style="float: right; margin-top: 16px; margin-left: 0px; margin-right: 10px;">
            <!--  notification start -->
             <img alt="" src="../images/org_logos/<?php echo $_SESSION['security']['org_id']?>.png">
            <!--  notification end -->
        </div>
        <div class="top-nav clearfix">
            <!--search & user info start-->
            <ul class="nav pull-right top-menu">
                <li>
                    <div class="toggle-right-box"><!-- InstanceBeginEditable name="print" -->
                    <a href="javascript:Popup('printmgmtpatient.php')"><i class="fa fa-print" style="margin-left: 11px; margin-top: 11px;"></i></a>
					<!-- InstanceEndEditable --></div>
                </li>
                <!-- user login dropdown start-->
                <li class="dropdown">
                    <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                        <img alt="" src="../images/avatar1_small.jpg"> 
                        <span class="username"><?php echo $username;?></span>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu extended logout">
                        <li><a href="profile.php"><i class=" fa fa-suitcase"></i>Profile</a></li>
                        <li><a href="#update_password-box" class="update_password-window"><i class="fa fa-cog"></i> Change Password</a></li>
                        <li><a href="../logout.php"><i class="fa fa-key"></i> Log Out</a></li>
                    </ul>
                </li>
                <!-- user login dropdown end -->
                <li>
                    <div class="toggle-right-box">
                        <div class="fa fa-bars"></div>
                    </div>
                </li>
            </ul>
            <!--search & user info end-->
        </div>
    </header>
    <!--header end-->
    <!--sidebar start-->
   <aside>
        <div id="sidebar" class="nav-collapse">
            <!-- sidebar menu start-->
            <ul class="sidebar-menu" id="nav-accordion">
             <?php
					  
$orgOb = new classUser;
$orgOb->retrieveOrgDataByOrgID($_SESSION['security']['org_id']);

		  if($orgOb->getDB())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
					  	<li>
                    	<a class="active" href="db.php" style="background:#0072BC;">
                        <i class="fa fa-dashboard"></i> 
                        <span>Dashboard</span>
                    	</a>
                		</li>
					  <?php
				}
		  }
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==10||$_SESSION['security']['userrole_id']==100)
				{
					?>
					    <li class="sub-menu">
                    	<a href="dbpatient.php" style="background:#BC1C4A;">
                        <i class="fa fa-user"></i>
                        <span>Patient Registration</span>
                    	</a>
                    	</li>
					  <?php
				}
		  
		  if($orgOb->getOPD())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==4||$_SESSION['security']['userrole_id']==5||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbopd.php" style="background:#003366;">
						<i class="fa fa-th"></i>
						<span>Out-Patient (OPD)</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getIPD())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li class="sub-menu">
						<a href="dbipd.php" style="background:#8EC63F;">
						<i class="fa fa-th"></i>
						<span>In-Patient (IPD)</span>
						</a>
						</li>
						<?php
				}
					
		  }
		  if($orgOb->getOT())
		  {
			  if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==15||$_SESSION['security']['userrole_id']==100) 
				{
			   		?>
						<li class="sub-menu">
						<a href="dbot.php" style="background:#D6502A;">
						<i class="fa fa-th"></i>
						<span>Operation Theater</span>
						</a>
						</li>
                        <?php
				}
		  }			
		  if($orgOb->getPharmacy())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==6||$_SESSION['security']['userrole_id']==7||$_SESSION['security']['userrole_id']==8||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  		?>
						<li class="sub-menu">
						<a href="dbpharmacy.php" style="background:#00869C;">
						<i class="fa fa-th"></i>
						<span>Pharmacy</span>
						</a>
						</li>
						<?php
				}
		  }
		  if($orgOb->getDiagnostic())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==3||$_SESSION['security']['userrole_id']==14||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
			  	?>
						<li>
						<a href="dbdiagnostics.php" style="background:#380E4D;">
						<i class="fa fa-th"></i>
						<span>Diagnostics </span>
						</a>
						</li>
						<?php
				}
		  }
		  
					  ?>
						<!--<li class="sub-menu">
						<a href="dbemergency.php" style="background:#3AC7F9;">
						<i class="fa fa-tasks"></i>
						<span>Facility Management </span>
						</a>
						</li>-->
						<?php
          if($orgOb->getAdmin())
		  {
				if($_SESSION['security']['userrole_id']==1||$_SESSION['security']['userrole_id']==2||$_SESSION['security']['userrole_id']==9||$_SESSION['security']['userrole_id']==100)
				{
					?>
						<li class="sub-menu">
						<a href="dbadmin.php" style="background:#28282E;">
						<i class="fa fa-laptop"></i>
						<span>Admin Panel</span>
						</a>
						</li>
						<?php
				}
		  }
		  ?>
               
            </ul> 
            <div style="position: absolute; bottom: 2%; padding-left:10%;"><a href="http://www.softusion.com/" target="_blank"><img width="30" height="40" src="../images/SoftusionLOGO.png" alt=""><span style="font-size: 11px; float: right; margin-top: 15%;">Designed by Softusion Inc.</span></a></div><br>
            <!-- sidebar menu end-->
        </div>
    </aside>
    <!--sidebar end-->
    <!--main content start-->
	<!-- InstanceBeginEditable name="center" -->
  <section id="main-content">
    <section class="wrapper">
       
        <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
  <tbody>
    <tr>
      <td width="12%" align="center"><a href="dbipd.php"><img src="../images/icondb.png"></a></td>
      <td width="12%" align="center"><a href="mgmtwards.php"><img src="../images/thermometer.png"></a></td>
      <td width="12%" align="center"><a href="mgmtwards.php"><img src="../images/iconwards.png"></a></td>
      <td width="12%" align="center"><a href="mgmtinpatients.php"><img src="../images/iconpatients.png"></a></td>
      <td width="12%" align="center"><a href="ipdpresc.php"><img src="../images/iconpresc.png"></a></td>
      <td width="12%" align="center"><a href="ipdtransact.php"><img src="../images/iconpayment.png"></a></td>
      <td width="12%" align="center"><a href="ipdbalance.php"><img src="../images/iconbalance.png"></a></td>
      <td width="12%" align="center"><a href="repipd.php"><img src="../images/iconreport.png"></a></td>
      <td width="12%" align="center"></td>
      <td width="2%" align="center">&nbsp;</td>
    </tr>
    <tr>
      <td align="center"><a href="dbipd.php">In Patient</a></td>
      <td align="center"><a href="temperature_chart.php">Manage Temprature Chart</a></td>
      <td align="center"><a href="mgmtwards.php">Manage Wards</a></td>
      <td align="center"><a href="mgmtinpatients.php">In Patients</a></td>
      <td align="center"><a href="ipdpresc.php">e-Prescriptions</a></td>
      <td align="center"><a href="ipdtransact.php">Payments & Billings</a></td>
      <td align="center"><a href="ipdbalance.php">Balance Payments</a></td>
      <td align="center"><a href="repipd.php">Reports</a></td>
      <td align="center"></td>
      <td height="24" align="center">&nbsp;</td>
    </tr>
  </tbody>
</table>

<br> 
      <!-- page start-->
      	<div class="row">
        <div class="col-sm-12">
          <section class="panel">
           <header class="panel-heading">
              <h2>MANAGE TEMPRATURE CHART</h2>
              <p>&nbsp;</p>
              <table width="100%" border="0">
                <tr>
                  <td width="14%">Patient's Name:</td>
                  <td width="13%">Khawar javaid</td>
                  <td width="13%">S/0, W/o, D/o:</td>
                  <td width="16%">Muhammad Javaid</td>
                  <td width="12%">Age:</td>
                  <td width="10%">26</td>
                  <td width="12%">Sex:</td>
                  <td width="10%">Male</td>
                </tr>
                <tr>
                  <td>Reg. No:</td>
                  <td>3451</td>
                  <td>Bed No:</td>
                  <td>03</td>
                  <td>Disease:</td>
                  <td colspan="3">sasa</td>
                </tr>
                <tr>
                  <td>Shift to Ward No:</td>
                  <td>&nbsp;</td>
                  <td>Date Shifting</td>
                  <td>03-Oct-2014</td>
                  <td>Receiving Date:</td>
                  <td>03-Oct-2014</td>
                  <td>Receving Time</td>
                  <td>10:30PM</td>
                </tr>
              </table>
              <p>&nbsp;</p>
            </header>
            
           	<form action="" method="post">
            <table width="100%" border="0" cellpadding="1" cellspacing="0">
              <tr>
              
                <td width="10%" align="right">Search Name: </td>
                <td width="15%">
                	<input type="text" name="by_name" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td width="5%" align="right">ID: </td>
                <td width="15%">
                	<input type="text" name="by_id" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td width="5%" align="right">Phone: </td>
                <td width="15%">
                	<input type="text" name="by_phone" value="" class="form-control" aria-controls="dynamic-table">
                </td>
                
                <td><input name="search" type="submit" class="btn btn-success btn-sm" value="Search"/></td>
                
                <td width="5%" align="right"><a href="mgmtpatients.php">View All</a></td>
                
                <td width="20%" align="right"><!--<div class="row-fluid">
                    <div class="span6">
                        <div id="dynamic-table_length" class="dataTables_length">
                        <label>
                        <select name="dynamic-table_length" size="1" class="form-control" aria-controls="dynamic-table">
                            <option value="10" selected="selected">10</option>
                            <option value="25">25</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                        </label>
                        </div>
                    </div>
                </div>-->
                </td>
                
                <td width="10%"><!--records per page--></td>
                
              </tr>
            </table>
            </form>
            <br>
            <br><br>
            <br>
            <div class="panel-body" style="padding-top: 0px; margin-top: -34px;">
              <div class="adv-table">
                <table  class="display table table-bordered table-striped" id="dynamic-table">
                  <thead>
                    <tr>
                      <th width="20%" align="center"> Date</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                      
                      
                    </tr>
                  </thead>
                  <tbody>
                 
							<tr>
                       <th width="20%" align="center"> Time</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                      <th width="10%">&nbsp;</th>
                      <th width="10%" align="center">&nbsp;</th>
                                
							</tr>
							<tr>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>Pluse</td>
							      <td>Temp</td>
						        </tr>
							    <tr>
							      <td>150</td>
							      <td>106</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top">
                              <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  
				    </tr>
							<tr>
							  <th align="center" valign="top">
                              <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>140</td>
							      <td>105</td>
						        </tr>
							    
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
						      </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>130</td>
							      <td>104</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>120</td>
							      <td>103</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>110</td>
							      <td>102</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>100</td>
							      <td>101</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>90</td>
							      <td>100</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>80</td>
							      <td>99</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>70</td>
							      <td>98</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>60</td>
							      <td>97</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>50</td>
							      <td>96</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
							  <th align="center" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0"  class="display table table-bordered table-striped">
							    <tr>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
							      <td>&nbsp;</td>
						        </tr>
							    </table></th>
				    </tr>
							<tr>
							  <th align="center" valign="top">RESPIRATION</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
				    </tr>
							<tr>
							  <th align="center" valign="top">BOWLES</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
				    </tr>
							<tr>
							  <th align="center" valign="top">REMARKS</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
							  <th valign="top">&nbsp;</th>
							  <th align="center" valign="top">&nbsp;</th>
				    </tr>
							
                            
                  </tbody>
                  <tfoot>
                  </tfoot>
                  
                </table>
                
                <!--<div class="row-fluid">
                  <div class="span6">
                    <div class="dataTables_info" id="hidden-table-info_info">Showing 1 to 10 of 57 entries</div>
                  </div>
                  <div class="span6">
                    <div class="dataTables_paginate paging_bootstrap pagination">
                    
                      <ul>
                        <li class="prev disabled"><a href="#">? Previous</a></li>
                        <li class="active"><a href="#">1</a></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">5</a></li>
                        <li class="next"><a href="#">Next ? </a></li>
                      </ul>
                    </div>
                  </div>
                </div>-->
              </div>
            </div>
          </section>
        </div>
      </div>
      <!-- page end-->
      
    </section>
  </section>
  <!-- InstanceEndEditable --><!--main content end-->
<!--right sidebar start-->
 
<!--right sidebar end-->
</section>
<!-- Placed js at the end of the document so the pages load faster -->
<!--Core js-->
<!--<script src="../js/jquery-1.10.2.min.js"></script>-->
  
 
<script src="../assets/jquery-ui/jquery-ui-1.10.1.custom.min.js"></script>
<script src="../bs3/js/bootstrap.min.js"></script>



<script src="../js/jquery-1.10.2.min.js"></script>
<script type="text/javascript" src="../popUp/popUp.js"></script>
<script src="../js/ajax.js"></script>

<script src="../js/lib/jquery.js"></script>
<script src="../assets/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="../js/calendar/external-dragging-calendar.js"></script>
<script src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>
<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--[if lte IE 8]><script language="javascript" type="text/javascript" src="js/flot-chart/excanvas.min.js"></script><![endif]-->
<script src="../assets/jQuery-slimScroll-1.3.0/jquery.slimscroll.js"></script>
<script src="../assets/skycons/skycons.js"></script>
<script src="../assets/jquery.scrollTo/jquery.scrollTo.js"></script>
<script src="../js/jquery.easing.min.js"></script>
<script src="../assets/calendar/clndr.js"></script>
<script src="../js/underscore-min.js"></script>
<script src="../assets/calendar/moment-2.2.1.js"></script>
<script src="../js/calendar/evnt.calendar.init.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-1.2.2.min.js"></script>
<script src="../assets/jvector-map/jquery-jvectormap-us-lcc-en.js"></script>
<script src="../assets/gauge/gauge.js"></script>



<!--clock init-->
<script src="../assets/css3clock/js/script.js"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<!--Morris Chart-->
<script src="../assets/morris-chart/morris.js"></script>
<script src="../assets/morris-chart/raphael-min.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.animator.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.growraf.js"></script>
<script src="../js/dashboard.js"></script>
<script src="../js/custom-select/jquery.customSelect.min.js" ></script>
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>
<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>



<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>
<!--<start===================>-->
<script src="../js/lib/jquery.js"></script>


<script src="../bs3/js/bootstrap.min.js"></script>



<script class="include" type="text/javascript" src="../js/accordion-menu/jquery.dcjqaccordion.2.7.js"></script>

<script src="../js/scrollTo/jquery.scrollTo.min.js"></script>
<script src="../js/nicescroll/jquery.nicescroll.js" type="text/javascript"></script>
<!--Easy Pie Chart-->
<script src="../assets/easypiechart/jquery.easypiechart.js"></script>
<!--Sparkline Chart-->
<script src="../assets/sparkline/jquery.sparkline.js"></script>
<!--jQuery Flot Chart-->
<script src="../assets/flot-chart/jquery.flot.js"></script>
<script src="../assets/flot-chart/jquery.flot.tooltip.min.js"></script>
<script src="../assets/flot-chart/jquery.flot.resize.js"></script>
<script src="../assets/flot-chart/jquery.flot.pie.resize.js"></script>
<script type="text/javascript" src="../assets/bootstrap-daterangepicker/daterangepicker.js"></script>
<script type="text/javascript" src="../assets/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<!--dynamic table-->
<!--common script init for all pages-->
<script src="../js/scripts.js"></script>

<!--dynamic table initialization -->
<script src="../js/dynamic_table/dynamic_table_init.js"></script>

<script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
<script type="text/javascript" src="../datepicker/jquery-ui.js"></script>

<!--<script type="text/javascript" src="../popUp/jquery-1.9.0.js"></script>-->
<script type="text/javascript">

 function Popup(apri) { 
	window.open(apri,"","top=10,left=200,width=800,height=700,status=no,menubar=no,toolbar=no,scrollbars=yes"); 
 }
</script> 

<div id="update_password-box" class="update_password-popup">
    
    <div class="pop_header">
        <span>Change Password</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_update_password_form"></div>
          
          <form action="" method="post" id="update_password_form" class="cmxform form-horizontal" onSubmit="return false;">
          	
            <br>
            
         	<div class="form-group">
            <label class="control-label col-lg-3" for="lastname">New Password:</label>
                <div class="col-lg-6">
                    <input type="password" name="password" class="form-control" value="" id="exampleInputPassword1">
                </div>
            </div>
           
            <p align="right">
            	<input type="hidden" name="user_id" value="<?php if(isset($user_id)&&$user_id!=''){echo $user_id;}else{ echo 
				$_SESSION['security']['user_id'];}?>">
                <input type="hidden" name="updateUserPwd" value="yes">
                <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Update"/>
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div> 
 
</body>  
<!-- InstanceEnd --></html>

<div id="transaction-box" class="transaction-popup">
    <?php
	$patientRegFeeOb = new classPatient;
	$patient_reg_fee_default = $patientRegFeeOb->retrievePatientRegistrationFeeDefault($_SESSION['security']['org_id']);	
	?>
    <div class="pop_header">
        <span>Transaction</span>
        <a href="#" class="pop_close" style="float:right;">Close (X)</a>
    </div>
    
    <table width="100%" border="0" cellspacing="2" cellpadding="2" class="panel">
      <tr>
        <td>
          <div id="result_insert_patienttransaction_form" style="margin:10px;"></div>
          
          <form action="" method="post" id="insert_patienttransaction_form" class="cmxform form-horizontal" onSubmit="return false;">
          
           	<div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Head:</label>
              <div class="col-lg-6">
              <input type="hidden" name="acchead_id" value="<?php echo $account_data[0]['acchead_id'];?>">
               <?php echo $account_data[0]['acchead_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Name:</label>
              <div class= "col-lg-6">
                <input type="hidden" name="account_id" value="<?php echo $account_data[0]['account_id'];?>">
               <?php echo $account_data[0]['account_name'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="firstname">Account Type:</label>
              <div class="col-lg-6">
                 <input type="hidden" name="type" value="<?php echo $account_data[0]['type'];?>">
               <?php echo $account_data[0]['type'];?>
              </div>
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Amount Payable:</label>
              <div class="col-lg-6" id="amount_payable">
               <?php echo $patient_reg_fee_default;?>
              </div>
              <input type="hidden" name="amount_payable" id="amount_payable_value" value="<?php echo $patient_reg_fee_default;?>">
            </div>
            
            <div class="form-group">
              <label class="control-label col-lg-3" for="lastname">Payment Amount:</label>
              <div class="col-lg-6">
                <input type="text" name="payment_amount" id="lastname" class="form-control">
              </div>
            </div>
            
            <p align="right">
              <input type="hidden" name="patient_id" id="patient_id" value="">
              <input type="hidden" name="trx_patient_reg_fee" value="yes">
              <input name="ajax_submit" type="submit" class="ajax_submit btn btn-info" value="Save" />
            </p>
            
          </form>
          </td>
          
      </tr>
    </table>
</div>
<script>

$(".transaction_data").click(function() {
	
	var id = this.id;
	patient_id = $("#patient_id_"+id).val();
	$("#patient_id").val(patient_id);
	
	
	
});
</script>